<%@ page contentType="text/html; charset=utf-8" %>
<%@ page language="java" session="true" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-tiles.tld" prefix="tiles" %>

<c:set var="localeKey">
<%=org.apache.struts.Globals.LOCALE_KEY %>
</c:set>
<fmt:setLocale value="${sessionScope[localeKey]}"/>

<fmt:setBundle basename="ApplicationResources"/>

<tiles:insert page="tiles/header.jsp">
	<tiles:put name="subtitle"><fmt:message key="tabmenu.query.txt"/></tiles:put>
</tiles:insert>

<!-- Insert standard banner and menus for Search tab in AML main window -->
<tiles:insert page="tiles/search_tab_banner.jsp">
	<tiles:put name="selected"><fmt:message key="search.tabBanner.314a.txt"/></tiles:put>
	<tiles:put name="helppage" value="lastnamequery.htm" />
</tiles:insert>
</DIV>

<SCRIPT language="JavaScript">
function formatCustomerList() {
	var textArea= document.Form314A.custList.value;

    // regular expression to remove carriage return/linefeed chars
    re = /\r\n/g,

    woCrLf = textArea.split(re);
    custListValue="";
    escValue="";

    for (x=0; x<woCrLf.length; x++) {
      escValue = encodeURIComponent(woCrLf[x]);
      <c:if test='${setupcase == "Y"}'>
		if (x==0)
          	custListValue="'" + escValue.toUpperCase() + "'";
      	else
          	custListValue=custListValue + "," + "'" + escValue.toUpperCase() + "'";
	  </c:if>
      <c:if test='${setupcase != "Y"}'>
      	if (x==0)
          	custListValue="'" + escValue + "'";
      	else
          	custListValue=custListValue + "," + "'" + escValue + "'";
	  </c:if>
    }

    if (custListValue != "" && custListValue != null)
    {
    	var link="314A?custList=" + custListValue + "&contains=" + document.Form314A.containsBox.checked;

    	// call function that displays sized popup window (same as other search results windows)
    	showDetailWindow(link);
    }
	// inhibit standard submit
    return false;
}
</SCRIPT>

<SPAN id="baseContentPosition">

<P>
<!-- onSubmit added to inhibit standard submit and force action results to be displayed   -->
<!-- in a new, sized window (w/o "Query Result" tab) like all other search result windows -->
<FORM name="Form314A" action="314A" onSubmit="return formatCustomerList()">
<TABLE align="center" cellspacing="0" cellpadding="0" width="450" border="0">
	<TR>
		<TD width="16">&nbsp;</TD>
		<TD valign="top" class="defaultBackgroundColor">
	  		<TABLE class="DataTableBorder" cellspacing="0" cellpadding="0" width="450" border="0">
				<TR>
		  			<TD>
						<TABLE cellspacing="1" cellpadding="4" width="450" border="0">
							<TR class="defaultBackgroundColor">
								<TD>
									<table width="100%">
									<TR>
									<TD class="Text" class="defaultBackgroundColor">
										<fmt:message key="search.314A.lastName.txt"/>
									</TD>
									</TR>
									<tr>
									<td>
									<input type="checkbox" name="containsBox"><bean:message key="search.contains.txt"/></>
				 					</td>
				 					</tr>
				 					<tr>
				 					<td>
									<TEXTAREA name="custList" cols="50" rows="15"></TEXTAREA>
									</td>
									</tr>
									</table>
								</TD>
							</TR>
						</TABLE>
		  			</TD>
				</TR>
			</table>
		</td>
	</tr>
	<%-- include upcase message based on the value of setupcase system parm --%>
	<TR>
    	<TD width="18">&nbsp;</TD>
		<TD class="defaultBackgroundColor">
			<%-- write upcase message based on the value of setupcase system parm --%>
			<c:if test='${setupcase == "Y"}'>
				<div class="searchMessageAreaDiv"><bean:message key="search.queryInfo.upcase.txt"/></div>
			</c:if>
			<c:if test='${setupcase != "Y"}'>
				<div class="searchMessageAreaDiv"><bean:message key="search.queryInfo.noupcase.txt"/></div>
			</c:if>
		</TD>
	</TR>
	<TR>
		<TD width="16">&nbsp;</TD>
		<TD valign="top" class="defaultBackgroundColor">
			<table>
				<tr>
					<td>
						<table width="450">
							<TR class="defaultBackgroundColor">
								<TD>&nbsp;</TD>
							</TR>
							<TR class="defaultBackgroundColor">
								<TD align="center">
						<input type="button" name="search" class="button" alt="<bean:message key="showMatching.txt"/>" style="cursor:hand" onclick="return formatCustomerList()" value="<bean:message key="showMatching.txt"/>"</input>
                		<html:reset property="reset" styleClass="button" altKey="reset.txt" style="cursor:hand"><fmt:message key="reset.txt"/></html:reset>
								</TD>
							</TR>
	  					</TABLE>
	  				</td>
	  			</tr>
	  		</table>
		</TD>
  	</TR>
</TABLE>
</FORM>
</SPAN>

</BODY>
</HTML>