<%-- @Author:  Christopher Alexander (Dept. Anti-Money Laundering) --%>
<%-- @Version: v1.0 (Last Modified 8/3/09) --%>

<%@ taglib uri="/WEB-INF/struts-tiles.tld" prefix="tiles" %>
<%@ page import="com.sas.aml.struts.form.TaskListForm"%>
<%@ page import="com.sas.servlet.tbeans.html.DatePicker"%>
<%@ page import="com.sas.servlet.tbeans.html.Calendar"%>
<%@ page import="com.sas.servlet.tbeans.form.html.TextEntry"%>
<%@ page import="com.sas.aml.struts.action.TaskListAction" %>
<%@ page import="java.util.Date"%>
<%@ page import="com.sas.aml.util.DatePickerUtil" %>
<%@ page import="com.sas.servlet.tbeans.html.DatePicker"%>
<%@ page import="java.text.SimpleDateFormat"%>
<%@ page import="java.text.DateFormat"%>

<%
int actionType = ((Integer)request.getAttribute("actionType")).intValue();

switch(actionType) {

	case TaskListAction.ADDITION: {
%>
		<script>
		window.parent.submitNewTasksToDB();
		</script>
<%		break;
	}//end case TaskListAction.ADDITION

	case TaskListAction.MODIFICATION: {
%>
		<script>
		window.parent.submitModifiedTasksToDB();
		</script>
<%
		break;
	}//end case TaskListAction.MODIFICATION

	case TaskListAction.DELETION: {
%>
		<script>
		window.parent.submitDeleteRequestToDB();
		</script>
<%
		break;
	}//end case TaskListAction.DELETION

	case TaskListAction.CREATE_CALENDAR: {
		int numCalendars	= Integer.parseInt((String) request.getAttribute("numCalendars"));
		int startingID		= Integer.parseInt((String) request.getAttribute("startingID"));
%>

<tiles:insert page="tiles/header.jsp">
	<tiles:put name="subtitle">
		<fmt:message key="taskList.title.txt"/>
	</tiles:put>
</tiles:insert>

<TABLE>
	<script>
	var cells = new Array(<%=numCalendars%>);
	</script>
	<%
	for (int x=0, id_index=startingID; x<numCalendars; x++, id_index++) {
	%>
	<TR><TD>
		<div id="tableCell_<%=x%>">
		<%
			String datePickerName = "row_"+id_index+"_datePicker";
			Object datePickerValue = null;
			DatePicker dsp = DatePickerUtil.createDatePicker(datePickerName, datePickerValue, pageContext);
			DateFormat df = DateFormat.getDateInstance(DateFormat.SHORT, request.getLocale());
			dsp.setFormat((SimpleDateFormat)df);
			DatePickerUtil.writeDatePicker(dsp, out, request);
		%>
		</div>
		</td>
	</TR>
	<script>
		cells[<%=x%>] = new Array(3);
		var cur = cells[<%=x%>];

		cur[0] = "row_<%=id_index%>";
		cur[1] = "row_<%=id_index%>_datePicker";
		cur[2] = document.getElementById("tableCell_<%=x%>");
	</script>
	<%
	}//end loop
	%>
</TABLE>
<script>
window.parent.receiveCalendarWidgets(cells);
</script>
<%
		break;
	}//end case TaskListAction.ADDITION
	default: {
%>
		<h1>I Frame Failed! Action Type value = '<%=actionType%>'!</h1>
<%
	}
}//end switch
%>
</body>
</html>