<%@ page contentType="text/html; charset=utf-8" %>
<%@ page language="java" session="true" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-tiles.tld" prefix="tiles" %>
<%@ page import="com.sas.servlet.tbeans.dataselectors.sort.html.SortSelector"%>
<%@ page import="com.sas.servlet.tbeans.html.DatePicker"%>
<%@ page import="com.sas.aml.content.AssessmentFilterContent"%>
<%@ page import="com.sas.aml.util.ViewUtils" %>
<%@ page import="java.util.Date"%>
<%@ page import="com.sas.aml.util.DatePickerUtil" %>
<%@ page import="java.text.SimpleDateFormat"%>
<%@ page import="java.text.DateFormat"%>

<c:set var="localeKey">
<%=org.apache.struts.Globals.LOCALE_KEY %>
</c:set>
<fmt:setLocale value="${sessionScope[localeKey]}"/>

<fmt:setBundle basename="ApplicationResources"/>

<tiles:insert page="tiles/header.jsp">
	<tiles:put name="subtitle"><bean:message key="filter.assessment.title.txt" /></tiles:put>
</tiles:insert>

<!-- insert banner with header graphics and sas logo -->
<tiles:insert page="tiles/banner_popup.jsp">
   <tiles:put name="helppage" value="rafilter.htm" />
</tiles:insert>

<DIV id="detailsMainContent">
<TABLE align="center" cellspacing="0" cellpadding="0" width="100%" border="0">
    <TR>
        <TD width="1">&nbsp;</TD>
        <TD class="pageName"><bean:message key="filter.assessment.title.txt"/></TD>
    </TR>
    <TR>
        <TD width="1"></TD>
        <TD class="topLine">&nbsp;</TD>
    </TR>
</TABLE>
<html:form action="/AssessmentFilterDialog">
<c:choose>
	<c:when test="${param.queryType == 'user'}">
		<table align="center" class='filterDialogMyAlertsDiv'>
	</c:when>
	<c:when test="${param.queryType == 'group' && param.assessmentStatus == 'ACT'}">
		<table align="center" class='filterDialogAvailableAlertsDiv'>
	</c:when>
</c:choose>

		<TR>
            <TD class="Text" nowrap><bean:message key="filter.assessment.assessmentId.txt"/></TD>
            <TD class="Text" nowrap><html:text property="assessmentId" size="10"/></TD>
		</TR>
		<TR>
            <TD class="Text" nowrap><bean:message key="filter.assessment.partyNumber.txt"/></TD>
            <TD class="Text" nowrap><html:text property="partyNumber" size="28"/></TD>
		</TR>
		<TR>
            <TD class="Text" nowrap><bean:message key="filter.assessment.partyName.txt"/></TD>
            <TD class="Text" nowrap><html:text property="name" size="28"/></TD>
		</TR>


        <TR>
	        <TD class="Text" nowrap><bean:message key="filter.assessment.currentRC.txt"/></TD>
        	<TD><TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0">
	        	<TR>
	            	<TD class="Text" nowrap>
			        	<html:select style="width:185" property="currentRC">
			        		<html:option value=""></html:option>
							<html:options collection="riskValues" property="name" labelProperty="value"/>
						</html:select>
	        		</TD>
	            </TR>
            </TABLE>
            </TD>
		</TR>
    	<TR>
	        <TD class="Text" nowrap><bean:message key="filter.assessment.proposedRC.txt"/></TD>
        	<TD><TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0">
	        	<TR>
		            <TD class="Text" nowrap>
			        	<html:select style="width:185" property="proposedRC">
			        		<html:option value=""></html:option>
							<html:options collection="riskValues" property="name" labelProperty="value"/>
						</html:select>
					</TD>
		        </TR>
            </TABLE>
            </TD>
		</TR>
		<TR>
	        <TD class="Text" nowrap><bean:message key="filter.assessment.triggeredRC.txt"/></TD>
	        <TD class="Text" nowrap><html:text property="triggeredRCs" size="28"/></TD>
		</TR>
		<TR>
			<TD class="Text"><SPAN style="width:120px"><bean:message key="filter.startDate.txt"/></SPAN></TD>
			<TD>
			<%
				String queryType = (String)request.getParameter("queryType");
				String assessmentStatus = (String)request.getParameter("assessmentStatus");
				AssessmentFilterContent fc=null;

				if (queryType != null)
				{
					if (queryType.equalsIgnoreCase("user"))
						fc = (AssessmentFilterContent)session.getAttribute("userAssessmentFilterContent");
					else if (assessmentStatus.equalsIgnoreCase("ACT"))
						fc = (AssessmentFilterContent)session.getAttribute("groupAssessmentFilterContent");
					else if (assessmentStatus.equalsIgnoreCase("CLS"))
						fc = (AssessmentFilterContent)session.getAttribute("groupAssessmentClosedFilterContent");
				}

				Object datePickerValue = null;
				if (fc != null)
					datePickerValue = fc.getStartDate();
				DatePicker dsp = DatePickerUtil.createDatePicker("startDate", datePickerValue, pageContext);
				DateFormat df = DateFormat.getDateInstance(DateFormat.SHORT, request.getLocale());
				dsp.setFormat((SimpleDateFormat)df);
			 	DatePickerUtil.writeDatePicker(dsp, out, request);
			%>
			</TD>
		</TR>
		<TR>
			<TD class="Text"><SPAN style="width:120px"><bean:message key="filter.endDate.txt"/></SPAN></TD>
			<TD>
			<%
				if (queryType != null)
				{
					if (queryType.equalsIgnoreCase("user"))
						fc = (AssessmentFilterContent)session.getAttribute("userAssessmentFilterContent");
					else if (assessmentStatus.equalsIgnoreCase("ACT"))
						fc = (AssessmentFilterContent)session.getAttribute("groupAssessmentFilterContent");
					else if (assessmentStatus.equalsIgnoreCase("CLS"))
						fc = (AssessmentFilterContent)session.getAttribute("groupAssessmentClosedFilterContent");
				}
				datePickerValue = null;
				if (fc != null)
					datePickerValue = fc.getEndDate();
				DatePicker dspEnd = DatePickerUtil.createDatePicker("endDate", datePickerValue, pageContext);
				dspEnd.setFormat((SimpleDateFormat)df);
				DatePickerUtil.writeDatePicker(dspEnd, out, request);
			%>
			</TD>
		</TR>

		<c:if test="${param.assessmentStatus!='CLS'}">
		<TR>
			<TD class="Text"><SPAN style="width:120px"><bean:message key="filter.availability.txt"/></TD>
			<TD class="Text">
				<c:if test="${param.queryType == 'user'}">
					<html:select property="availability" style="width:185px">
						<html:option value=""> &nbsp;</html:option>
						<html:option value="-1"><bean:message key="filter.owned.txt"/></html:option>
						<html:option value="0"><bean:message key="filter.checkedOut.txt"/></html:option>
					</html:select>
				</c:if>
				<c:if test="${param.queryType == 'group'}">
					<html:select property="availability" style="width:185px" multiple="y" size="5">
						<html:option value=""> &nbsp;</html:option>
						<html:option value="Available"><bean:message key="filter.available.txt"/></html:option>
							<c:forEach var="user" items="${userList}">
								<option value="<c:out value="${user.userId}" />"><c:out value="${user.displayName}"/> (<c:out value="${user.userLongId}"/>)</option>
							</c:forEach>
					</html:select>
				</c:if>
			</TD>
		</TR>
		</c:if>
	</TABLE>
	<input type="hidden" name="mode" value="filter"/>
	<input type="hidden" name="queryType" value="<c:out value="${param.queryType}"/>"/>
	<input type="hidden" name="assessmentStatus" value="<c:out value="${param.assessmentStatus}"/>"/>
	<input type="hidden" name="badNumberMessage" value="<bean:message key='filter.enterNumber.txt'/>"/>
	<script>
	    var doValidate = true;
	</script>
	<div class="filterMessageAreaDiv"><bean:message key="filter.caseSensitive.txt"/></div>
	<TABLE align="center" BORDER="0">
		<TR><TD>&nbsp;</TD></TR>
		<TR align=<%=ViewUtils.alignRight(pageContext)%>>
		<TD><html:submit altKey="submit.txt" styleClass="button" style="cursor:hand"><bean:message key="ok.txt"/></html:submit></TD>
		<TD><input type="button" property="actions" class="button" alt="<bean:message key="cancel.txt"/>" style="cursor:hand"
			onClick="window.close();" onMouseOver="setValidateFilter(false);" onMouseOut="setValidateFilter(true);"
			value="<bean:message key="cancel.txt"/>"
		</input></TD>
		<TD><input type="button" property="clear" class="button" alt="<bean:message key="clear.txt"/>" style="cursor:hand"
			onClick="assessmentClearFilter();" onMouseOver="setValidateFilter(false);" onMouseOut="setValidateFilter(true);"
			value="<bean:message key="clear.txt"/>"
		</input></TD>
		</TR>
	</TABLE>
</html:form>
</DIV>
</BODY>
</HTML>
