<%@ page contentType="text/html; charset=utf-8" %>
<%@ page isErrorPage="true" import="java.util.*, com.sas.aml.*, org.apache.struts.Globals, com.sas.framework.webapp.servlet.sanitizers.DefaultCrossSiteScriptingSanitizer"%>
<%@ page language="java" session="true" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-tiles.tld" prefix="tiles" %>

<c:set var="localeKey">
<%=org.apache.struts.Globals.LOCALE_KEY %>
</c:set>
<fmt:setLocale value="${sessionScope[localeKey]}"/>

<fmt:setBundle basename="ApplicationResources"/>

<tiles:insert page="tiles/header.jsp">
	<tiles:put name="subtitle"><fmt:message key="error.txt"/></tiles:put>
	<%--
	<tiles:put name="script" type="String">
		if (top != self)
		{
			top.location.href = "/Error";
		}
	</tiles:put>
	--%>
</tiles:insert>

<!-- insert banner with header graphics and sas logo -->
<tiles:insert page="tiles/banner_popup.jsp">
	<tiles:put name="helppage" value="ErrorHelp" />
</tiles:insert>

<%-- insert mini navbar --%>
<tiles:insert page="tiles/miniNav.jsp">
<tiles:put name="backMsg"><fmt:message key="back.txt"/></tiles:put>
<tiles:put name="closeMsg"><fmt:message key="close.txt"/></tiles:put>
</tiles:insert>

<!-- Begin Error Information -->
<DIV style="position:absolute;top:70px;width:100%;text-align:center;">
<TABLE cellspacing="0" cellpadding="0" width="80%" border="0">
	<TR>
		<TD class="pageName"><fmt:message key="error.txt"/></TD>
	</TR>
	<TR>
		<TD class="topLine">&nbsp;</TD>
	</TR>
</TABLE>
</DIV>

<DIV style="position:absolute;top:120px;width:100%;text-align:center">
	<DIV style="width:80%;padding:10px;">
		<fmt:message key="error.app.main.1.txt" />
		<BR>
		<fmt:message key="error.app.main.2.txt" />

		<%
			Exception amlException = (Exception) request.getAttribute(Globals.EXCEPTION_KEY);

			if (amlException != null)
			{
		%>
				<P>
				<fmt:message key="error.app.main.3.txt" /><BR>
		<%
			}

            DefaultCrossSiteScriptingSanitizer htmlSanitizer = new DefaultCrossSiteScriptingSanitizer();
			if (amlException instanceof ApplicationException)
			{
				ApplicationException ae = (ApplicationException) amlException;
				out.println(ae + "<BR>");
				Exception cause = (Exception) ae.getCause();
				while (cause != null)
				{
					out.println(htmlSanitizer.sanitize("Exception message", cause.toString()) + "<BR>");
					if (cause instanceof ApplicationException)
						cause = (Exception)((ApplicationException)cause).getCause();
					else
						break;
				}
			}
			else if (amlException instanceof Exception)
			{
				Exception ex = (Exception) amlException;
				out.println(htmlSanitizer.sanitize("Exception message", ex.toString()) + "<BR>");
			}
		%>
	</DIV>
	<P>
	<HR style="width:80%" class=bottomLine>
	<P>
	
	<form name="hidden">
	<%-- insert back button if appropriate --%>
		<c:set var="text" scope="session"><fmt:message key="back.txt"/></c:set>
		<input type="hidden" name="backMsg" value="<%=session.getAttribute("text")%>" />
		<tiles:insert page="tiles/backButton.jsp"/>
		
		<c:set var="closeText" scope="session"><fmt:message key="close.txt"/></c:set>
		<input type="hidden" name="closeMsg" value="<%=session.getAttribute("closeText")%>" />
		<SCRIPT language="JavaScript">
			if ((window.name=='sasamlPopup') || (window.name=='sasamlActions'))
			{
				var text = document.hidden.closeMsg.value;
				document.write('<input type="button" class="button" style="cursor:hand" alt="'+text+'" value="'+text+'" onclick="window.close();"/>');
				document.writeln('<P>');
			}
		</SCRIPT>
	</form>

</DIV>


</BODY>
</HTML>