<%@ page contentType="text/html; charset=utf-8" %>
<%@ page isErrorPage="true" import="java.util.*, com.sas.aml.*, org.apache.struts.Globals"%>
<%@ page language="java" session="true" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-tiles.tld" prefix="tiles" %>

<tiles:insert page="tiles/header.jsp">
	<tiles:put name="subtitle"><bean:message key="alert.reminderError.txt"/></tiles:put>
<%--
	<tiles:put name="script" type="String">
		if (top.window != window)
		{
			top.window.location = window.location;
		}
	</tiles:put>
--%>
</tiles:insert>

<!-- insert banner with header graphics and sas logo -->
<tiles:insert page="tiles/banner_popup.jsp">
	<tiles:put name="helppage" value="remindererror.htm" />
</tiles:insert>

<c:set var="localeKey">
<%=org.apache.struts.Globals.LOCALE_KEY%>
</c:set>

<fmt:setLocale value="${sessionScope[localeKey]}"/>

<fmt:setBundle basename="ApplicationResources"/>

<!-- Begin Error Information -->
<DIV style="position:absolute;top:70px;width:100%;text-align:center;">

<TABLE cellspacing=0 cellpadding=0 width=80% border=0>
	<TR>
		<TD class=pageName><bean:message key="alert.reminderError.txt"/></TD>
	</TR>
	<TR>
		<TD class=topLine>&nbsp;</TD>
	</TR>
</TABLE>
</DIV>

<DIV style="position:absolute;top:120px;width:100%;text-align:center">
	<DIV style="width:80%;padding:10px;">
		<c:choose>
			<c:when test="${failures != null}">
	             <fmt:message key="error.alert.emailReminder.fmt.txt">
		       	    <fmt:param value="${failures}" />
		 		 </fmt:message>
			</c:when>
			<c:when test="${failures == null}">
				<bean:message key="error.alert.emailReminder.fmt.txt" />
			</c:when>
		</c:choose>
	</DIV>
	<P>
	<HR style="width:80%" class=bottomLine>
	<P>

	<%-- insert back button if appropriate --%>
	<form name="hidden">
	<c:set var="text" scope="session"><bean:message key="back.txt"/></c:set>
	<input type="hidden" name="backMsg" value="<%=session.getAttribute("text")%>" />
	<tiles:insert page="tiles/backButton.jsp"/>

	<c:set var="closeText" scope="session"><bean:message key="close.txt"/></c:set>
	<input type="hidden" name="closeMsg" value="<%=session.getAttribute("closeText")%>" />
<SCRIPT language="JavaScript">
	if ((window.name=='sasamlPopup') || (window.name=='sasamlActions'))
	{
		var text = document.hidden.closeMsg.value;
		document.write('<input type="button" class="button" style="cursor:hand" alt="'+text+'" value="'+text+'" onclick="window.close();"/>');
		document.writeln('<P>');
	}
</SCRIPT>
	</form>

</DIV>


</BODY>
</HTML>