<% response.setHeader("Cache-Control", "max-age=0"); response.setHeader("Pragma", "public");// bugfix for IE using SSL%><% response.setHeader("Content-disposition","inline; filename=" + "GroupCaseListClosed.csv"); %><%@ page language="java" session="true" %><%@page import="java.io.IOException" %><%@page import="java.util.ResourceBundle" %><%@page import="com.sas.aml.content.CaseListContent" %><%@page import="com.sas.aml.constants.ConfigConstants" %><%@page import="com.sas.aml.util.CSVUtils" %><%@page import="org.apache.commons.lang.StringUtils" %><%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %><%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %><%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %><%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %><%@ taglib uri="/WEB-INF/struts-tiles.tld" prefix="tiles" %><%
    CSVUtils.setContentTypeHeader( pageContext ); // Set Content-Type header based on user's locale using 'csv.encoding.{language}[_{country}] configuration setting, else utf-8.
    CSVUtils.setCSXExport( StringUtils.equalsIgnoreCase( (String)pageContext.findAttribute( "exFileType" ), "CSX" ) );
%><%writeColumnHeaders( pageContext );%><c:set var="counter" value="1" /><c:forEach var="cd" items="${caseDetails}" varStatus="current"><%writeCaseRecord( (CaseListContent)pageContext.findAttribute("cd"), pageContext );%></c:forEach><%!
private void writeColumnHeaders( PageContext pageContext ) throws IOException
{
    JspWriter out = pageContext.getOut();

    String delimiter = (String)pageContext.findAttribute( "delimiter" );

    ResourceBundle messages = ResourceBundle.getBundle( ConfigConstants.MESSAGES_FILE, pageContext.getRequest().getLocale() );

    out.print( CSVUtils.toCSVValue( messages.getString( "caseList.caseId.txt" ) ) ); out.print( delimiter );
    out.print( CSVUtils.toCSVValue( messages.getString( "alertList.subjectNumber.txt" ) ) ); out.print( delimiter );
    out.print( CSVUtils.toCSVValue( messages.getString( "alertList.name.txt" ) ) ); out.print( delimiter );
    out.print( CSVUtils.toCSVValue( messages.getString( "alertList.date.txt" ) ) ); out.print( delimiter );
    out.print( CSVUtils.toCSVValue( messages.getString( "caseList.type.txt" ) ) );

    out.println();
}

private void writeCaseRecord( CaseListContent cc, PageContext pageContext ) throws IOException
{
    JspWriter out = pageContext.getOut();

    String delimiter = (String)pageContext.findAttribute( "delimiter" );

    out.print( cc.getCaseId() ); out.print( delimiter );

    out.print( CSVUtils.toCSVValue( cc.getCaseEntity(), true /* CSX */ ) ); out.print( delimiter );

    out.print( CSVUtils.toCSVValue( cc.getEntityName() ) ); out.print( delimiter );

    out.print( CSVUtils.toCSVValue( cc.getCaseDate() ) ); out.print( delimiter );

    out.print( CSVUtils.toCSVValue( cc.getCaseType() ) );

    out.println();
}
%>