<% response.setHeader("Cache-Control", "max-age=0"); response.setHeader("Pragma", "public");// bugfix for IE using SSL%><% response.setHeader("Content-disposition","inline; filename=" + "ExportTransactions.csv"); %> <%@ page language="java" session="true" %><%@page import="java.io.IOException" %><%@page import="java.util.ResourceBundle" %><%@page import="com.sas.aml.content.AlertContent" %><%@page import="com.sas.aml.constants.ConfigConstants" %><%@page import="com.sas.aml.content.TransactionListContent" %><%@page import="com.sas.aml.util.DateUtil" %><%@page import="com.sas.aml.util.CSVUtils" %><%@page import="org.apache.commons.lang.StringUtils" %><%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %><%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %><%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %><%
    CSVUtils.setContentTypeHeader( pageContext ); // Set Content-Type header based on user's locale using 'csv.encoding.{language}[_{country}] configuration setting, else utf-8.
    CSVUtils.setCSXExport( StringUtils.equalsIgnoreCase( (String)pageContext.findAttribute( "exFileType" ), "CSX" ) );
%><%writeColumnHeaders( pageContext );%><c:set var="counter" value="1" /><c:forEach var="trans" items="${ac.transactions}" varStatus="current"><%writeTransactionRecord( (AlertContent)pageContext.findAttribute("ac"), (TransactionListContent)pageContext.findAttribute("trans"), pageContext );%></c:forEach><%!
private void writeColumnHeaders( PageContext pageContext ) throws IOException
{
    JspWriter out = pageContext.getOut();

    String delimiter = (String)pageContext.findAttribute( "delimiter" );

    ResourceBundle messages = ResourceBundle.getBundle( ConfigConstants.MESSAGES_FILE, pageContext.getRequest().getLocale() );

    out.print( CSVUtils.toCSVValue( messages.getString( "detail.trigger.txt" ) ) ); out.print( delimiter );
    out.print( CSVUtils.toCSVValue( messages.getString( "detail.alertId.txt" ) ) ); out.print( delimiter );
    out.print( CSVUtils.toCSVValue( messages.getString( "detail.date.txt" ) ) ); out.print( delimiter );
    out.print( CSVUtils.toCSVValue( messages.getString( "detail.alert.referenceNumber.txt" ) ) ); out.print( delimiter );
    out.print( CSVUtils.toCSVValue( messages.getString( "detail.type.txt" ) ) ); out.print( delimiter );
    out.print( CSVUtils.toCSVValue( messages.getString( "detail.accountNumber.txt" ) ) ); out.print( delimiter );
    out.print( CSVUtils.toCSVValue( messages.getString( "detail.branch.txt" ) ) ); out.print( delimiter );
    out.print( CSVUtils.toCSVValue( messages.getString( "detail.alert.currency.txt" ) ) ); out.print( delimiter );
    out.print( CSVUtils.toCSVValue( messages.getString( "detail.alert.credits.txt" ) ) ); out.print( delimiter );
    out.print( CSVUtils.toCSVValue( messages.getString( "detail.alert.currency.txt" ) ) ); out.print( delimiter );
    out.print( CSVUtils.toCSVValue( messages.getString( "detail.alert.debits.txt" ) ) );

    out.println();
}

private void writeTransactionRecord( AlertContent ac, TransactionListContent txn, PageContext pageContext ) throws IOException
{
    JspWriter out = pageContext.getOut();

    String delimiter = (String)pageContext.findAttribute( "delimiter" );

    out.print( CSVUtils.toCSVValue( txn.getTriggerInd() ) ); out.print( delimiter );

    out.print( CSVUtils.toCSVValue( ac.getAlertId() ) ); out.print( delimiter );

    out.print( CSVUtils.toCSVValue( DateUtil.getDate( txn.getDate() ) ) ); out.print( delimiter );

    out.print( CSVUtils.toCSVValue( txn.getTaRefNumber(), true /*CSX*/ ) ); out.print( delimiter );

    out.print( CSVUtils.toCSVValue( txn.getType() ) ); out.print( delimiter );

    out.print( CSVUtils.toCSVValue( txn.getAccountNumber(), true /*CSX*/ ) ); out.print( delimiter );

    out.print( CSVUtils.toCSVValue( txn.getBranch() ) ); out.print( delimiter );

    if ( txn.getCredit() != null )
    {
        out.print( CSVUtils.toCSVValue( txn.getCurrencyCode() ) ); out.print( delimiter );

        out.print( CSVUtils.toCSVValue( txn.getCredit() ) ); out.print( delimiter );
    }
    else
    {
        out.print( delimiter );

        out.print( delimiter );
    }

    if ( txn.getDebit() != null )
    {
        out.print( CSVUtils.toCSVValue( txn.getCurrencyCode() ) ); out.print( delimiter );

        out.print( CSVUtils.toCSVValue( txn.getDebit() ) );
    }
    else
    {
        out.print( delimiter );
    }

    out.println();
}
%>