<%@page import="java.text.SimpleDateFormat"%>
<%@page import="java.text.DateFormat"%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ page language="java" session="true" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-tiles.tld" prefix="tiles" %>
<%@ page import="com.sas.servlet.tbeans.dataselectors.sort.html.SortSelector"%>
<%@ page import="com.sas.servlet.tbeans.html.DatePicker"%>
<%@ page import="com.sas.aml.content.FilterContent"%>
<%@ page import="com.sas.aml.util.ViewUtils" %>
<%@ page import="java.util.Date"%>
<%@ page import="com.sas.aml.util.DatePickerUtil" %>

<c:set var="localeKey">
<%=org.apache.struts.Globals.LOCALE_KEY %>
</c:set>
<fmt:setLocale value="${sessionScope[localeKey]}"/>

<fmt:setBundle basename="ApplicationResources"/>

<tiles:insert page="tiles/header.jsp">
	<tiles:put name="subtitle"><bean:message key="filter.alert.title.txt" /></tiles:put>
</tiles:insert>

<!-- insert banner with header graphics and sas logo -->
<tiles:insert page="tiles/banner_popup.jsp">
   <tiles:put name="helppage" value="filter.htm" />
</tiles:insert>

<DIV id="detailsMainContent">
<table align="center" cellspacing="0" cellpadding="0">
<tr>
<td>
<TABLE align=center cellspacing="0" cellpadding="0" width="100%" border="0">
    <TR>
        <TD class="pageName"><bean:message key="filter.alert.title.txt"/></TD>
    </TR>
    <TR>
        <TD class="topLine">&nbsp;</TD>
    </TR>
</TABLE>
<html:form action="/FilterDialog">
<c:choose>
	<c:when test="${param.queryType == 'user'}">
		<table align="center" class='filterDialogMyAlertsDiv'>
	</c:when>
	<c:when test="${param.queryType == 'group' && param.alertStatus == 'ACT'}">
		<table align="center" class='filterDialogAvailableAlertsDiv'>
	</c:when>
	<c:otherwise>
		<table align="center" class='filterDialogClosedOrSuppressedAlertsDiv'>
	</c:otherwise>
</c:choose>

		<TR>
            <TD class="Text" nowrap><bean:message key="filter.alertId.txt"/></TD>
            <TD class="Text" nowrap><html:text property="alertId" size="10"/></TD>
		</TR>
		<TR>
			<TD class="Text"><SPAN style="width:120px"><bean:message key="filter.subject.txt"/></TD>
			<TD class="Text">
				<html:select property="subject" style="width:185px">
					<html:option value=""><bean:message key="search.alert.subjectTypes.txt"/></html:option>
+					<html:option value="ACC"><fmt:message key="create.alert.select.account.type.txt"/></html:option>
+					<html:option value="PTY"><fmt:message key="create.alert.select.customer.type.txt"/></html:option>
+					<html:option value="HHD"><fmt:message key="create.alert.select.household.type.txt"/></html:option>
+					<html:option value="TRN"><fmt:message key="create.alert.select.transaction.type.txt"/></html:option>
				</html:select>
			</TD>
		</TR>
		<TR>
            <TD class="Text" nowrap><bean:message key="filter.subjectNumber.txt"/></TD>
            <TD class="Text" nowrap><html:text property="subjectNumber" size="28"/></TD>
		</TR>
		<TR>
            <TD class="Text" nowrap><bean:message key="filter.name.txt"/></TD>
            <TD class="Text" nowrap><html:text property="name" size="28"/></TD>
		</TR>

		<TR>
			<TD class=Text><SPAN style="width:120px"><bean:message key="filter.startDate.txt"/></SPAN></TD>
			<TD>
			 <%

				String queryType = (String)request.getParameter("queryType");
				String alertStatus = (String)request.getParameter("itemStatus");
				FilterContent fc=null;

				if (queryType != null)
				{
					if (queryType.equalsIgnoreCase("user"))
						fc = (FilterContent)session.getAttribute("userFilterContent");
					else if (alertStatus.equalsIgnoreCase("ACT"))
						fc = (FilterContent)session.getAttribute("groupFilterContent");
					else if (alertStatus.equalsIgnoreCase("SUP"))
						fc = (FilterContent)session.getAttribute("groupSuppressedFilterContent");
					else if (alertStatus.equalsIgnoreCase("CLS"))
						fc = (FilterContent)session.getAttribute("groupClosedFilterContent");
				}

				Object datePickerValue = null;
				if (fc != null)
					datePickerValue = fc.getStartDate();
				DatePicker dsp = DatePickerUtil.createDatePicker("startDate", datePickerValue, pageContext);
				DateFormat df = DateFormat.getDateInstance(DateFormat.SHORT, request.getLocale());
			    dsp.setFormat((SimpleDateFormat)df);
			 	DatePickerUtil.writeDatePicker(dsp, out, request);
			 %>
			</TD>
		</TR>
		<TR>
			<TD class=Text><SPAN style="width:120px"><bean:message key="filter.endDate.txt"/></SPAN></TD>
			<TD>
			 <%
			 if (queryType != null)
				{
					if (queryType.equalsIgnoreCase("user"))
						fc = (FilterContent)session.getAttribute("userFilterContent");
					else if (alertStatus.equalsIgnoreCase("ACT"))
						fc = (FilterContent)session.getAttribute("groupFilterContent");
					else if (alertStatus.equalsIgnoreCase("SUP"))
						fc = (FilterContent)session.getAttribute("groupSuppressedFilterContent");
					else if (alertStatus.equalsIgnoreCase("CLS"))
						fc = (FilterContent)session.getAttribute("groupClosedFilterContent");
				}
				datePickerValue = null;
				if (fc != null)
					datePickerValue = fc.getEndDate();
				DatePicker dspEnd = DatePickerUtil.createDatePicker("endDate", datePickerValue, pageContext);
				DateFormat dfEnd = DateFormat.getDateInstance(DateFormat.SHORT, request.getLocale());
				dspEnd.setFormat((SimpleDateFormat)dfEnd);
			 	DatePickerUtil.writeDatePicker(dspEnd, out, request);
			 	%>
			</TD>
		</TR>
        <TR>
	        <TD class="Text" nowrap><bean:message key="search.alert.moneyLaunderingRiskRanking.txt"/></TD>
        	<TD><TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0">
	        	<TR>
		            <TD class="Text" nowrap><html:text property="mlRiskFrom" size="3" onblur="validateNumber('filterDialogForm','mlRiskFrom');"/></TD>
		            <TD>&nbsp;<fmt:message key="search.to.txt"/>&nbsp;</TD>
		            <TD class="Text" nowrap><html:text property="mlRiskTo" size="3" onblur="validateNumber('filterDialogForm','mlRiskTo');"/></TD>
	            </TR>
            </TABLE>
            </TD>
		</TR>
<c:if test='${tfdisplay}'>
        <TR>
	        <TD class="Text" nowrap><bean:message key="search.alert.terrorFinancingRiskRanking.txt"/></TD>
        	<TD><TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0">
	        	<TR>
		            <TD class="Text" nowrap><html:text property="tfRiskFrom" size="3" onblur="validateNumber('filterDialogForm','tfRiskFrom');"/></TD>
		            <TD>&nbsp;<fmt:message key="search.to.txt"/>&nbsp;</TD>
		            <TD class="Text" nowrap><html:text property="tfRiskTo" size="3" onblur="validateNumber('filterDialogForm','tfRiskTo');"/></TD>
	            </TR>
            </TABLE>
            </TD>
		</TR>
</c:if>
		<TR>
			<TD class="Text"><SPAN style="width:120px"><bean:message key="filter.scenario.txt"/></TD>
			<TD class="Text">
				<html:select property="scenario" style="width:185px">
					<html:option value=""> &nbsp;</html:option>
					<c:forEach var="parm" items="${scenarioNames}">
						<c:choose>
							<c:when test="${requestScope.filterContent.scenario == parm.scName}">
								<option selected value="<c:out value="${parm.scName}"/>"><c:out value="${parm.scName}"/></option>
							</c:when>
							<c:otherwise>
								<option value="<c:out value="${parm.scName}"/>"><c:out value="${parm.scName}"/></option>
							</c:otherwise>
						</c:choose>
					</c:forEach>
				</html:select>
			</TD>
		</TR>
		<TR>
            <TD class="Text" nowrap><bean:message key="filter.description.txt"/></TD>
            <TD class="Text" nowrap><html:text property="description" size="28"/></TD>
		</TR>
		<TR>
            <TD class="Text" nowrap><bean:message key="filter.triggeringValues.txt"/></TD>
            <TD class="Text" nowrap><html:text property="trValues" size="28"/></TD>
		</TR>
		<c:if test="${param.itemStatus!='CLS' && param.itemStatus!='SUP'}">
		<TR>
			<TD class="Text"><SPAN style="width:120px"><bean:message key="filter.availability.txt"/></TD>
			<TD class="Text">
				<c:if test="${param.queryType == 'user'}">
					<html:select property="availability" style="width:185px">
						<html:option value=""> &nbsp;</html:option>
						<html:option value="-1"><bean:message key="filter.owned.txt"/></html:option>
						<html:option value="0"><bean:message key="filter.checkedOut.txt"/></html:option>
					</html:select>
				</c:if>
				<c:if test="${param.queryType == 'group'}">
					<html:select property="availability" style="width:185px" multiple="y" size="5">
						<html:option value=""> &nbsp;</html:option>
						<html:option value="Available"><bean:message key="filter.available.txt"/></html:option>
						<c:forEach var="user" items="${userList}">
							<option value="<c:out value="${user.userId}" />"><c:out value="${user.displayName}"/> (<c:out value="${user.userLongId}"/>)</option>
						</c:forEach>
					</html:select>
				</c:if>
			</TD>
		</TR>
		</c:if>
	</TABLE>

	<input type="hidden" name="mode" value="filter"/>
	<input type="hidden" name="queryType" value="<c:out value="${param.queryType}"/>"/>
	<input type="hidden" name="itemStatus" value="<c:out value="${param.itemStatus}"/>"/>
	<input type="hidden" name="badNumberMessage" value="<bean:message key='filter.enterNumber.txt'/>"/>
	<script>
	    var doValidate = true;
	</script>
    <div class="filterMessageAreaDiv"><bean:message key="filter.caseSensitive.txt"/></div>
	<TABLE align="center" BORDER="0">
		<TR><TD>&nbsp;</TD></TR>
		<TR align=<%=ViewUtils.alignRight(pageContext)%>>
		<TD><html:submit altKey="submit.txt" styleClass="button" style="cursor:hand"><bean:message key="ok.txt"/></html:submit></TD>
	  	<TD><input type="button" property="actions" class="button" alt="<bean:message key="cancel.txt"/>" style="cursor:hand"
    		onClick="window.close();" onMouseOver="setValidateFilter(false);" onMouseOut="setValidateFilter(true);"
    		value="<bean:message key="cancel.txt"/>"
		</input></TD>
	  	<TD><input type="button" property="clear" class="button" alt="<bean:message key="clear.txt"/>" style="cursor:hand"
    		onClick="amlClearFilter();" onMouseOver="setValidateFilter(false);" onMouseOut="setValidateFilter(true);"
    		value="<bean:message key="clear.txt"/>"
		</input></TD>
		</TR>
	</TABLE>
</html:form>
</td>
</tr>
</table>
</DIV>
</BODY>
</HTML>
