function doMultiCaseCheckIn(formName) {
    var noCheck=true;
    var buildURL="";
    var ii = 0;
    var formObj = document.forms[formName];

    for(var caseId in top.USER_SELECTED_CASES)
    {
        if(top.USER_SELECTED_CASES[caseId] == true)
        {
          var hiddenObj = document.createElement("INPUT");
          hiddenObj.type = "hidden";
          hiddenObj.name = "caseIds";
          hiddenObj.value = caseId;
          formObj.appendChild(hiddenObj);

          if(ii==0)
          {
            buildURL += "caseIds="+caseId;
          }
          else
          {
              buildURL += "&caseIds="+caseId;
          }
          noCheck=false;
        }
        ii++;
    }

    if(noCheck){
    	alert(document.getElementById("noselected").value);
    }
    else {
       formObj.submit();
    }
}

function setUserCasePID(cb)
{
  if(cb.checked == true)
  {
    top.USER_SELECTED_CASES[cb.value] = true;
  }
  else if(cb.checked == false)
  {
    top.USER_SELECTED_CASES[cb.value] = false;
  }
}

function selectAllCases(cb,form)
{
   if (form.caseIds == null)
      return;
   if (form.caseIds.length == null)
   {
      form.caseIds.checked = cb.checked;
      top.USER_SELECTED_CASES[form.caseIds.value]=cb.checked;
      return;
   }
   for (i = 0; i < form.caseIds.length; i++) {
      form.caseIds[i].checked = cb.checked;
      top.USER_SELECTED_CASES[form.caseIds[i].value] = cb.checked;
   }
}

// Used for checking out multiple cases. Build a list of selected case ids and
// submit the check out form.
function getCaseIds(cnt) {
    var noCheck=true;
    var theCaseIds="";
    var ii = 0;

    for(var caseId in top.USER_SELECTED_CASES)
    {
        if(top.USER_SELECTED_CASES[caseId] == true)
        {
          if(ii==0)
          {
            theCaseIds += caseId;
          }
          else
          {
            theCaseIds += ","+caseId;
          }
          noCheck=false;
        }
        ii++;
    }

    if(noCheck){
        if(cnt == 0) {
            alert(document.getElementById("noqueue").value);
        }
        else {
            alert(document.getElementById("noselected").value);
        }
    }
    else {
      // remove leading comma if there is one
      if (theCaseIds.charAt(0) == ",") {
        theCaseIds = theCaseIds.slice(1,theCaseIds.length);
      }
    document.checkOutCasesForm.theCaseIds.value = theCaseIds;
    document.checkOutCasesForm.submit();
    }
}

function getMultipleCaseID(form) {
    var noCheck=true;
    var caseIdList="";
    var count = 0;

    for(var caseId in top.USER_SELECTED_CASES)
    {
        if(top.USER_SELECTED_CASES[caseId] == true)
        {
          if(count==0)
          {
            caseIdList += caseId;
          }
          else
          {
            caseIdList += ","+caseId;
          }
          noCheck=false;
        }
        count++;
    }

    if(noCheck){
        alert(document.getElementById("noselected").value);
    }
    else {
    	// remove leading comma if there is one
    	if (caseIdList.charAt(0) == ",") {
        	caseIdList = caseIdList.slice(1,caseIdList.length);
        }
    	form.theCaseIds.value = caseIdList;
    	form.submit();
    }
}

function selectCase(cb)
{
  if(cb.checked == true)
  {
    top.USER_SELECTED_CASES[cb.value] = true;
  }
  else if(cb.checked == false)
  {
    top.USER_SELECTED_CASES[cb.value] = false;
  }
}

//Yet another way to reload() the parent when closing a window - for cases
function reloadCloseCase()
{
    if(!window.opener || window.opener.closed)
    {
    	 window.close();
    }
    else
    {
		var location = opener.location.href;

	     //If the url has Group - CaseListGroup, group - NavigateCases with queryType=group or CLS - closed window
	     //then there is no need to refresh the case list window.  Just close the detail window. The check for EntityDetail is because there
	     //are some times that the EntityDetail window has a group in it...
	     if ((location.indexOf('Group') > 0 || location.indexOf('group') > 0 ||
	          location.indexOf('CLS') > 0 || location.indexOf('/User') > 0 ||
	          location.indexOf('/Search') > 0 || location.indexOf('CustomerTransactionList') > 0 ||
	          location.indexOf('SummaryTab') > 0 || location.indexOf('DrillDown') > 0)
	             && location.indexOf('EntityDetail') <= 0)
	     {
	         window.close();
	     }
	     else
	         //If we are strictly dealing with an entity detail window, than we need to reload the window to refresh the count.
	         if (location.indexOf('EntityDetail')> 0)
	         {
	             opener.location.reload();
	             window.close();
	         }
	         else
	         //If all of the above doesn't apply, then the window is case list user and we need to refresh the icons without losing the position
		     {
	        	 window.opener.location = 'closeRefreshCase';
		         window.close();
		     }
    }
}

//Clears the fields of the case filter dialog
function caseClearFilter()
{
	document.getElementById("caseId").value="";
	document.getElementById("subjectNumber").value="";
	document.getElementById("name").value="";
	document.getElementById("startDate").value="";
	document.getElementById("endDate").value="";
	document.getElementById("type").value="";
	var avail = document.getElementById("availability");
	if (avail != null)
	{
		avail.options[0].selected=true;
		for(var ii=1; ii<avail.options.length;ii++) {
			avail.options[ii].selected=false;
	    }
	}
}

// Set the customer number field from the primary suspect selection
function setCustomerNumber()
{
	var suspectSelect = document.getElementById("primeSuspectName");
	var suspects = suspectSelect.options;
	var selectedndx = suspectSelect.selectedIndex;
	var custnum = suspects[selectedndx].value;
	document.getElementById("custNum").disabled=false;
	if (custnum != "-1")
	{
		var custname = suspects[selectedndx].text;
		document.getElementById("custNum").value=custnum;
		document.getElementById("hcustomerNumber").value=custnum;
		document.getElementById("custNum").disabled=true;
		document.getElementById("hprimeSuspect").value=custname;
	}
	else
	{
		document.getElementById("custNum").value="";
		document.getElementById("hcustomerNumber").value="";
		document.getElementById("custNum").disabled=true;
		document.getElementById("hprimeSuspect").value="";
	}
}

function validateSuspect()
{
	var alertText = document.getElementById("suspectMsg").value;
	var suspectSelect = document.getElementById("primeSuspectName");
	var suspects = suspectSelect.options;
	var selectedndx = suspectSelect.selectedIndex;
	var custnum = suspects[selectedndx].value;
	if (custnum == "-1")
	{
		alert(alertText);
		return false;
	}
	else
		return true;
}

// Displays the results of a create case
function showMessages()
{
	var casenum = document.getElementById("casenum");
	var errormsg = document.getElementById("errormsg");
	if (casenum.value != "")
	{
		alert(casenum.value);
		// close the dialog and refresh My Alerts
		reloadClose();
	}
	else if (errormsg.value != "")
		alert(errormsg.value);
}

// Displays error message for add alerts to case
function showErrorMessages()
{
	var errormsg = document.getElementById("errormsg");
	if (errormsg.value != "" && errormsg.value != "ok")
		alert(errormsg.value);
	else if (errormsg.value != "")
		reloadClose();
}

// Suspect object
function suspect(id,name,number)
{
	this.id=id;
	this.name=name;
	this.number=number;
}

// Create the suspects as hidden variables to pass the info through to the action class.
function writeSuspects(formname)
{
	var formObj = document.forms[formname];
	// First write out the prime suspects
	for(var i=0; i<theothers.length;i++)
	{
		var suspect = theothers[i];
	    writeSuspectHiddenVar(suspect,formObj);
	}
	//Then write out the suspects from the secondary owners of accts
	for(var i=0; i<theprimes.length;i++)
	{
		var suspect = theprimes[i];
	    writeSuspectHiddenVar(suspect,formObj);
	}
}

function writeSuspectHiddenVar(suspect,formObj)
{
	var id = suspect.id;
	var name = suspect.name;
	var number = suspect.number;
	var hiddenObj = document.createElement("INPUT");
	hiddenObj.type="hidden";
	hiddenObj.name="otherSuspectIds";
	hiddenObj.value=id;
	formObj.appendChild(hiddenObj);
	var hiddenObj1 = document.createElement("INPUT");
	hiddenObj1.type="hidden";
	hiddenObj1.name="otherSuspectNames";
	hiddenObj1.value=name;
	formObj.appendChild(hiddenObj1);
	var hiddenObj2 = document.createElement("INPUT");
	hiddenObj2.type="hidden";
	hiddenObj2.name="otherSuspectNumbers";
	hiddenObj2.value=number;
	formObj.appendChild(hiddenObj2);
}

// Submit the add alerts to case form if at least one alert is selected, and either
// a case is selected or a value is entered for case id. If these conditions are not met,
// display an error and return false so that the form is not submitted.
function addAlertsToCase()
{
	// Check for at least one alert checked
	var formObj = document.forms["addAlertsToCaseForm"];
	var alertChecked = false;
	if (formObj.alertIds.length == undefined) // there is only 1 alert
	{
		if (formObj.alertIds.checked)
			alertChecked = true;
	}
	else
	{
		for(var i=0; i<formObj.alertIds.length;i++)
		{
			if (formObj.alertIds[i].checked)
				alertChecked = true;
		}
	}
	if (alertChecked == false)
	{
		alert(noalerts);
		return false;
	}
	// Find out which case id radio button is checked.
	// The value for other caseid is 0.
	var checkedCaseId;
	for(var i=0; i<formObj.caseid.length;i++)
	{
		if (formObj.caseid[i].checked)
		{
			checkedCaseId = formObj.caseid[i].value;
			break;
		}
	}
	if (checkedCaseId == 0)
	{
		if (formObj.othercaseid.value == "")
		{
			alert(entercaseid);
			formObj.othercaseid.focus();
			return false;
		}
	}
	formObj.submit();
}

// mark the alert in the selected alerts array as checked
function selectAlertForCase(alertid)
{
   top.USER_SELECTED_ALERTS[alertid] = true;
}

//Updates the hidden value field and ensures the onchange event is fired.
function updateCaseReason(caseId)
{
	var reason = document.getElementById('newReason').value;
	var url = encodeURI("ChangeReason?caseId="+ caseId + "&reason=" + reason);
	retrieveCaseURL(url);
	window.opener.location.reload();
	window.close();
}

//Functions used with the AJAX related stuff
function retrieveCaseURL(url) {
	if (window.XMLHttpRequest) { // Non-IE browsers
		req = new XMLHttpRequest();
		req.onreadystatechange = processStateChangeCase;
		try {
			req.open("GET", url, true);
		} catch (e) {
			alert(e);
		}
		req.send(null);
	} else if (window.ActiveXObject) { // IE
		req = new ActiveXObject("Microsoft.XMLHTTP");
		if (req) {
			req.onreadystatechange = processStateChangeCase;
			req.open("GET", url, true);
			req.send();
		}
	}
}

function processStateChangeCase() {
	if (req.readyState == 4) { // Complete
		if (req.status == 200) { // OK response
			window.location.reload();
		} else {
			alert(req.statusText);
		}
	}
}

function displayAddSuspectWindow(type)
{
	my_window = window.open('./SearchQueryWindow?searchType='+type+'&keyFieldID=&nameFieldID=&numberFieldID=suspectNumber','searchQueryWindow','width=825,height=470,top=250,left=200,status=yes,scrollbars=0,resizable=1');

	do
	{
	} while (false == my_window.closed)

	var textbox = document.getElementById('suspectNumber');
	if (typeof(textbox.onchange) == 'function') textbox.onchange();
}

function refreshSuspects(suspectNumber, caseId)
{
	if (suspectNumber.value.length > 0 && suspectNumber.value != '0')
	{
		var url = "AddSuspect?caseId="+ caseId + "&suspectNumber=" + suspectNumber.value;

		retrieveSuspectURL(url);
	}
}

function retrieveSuspectURL(url) {
	if (window.XMLHttpRequest) { // Non-IE browsers
		req = new XMLHttpRequest();
		req.onreadystatechange = processStateChangeSuspect;
		try {
			req.open("GET", url, true);
		} catch (e) {
			alert(e);
		}
		req.send(null);
	} else if (window.ActiveXObject) { // IE
		req = new ActiveXObject("Microsoft.XMLHTTP");
		if (req) {
			req.onreadystatechange = processStateChangeSuspect;
			req.open("GET", url, true);
			req.send();
		}
	}
}

function processStateChangeSuspect() {
	if (req.readyState == 4) { // Complete
		if (req.status == 200) { // OK response
			window.location.reload();
		} else {
			alert(req.statusText);
		}
	}
}

// Opens search window and fires the onchange event for the customer number text entry field
// when the search dialog is closed. Used for validation of customer number.
function displaySearchWindow(type)
{
	my_window = window.open('./SearchQueryWindow?searchType='+type+'&nameFieldID=&numberFieldID=custNum&onClose=checkForCase','searchQueryWindow','width=825,height=470,top=250,left=200,status=no,scrollbars=0,resizable=0');
}

// Check to see if the customer selected already has an existing case.
// If so, display a warning message.
function checkForCase()
{
	var warningMsg = document.getElementById("warningMsg").value;
	var customerNum = document.getElementById("customerNumber").value;
	if (customerNum == "-1")
		return false;
	var xmlhttp;
	if (window.XMLHttpRequest)
	{
		// code for IE7+, Firefox, Chrome, Opera, Safari
		xmlhttp=new XMLHttpRequest();
	}
	else if (window.ActiveXObject)
	{
		// code for IE6, IE5
		xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
	}
	else
	{
		alert("Your browser does not support XMLHTTP!");
	}
	xmlhttp.onreadystatechange=function()
	{
		if(xmlhttp.readyState==4)
  		{
			eval(xmlhttp.responseText);
			if (top.hasCase)
				alert(warningMsg);
  		}
	}
	url="GetCaseForSuspect?customerNum="+customerNum;
	xmlhttp.open("GET",url,true);
	xmlhttp.send(null);
}

function showNewCaseActionsWindow(link,action,width,height,caseId)
{
	var noCheck=true;
    var ids="";

    if (isdefined(caseId)) {
    	ids = caseId;
    } else {
    	for(var caseId in top.USER_SELECTED_CASES)
        {
            if(top.USER_SELECTED_CASES[caseId] == true)
            {
              ids += caseId + ",";
              noCheck=false;
            }
        }

        if(ids.length > 0)
        	ids = ids.substring(0, ids.length - 1);
    }

	if(!isdefined(caseId) && noCheck){
		alert(document.getElementById("noselected").value);
		return;
	}

	var w = screen.availWidth;
    var h = screen.availHeight;

    var popW = width, popH = height;
    var leftPos = (w-popW)/2, topPos = (h-popH)/2;

    postToSessionStore({"ids": ids}, function success() {
  	  theWindow = window.open(encodeURI(link) + "?type=case&action=" + action,'sasamlCaseActionsPopup','resizable=1,width=' + popW + ',height=' + popH + ',top=' + topPos + ',left=' + leftPos);
        theWindow.focus();
    });

}

function isdefined(variable)
{
    return (typeof(variable) == "undefined")?  false: true;
}

function removeSuspect(caseId, suspectId) {
	dojo.io.bind({
		url: "RemoveSuspect?caseId=" + caseId + "&suspectKey=" + suspectId,
		method: "post",
		load: function load() {
			window.location.reload();
		},
		error: function error(type, error) {
			alert("An error occurred while attempting to remove a suspect.\n" + error.message);
		}
	});

	return false;
}

function promoteSuspect(caseId, suspectId) {
	dojo.io.bind({
		url: "PromoteSuspect?caseId=" + caseId + "&suspectKey=" + suspectId,
		method: "post",
		load: function load() {
			window.location.reload();
		},
		error: function error(type, error) {
			alert("An error occurred while attempting to remove a suspect.\n" + error.message);
		}
	});

	return false;
}

function removeAlert(caseId, alertId) {
	dojo.io.bind( {
		url: "RemoveAlert?caseId=" + caseId + "&removeAlertId=" + alertId,
		method: "post",
		load: function load() {
			window.location.reload();
		},
		error: function error( type, error ) {
			alert( "An error occurred while attempting to remove an alert.\n" + error.message );
		}
	} );

	return false;
}
