<%@page import="com.sas.aml.util.UTF8Encoder"%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ page language="java" session="true" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="aml" uri="/WEB-INF/amllib.tld" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-tiles.tld" prefix="tiles" %>

<%@ page import="com.sas.aml.util.ViewUtils" %>
<%@ page import="com.sas.aml.content.AlertContent" %>
<%@ page import="com.sas.aml.content.CustomerContent" %>
<%@ page import="com.sas.aml.content.CaseListContent" %>
<%@ page import="com.sas.aml.constants.AlertConstants" %>
<%@ page import="com.sas.aml.constants.ApplicationConstants" %>
<%@ page import="com.sas.aml.service.SearchQueryFrameService" %>
<%@ page import="com.sas.aml.struts.action.TaskListAction" %>
<%@ page import="com.sas.aml.struts.action.AddressMapAction" %>

<c:set var="localeKey">
<%=org.apache.struts.Globals.LOCALE_KEY%>
</c:set>
<fmt:setLocale value="${sessionScope[localeKey]}"/>

<fmt:setBundle basename="ApplicationResources"/>

<tiles:insert page="tiles/header.jsp">
  <tiles:put name="subtitle"><fmt:message key="detail.case.subTitle.txt"/></tiles:put>
</tiles:insert>

<!-- insert banner with header graphics and sas logo -->
<tiles:insert page="tiles/banner_popup.jsp">
  <tiles:put name="helppage" value="casedetails.htm" />
</tiles:insert>

<!-- Include Actions Menu Bar -->
<c:if test="${modify == 'true'}">
	<jsp:include page="tiles/case_action_menu_bar.jsp" />
</c:if>
<BR>
<!-- insert reloadNav navbar -->
<tiles:insert page="tiles/reloadNav.jsp">
<tiles:put name="backMsg"><fmt:message key="back.txt"/></tiles:put>
<tiles:put name="closeMsg"><fmt:message key="close.txt"/></tiles:put>
<tiles:put name="offset">85</tiles:put>
</tiles:insert>

<SCRIPT>
function subsetTransactions() {
}
</SCRIPT>

	<c:set var="localAccount">
		<%=AlertConstants.ACCOUNT%>
	</c:set>
	<c:set var="localCustomer">
		<%=AlertConstants.PARTY%>
	</c:set>
	<c:set var="localHousehold">
		<%=AlertConstants.HOUSEHOLD%>
	</c:set>
	<c:set var="localTransaction">
		<%=AlertConstants.TRANSACTION%>
	</c:set>
	<c:set var="localAssociate">
		<%=AlertConstants.ASSOCIATE%>
	</c:set>

<DIV>
<c:set var="active"><%=ApplicationConstants.ALERT_STATUS_ACTIVE%></c:set>
<c:set var="closed"><%=ApplicationConstants.ALERT_STATUS_CLOSED%></c:set>
<c:set var="suppressed"><%=ApplicationConstants.ALERT_STATUS_SUPPRESSED%></c:set>
<c:set var="suppressedb"><%=ApplicationConstants.ALERT_STATUS_SUPPRESSED_BATCH%></c:set>

<c:set var="primarySuspectNumber">
<%=UTF8Encoder.encode(((CaseListContent)pageContext.findAttribute("caseContent")).getPrimarySuspect().getEntityNumber())%>
</c:set>

<c:set var="primarySuspectName">
<%=UTF8Encoder.encode(((CaseListContent)pageContext.findAttribute("caseContent")).getPrimarySuspect().getEntityName())%>
</c:set>

<c:set var="regulatoryReportingEnabled"><%=pageContext.findAttribute("sasaml.regulatoryReportingEnabled")%></c:set>

<TABLE align="center" cellspacing="0" cellpadding="0" width="667" border="0">
  <TR>
    <TD class="pageName"><fmt:message key="detail.case.subTitle.txt"/></TD></TR>
  <TR>
    <TD class="topLine">&nbsp;</TD></TR>
</TABLE>

<TABLE align="center" width="667px" border="0" style="margin-top:10px">
    <TR>
    	<TD valign="top">
			<!-- Begin Case Detailed Information -->
			<TABLE cellspacing="0" cellpadding="0" width="350" border="0">
			  	<TR>
			  		<TD height="8" colspan="2"></TD>
			  	</TR>
			  	<!-- Primary Suspect information -->
			  	<TR>
			        <TD valign="top" class="defaultBackgroundColor">
			          	<TABLE class="DataTableBorder" cellspacing="0" cellpadding="0" width="350" border="0">
			          		<TR>
			          			<TD>
			          				<TABLE cellspacing="1" cellpadding="2" width="350" border="0">
				                  		<TR>
				                  			<TD class="TextTableTitle" colspan="3" height="18"><fmt:message key="detail.case.primeSuspect.txt"/></TD>
				                  		</TR>
				                  		<TR class="defaultBackgroundColor">
				                  			<TD class="Text">
				                  				<fmt:message key="detail.customerName.txt"/>
				                  			</TD>
				                  			<TD class="Text" align="center">
				                  				<c:out value="${caseContent.primarySuspect.entityName}" />
				                  			</TD>
				                  		</TR>
				                  		<TR class="defaultBackgroundColor">
				                  			<TD class="Text">
				                  				<fmt:message key="detail.alert.customerNumber.txt"/>
				                  			</TD>
				                  			<TD class="Text" align="center">
				                  				<A href="EntityDetail?custKey=<c:out value="${caseContent.primarySuspect.entityKey}" />&caseId=<c:out value="${caseContent.caseId}" />&caseDateTime=<c:out value="${caseContent.caseDateTime}" />">
				                  				<c:out value="${caseContent.primarySuspect.entityNumber}" /></A>
				                  			</TD>
				                  		</TR>
				                  		<TR valign="middle" class="defaultBackgroundColor">
				                  			<TD class="Text" width="50%"> <fmt:message key="detail.taxIDNumber.txt"/></TD>
				                  			<TD class="Text" align="center">
				                  				<c:out value="${caseContent.primarySuspect.taxID}" />
				                  			</TD>
				                  		</tr>
				                  		<TR valign="middle" class="defaultBackgroundColor">
								            <TD class="Text"> <fmt:message key="detail.currentRiskClassification.txt"/> </TD>
								            <TD class="Text" align="center">
								            	<c:choose>
								            		<c:when test="${caseContent.primarySuspect.riskClassification == '3'}">
								            			<fmt:message key="high.txt"/>
								            		</c:when>
								            		<c:when test="${caseContent.primarySuspect.riskClassification == '2'}">
								            			<fmt:message key="medium.txt"/>
								            		</c:when>
								            		<c:when test="${caseContent.primarySuspect.riskClassification == '1'}">
								            			<fmt:message key="low.txt"/>
								            		</c:when>
								            		<c:otherwise>
								            			<c:out value="" />
								            		</c:otherwise>
								            	</c:choose>
								            </TD>
								        </TR>
								        <TR valign="middle" class="defaultBackgroundColor">
								            <TD class="Text"> <fmt:message key="detail.proposedRiskClassification.txt"/> </TD>
								            <TD class="Text" align="center">
								            	<c:choose>
								            		<c:when test="${caseContent.primarySuspect.proposedRiskClassification == '3'}">
								            			<fmt:message key="high.txt"/>
								            		</c:when>
								            		<c:when test="${caseContent.primarySuspect.proposedRiskClassification == '2'}">
								            			<fmt:message key="medium.txt"/>
								            		</c:when>
								            		<c:when test="${caseContent.primarySuspect.proposedRiskClassification == '1'}">
								            			<fmt:message key="low.txt"/>
								            		</c:when>
								            		<c:otherwise>
								            			<c:out value="" />
								            		</c:otherwise>
								            	</c:choose>
								            </TD>
								        </TR>
				                  		<TR valign="middle" class="defaultBackgroundColor">
				                  			<TD class="Text" width="50%"> <fmt:message key="detail.dateofbirth.txt"/> </TD>
						                    <TD class="Text" align="center">
						                       <fmt:formatDate value="${caseContent.primarySuspect.dateOfBirth}" />
						                    </TD>
						                </TR>
						                <TR class="tableSectionTitleBackgroundColor">
						                    <TD class="DataHeader" height="20" colspan="3">
						                    	<fmt:message key="detail.streetAddress.txt"/>
						                    </TD>
						                </TR>
						                <TR class="defaultBackgroundColor">
						                    <TD colspan="3">
						                    <aml:addrMapLink>
						                    <aml:param name="entityType"><%=AddressMapAction.PARTY_STREET%></aml:param>
						                    <aml:param name="linkEnabled"><c:out value="${mailingMapEnabled}" /></aml:param>
						                    <aml:param name="entityKey"><c:out value="${caseContent.primarySuspect.entityKey}" /></aml:param>
											<aml:param name="linkEnabled"><c:out value="${mailingMapEnabled}" /></aml:param>
						                    	<TABLE width="100%" border="0" cellpadding="0" cellspacing="0">
						                    		<TR>
							                          	<TD class="Text">
							                            	<c:out value="${caseContent.primarySuspect.address1}" />
							                          	</TD>
							                        </TR>
							                        <TR>
							                          	<TD class="Text">
							                          		<c:out value="${caseContent.primarySuspect.address2}" />
							                          	</TD>
							                        </TR>
							                        <TR>
								                        <TD class="Text">
								                            <c:if test="${caseContent.primarySuspect.city != null}">
								                            <c:out value="${caseContent.primarySuspect.city}" />,
								                            </c:if>
								                            <c:out value="${caseContent.primarySuspect.state}" />&nbsp;
								                            <c:out value="${caseContent.primarySuspect.postal}" />
								                        </TD>
								                    </TR>
								                    <TR>
								                        <TD class="Text">
								                        	<c:out value="${caseContent.primarySuspect.country}" />
								                        </TD>
								                    </TR>
								                </TABLE>
								            </aml:addrMapLink>
								            </TD>
								        </TR>
								        <TR valign="middle" class="defaultBackgroundColor">
								            <TD class="Text" width="50%"> <fmt:message key="detail.primaryTelephone.txt"/> </TD>
								            <TD class="Text">
								            	<c:out value="${caseContent.primarySuspect.phone}" />
								            </TD>
								        </TR>
								    </TABLE>
				                </TD>
				            </TR>
					    </TABLE>
			        </TD>
		        </TR>
		        <TR>
					<TD height="10" colspan="2"></TD>
				</TR>
				<TR>
					<TD valign="top" class="defaultBackgroundColor">
						<TABLE class="DataTableBorder" cellspacing="0" cellpadding="0" width="350" border="0">
							<TR>
								<TD>
									<TABLE cellspacing="1" cellpadding="2" width="350" border="0">
										<TR>
											<TD class="TextTableTitle" colspan="3" height="18"><fmt:message key="detail.case.information.txt"/></TD>
										</TR>
										<TR valign="middle" class="defaultBackgroundColor">
											<TD class="Text"> <fmt:message key="detail.caseId.txt"/></TD>
											<TD class="Text">
												<c:out value="${caseContent.caseId}" />
											</TD>
										</TR>
										<TR valign="middle" class="defaultBackgroundColor">
											<TD class="Text"><fmt:message key="detail.type.txt"/></TD>
											<TD class="Text">
												<c:out value="${caseContent.caseType}" />
											</TD>
										</TR>
										<TR valign="middle" class="defaultBackgroundColor">
											<TD class="Text"> <fmt:message key="detail.alert.createDate.txt"/> </TD>
											<TD class="Text">
												<fmt:formatDate value="${caseContent.caseDate}" />
											</TD>
										</TR>
										<TR valign="middle" class="defaultBackgroundColor">
											<TD class="Text"> <fmt:message key="detail.alert.status.txt"/> </TD>
											<TD class="Text">
							                	<c:if test="${caseContent.status == active}">
							  					  	<fmt:message key="detail.alert.status.active.txt"/>
												</c:if>
												<c:if test="${caseContent.status == suppressed}">
							  					  	<fmt:message key="detail.alert.status.suppressed.txt"/>
												</c:if>
												<c:if test="${caseContent.status == suppressedb}">
							  					  	<fmt:message key="detail.alert.status.suppressed.batch.txt"/>
												</c:if>
												<c:if test="${caseContent.status == closed}">
							  					  	<fmt:message key="detail.alert.status.closed.fmt.txt">
														<fmt:param>
															<c:out value="${caseContent.closeReason}"/>
														</fmt:param>
													</fmt:message>
												</c:if>
											</TD>
										</TR>
										<TR valign="middle" class="defaultBackgroundColor">
											<TD class="Text">
                                                <c:choose>
                                                  <c:when test="${modify=='true' && aml:userHasCapability(sasamlProfile,'CASE_MODIFY_REASON')}">
                                                    <c:if test="${caseContent.reason != null}">
                                                      <c:set var="caseReason">
                                                        <%=UTF8Encoder.encode(((CaseListContent)pageContext.findAttribute("caseContent")).getReason())%>
                                                      </c:set>
                                                    </c:if>
                                                    <A id="editReason" HREF="EditReason?value=<c:out value='${caseReason}'/>&caseId=<c:out value='${caseContent.caseId}'/>" onclick="javascript:window.open(this.href,'editReasonWindow','width=400,height=200,top=250,left=200,status=yes,scrollbars=0,resizable=1'); return false;"><fmt:message key="detail.case.openReason.txt"/></A>
                                                  </c:when>
                                                  <c:otherwise>
                                                    <fmt:message key="detail.case.openReason.txt"/>
                                                  </c:otherwise>
                                                </c:choose>
											</TD>
											<TD class="Text">
												<c:out value="${caseContent.reason}"/>
											</TD>
										</TR>
									</TABLE>
								</TD>
							</TR>
						</TABLE>
					</TD>
				</TR>
			</TABLE><!-- End Left Column Table -->
		</TD>
		<TD width="5px">&nbsp;</TD>
		<TD valign="top">
			<TABLE cellspacing="0" cellpadding="0" width="305" border="0">
				<TR>
					<TD height="8" colspan="2"></TD>
				</TR>
				<tr>
					<td>
						<!-- More Information Table -->
						<TABLE class="DataTableBorder" cellSpacing="0" cellPadding="1" width="305" border="0">
							<TR>
								<TD>
									<TABLE cellSpacing="0" cellPadding="0" width="305" border="0">
			                			<TR>
			                				<TD class="defaultBackgroundColor">
			                					<TABLE cellspacing="0" cellpadding="0" width="305" border="0">
			                						<TR class="moreInfoTitleBackgroundColor">
			                							<TD class="SidebarTitle" colSpan="2" height="20">&nbsp;<fmt:message key="detail.moreInformation.title.txt"/></TD>
			                						</TR>
		                							<!-- CUSTOMER TRANSACTION VIEW -->
		                	                         <TR class="defaultBackgroundColor">
		                	                             <TD width="177" colSpan="2" height="5"></TD>
		                	                         </TR>
		                	                         <TR class="defaultBackgroundColor">
		                	                             <TD valign="top" align="<%=ViewUtils.alignRight(pageContext)%>" width="20">
		                	                                 <IMG height="12" src="../images/goldbulsquare.gif">
		                	                             </TD>
		                	                             <TD class="Text" valign="top">
		                	                             		<A href="CustomerTransactionList?caseId=<c:out value="${caseContent.caseId}" />" onclick="window.open(this.href, 'sasaml_ctview', 'scrollbars=1,width=screen.availWidth,height=screen.availHeight,resizable=1');  return false;">
		                	                             			<fmt:message key="detail.customer.transactions.txt"/>
		                	                             		</A>
		                	                            </TD>
		                	                        </TR>
		                	                        <!-- CUSTOMER RAP SHEET -->
		                	                         <TR class="defaultBackgroundColor">
		                	                             <TD width="177" colSpan="2" height="5"></TD>
		                	                         </TR>
		                	                         <TR class="defaultBackgroundColor">
		                	                             <TD valign="top" align="<%=ViewUtils.alignRight(pageContext)%>" width="20">
		                	                                 <IMG height="12" src="../images/goldbulsquare.gif">
		                	                             </TD>
		                	                             <TD class="Text" valign="top">
	                	                             		<A href="CustomerRapSheet?custKey=<c:out value="${caseContent.primarySuspect.entityKey}" />&customerName=<c:out value="${primarySuspectName}" />&custNum=<c:out value="${primarySuspectNumber}" />" >
	                	                             			<fmt:message key="detail.customer.comprehensive.txt"/>
	                	                             		</A>
		                	                            </TD>
		                	                         </TR>
		                	                         <!-- Current Entity Link -->
		                	                         <TR class="defaultBackgroundColor">
     				                                    <TD width="305" colSpan="2" height="5"></TD>
     				                                 </TR>
     				                                 <TR class="defaultBackgroundColor">
     				                                    <TD valign="top" align="<%=ViewUtils.alignRight(pageContext)%>" width="20">
     				                                       <IMG height="12" src="../images/goldbulsquare.gif">
     				                                    </TD>
     				                                    <TD class="Text" valign="top">
                           								 	<A id="caseHistory" HREF="AlertHistory?caseId=<c:out value="${caseContent.caseId}" />&caseDate=<c:out value="${caseContent.caseDate}" />&caseType=<c:out value="${caseContent.caseType}" />&caseReason=<c:out value="${caseContent.reason}"/> "><fmt:message key="detail.case.caseHistory.txt"/></A>
     				                                    </TD>
     				                                 </TR>
     				                                 <!-- More Case Information Link -->
     				                                 <TR class="defaultBackgroundColor">
     				                                 	<TD width="305" colSpan="2" height="5"></TD>
     				                                 </TR>
     				                                 <TR class="defaultBackgroundColor">
     				                                 	<TD valign="top" align="<%=ViewUtils.alignRight(pageContext)%>" width="20">
     				                                 		<IMG height="12" src="../images/goldbulsquare.gif">
     				                                 	</TD>
     				                                 	<!-- This url reference does not need to be encoded because it only passes a key and not a user data supplied value -->
     				                                 	<TD class="Text" valign="top">
     				                                 		<c:url var="url" value="SearchDetails">
     				                                 			<c:param name="newQuery" value="Y"/>
     				                                 			<c:param name="table" value="cse"/>
     				                                 			<c:param name="level" value="BAS"/>
     				                                 			<c:param name="filters" value="caseId="/>
     				                                 			<c:param name="value0"><c:out value="${caseContent.caseId}"/></c:param>
															</c:url>
															<A href="<c:out value='${url}' escapeXml='false'/>">
																<fmt:message key="detail.case.viewmore.txt"/>
															</A>
														</TD>
													</TR>
													<!-- Task List Link -->
													<c:if test="${isOwner}">
														<TR class="defaultBackgroundColor">
															<TD width="305" colSpan="2" height="5"></TD>
														</TR>
														<TR class="defaultBackgroundColor">
															<TD valign="top" align="<%=ViewUtils.alignRight(pageContext)%>" width="20">
																<IMG height="12" src="../images/goldbulsquare.gif">
															</TD>
															<TD class="Text" valign="top">
																<A id="taskList" style="cursor:hand;" onClick='window.open("TaskListWindow?actionType=<%=TaskListAction.PAGE_LOAD%>&caseID=<c:out value="${caseContent.caseId}" />", "Checklist", "height=505, width=795,resizable=yes,scrollbars=yes,status=yes");'>
																	<fmt:message key="taskList.title.txt" /> (<c:out value="${caseContent.numIncompleteTasks}"/>)
																</A>
															</TD>
														</TR>
													</c:if>
			                					</TABLE>
			                				</TD>
			                			</TR>
			                		</TABLE>
			                	</TD>
			                </TR>
			            </TABLE>
			        </td>
			    </tr>
			    <!-- End More Information Table -->
		    	<TR>
		    		<TD height="10" colspan="2"></TD>
		    	</TR>
		    	<tr>
		    		<td>
                      <!-- Case Attachments Table -->
                      <TABLE class="DataTableBorder" cellspacing="0" cellpadding="0" width="305" border="0">
                        <TR>
                          <TD>
                            <TABLE cellspacing="1" cellpadding="1" width="305" border="0">
                              <TR>
                                <TD class="TextTableTitle" colspan="2" height="18">
                                  <fmt:message key="detail.case.attachments.txt"/>
                                </TD>
                              </TR>
                              <TR class="defaultBackgroundColor">
                                <TD class="Text">
                                  <!-- Reference to window.open() does not need to be encoded because parameter is not data with characters -->
                                  <A id="comments" HREF="CaseComments?caseId=<c:out value="${caseContent.caseId}" />&queryType=<c:out value="${param.queryType}"/>" onclick="window.open(this.href, 'sasaml_comments', 'scrollbars=1,width=675,height=600,resizable=1');  return false;">
                                    <fmt:message key="detail.alert.comments.txt"/>
                                  </A>
                                </TD>
                                <TD class="Text" align="center">
                                  <span id="commentCount"><c:out value="${caseContent.commentCount}" /></span>
                                </TD>
                              </TR>
                              <TR class="defaultBackgroundColor">
                                <TD class="Text">
                                  <c:choose>
                                    <c:when test="${aml:userHasCapability(sasamlProfile,'CASE_ADD_VIEW_DOCUMENTS') and adddocuments == 'enable'}">
                                      <!-- Reference to window.open() does not need to be encoded because parameter is not data with characters -->
                                      <A id="documents" HREF="CaseDocuments?caseId=<c:out value="${caseContent.caseId}" />&queryType=<c:out value="${param.queryType}"/>" onclick="window.open(this.href, 'sasaml_documents', 'scrollbars=1,width=675,height=600, resizable=1');  return false;">
                                        <fmt:message key="detail.alert.documents.txt"/>
                                      </A>
                                    </c:when>
                                    <c:otherwise>
                                      <fmt:message key="detail.alert.documents.txt"/>
                                    </c:otherwise>
                                  </c:choose>
                                </td>
                                <TD class="Text" align="center">
                                  <c:out value="${caseContent.documentCount}" />
                                </TD>
                              </TR>
                              <%-- no regulatory reports if regulatory console integration is disabled --%>
                              <c:if test="${regulatoryReportingEnabled}">
                                  <TR class="defaultBackgroundColor">
                                    <TD class="Text">
                                      <%-- Reference to window.open() does not need to be encoded because parameter is not data with characters --%>
                                      <A id="regrpt" HREF="RegulatoryReportList?caseId=<c:out value="${caseContent.caseId}" />&queryType=<c:out value="${param.queryType}"/>" onclick="window.open(this.href, 'sasaml_regreport', 'scrollbars=1,width=850,height=675, resizable=1');  return false;">
                                        <fmt:message key="detail.alert.regulatoryReports.txt"/>
                                      </A>
                                    </TD>
                                    <TD class="Text" align="center">
                                      <c:out value="${caseContent.sarCount}" />
                                    </TD>
                                  </TR>
                              </c:if>
                            </TABLE>
                          </TD>
                        </TR>
                      </TABLE>
                      <!-- End Case Attachments Table -->

					</td>
				</tr>
			<!-- Add Site Specified Alert Metadata Details, if applicable -->
			<c:if test="${queryResults != null}" >
				<TR>
		    		<TD height="10" colspan="2"></TD>
		    	</TR>
				<TR>
					<TD>
					<!-- Insert Site Specified Details -->
					<tiles:insert page="tiles/site_details.jsp">
					<tiles:put name="tableWidth">305</tiles:put>
					</tiles:insert>
					</TD>
				</TR>
			</c:if>
			</table>
		</td>
	</tr>
	<TR>
	    <TD height="10" colspan="2"></TD>
	</TR>
	<tr>
		<td colspan="3">
			<!-- Case Suspects Table -->
			<TABLE class="mainTable" cellspacing="0" cellpadding="4" border="0" width="100%">
				<TR>
					<TD class="TextTableTitle" colspan="5" height="18"><fmt:message key="detail.case.caseSuspects.txt"/></TD>
				</TR>
				<%-- First row is the column headers --%>
				<TR>
					<%-- Suspect Type column --%>
					<TH class="centeredTableHeader" scope="col">
						<bean:message key="detail.case.suspect.txt"/>
					</TH>
					<%-- Name column --%>
					<TH class="centeredTableHeader">
						<bean:message key="transactionList.partyName.txt"/>
					</TH>
					<%-- Suspect Number column --%>
					<TH class="centeredTableHeader">
						<bean:message key="transactionList.partyNumber.txt"/>
					</TH>

					<c:if test="${aml:userHasCapability(sasamlProfile,'CASE_MODIFY_SUSPECTS') && modify=='true'}">
						<!-- Select Suspects Column Delete? -->
						<TH class="centeredTableHeader" scope="col" width="10%">
					   		<bean:message key="detail.case.removeItem.txt"/>
						</TH>
						<!-- Reorder suspects -->
						<TH class="centeredTableHeader" scope="col" width="10%">
							<bean:message key="detail.case.makePrime.txt"/>
						</TH>
					</c:if>
				</TR>
				<%-- Start looping through rows of suspects --%>
				<c:set var="counter" value="1" />
				<c:forEach var="suspect" items="${caseContent.caseSuspects}" varStatus="current">
				   <c:choose>
				      <c:when test="${counter % 2 == 0}">
				<TR class="dataRow2_tableRow">
				      </c:when>
				      <c:otherwise>
				<TR class="dataRow1_tableRow">
				      </c:otherwise>
				   </c:choose>
				   <TD class="textTableCell">
				   		<c:if test='${suspect.primarySuspectInd == "Y"}'>
				   			<bean:message key="detail.case.primary.txt"/>
				   		</c:if>
				   		<c:if test='${suspect.primarySuspectInd != "Y"}'>
				   			<bean:message key="detail.case.secondary.txt"/>
				   		</c:if>
				   </TD>
				   <TD class="textTableCell">
					    <c:out value="${suspect.entityName}" />
				   </TD>
				   <TD class="textTableCell">
     					<A href="EntityDetail?custKey=<c:out value="${suspect.entityKey}" />&caseId=<c:out value="${caseContent.caseId}" />&alertDateTime=<c:out value="${caseContent.caseDateTime}" />">
					    <c:out value="${suspect.entityNumber}" /></A>
				   </TD>
				<c:if test="${aml:userHasCapability(sasamlProfile,'CASE_MODIFY_SUSPECTS') && modify=='true'}">
				   <TD class="imageTableCell">
				   	   <c:if test='${suspect.primarySuspectInd == "Y"}'>
			       	   		&nbsp;
			       	   </c:if>
				   	   <c:if test='${suspect.primarySuspectInd != "Y"}'>
                          <a href="#" onclick="removeSuspect(${caseContent.caseId}, ${suspect.entityKey});">
                            <img border="0" src="../images/Delete.gif" title="<fmt:message key="detail.case.removeSuspectTip.txt"/>"/>
                          </a>
			       	   </c:if>
				   </TD>
				   <TD class="imageTableCell">
			       	   <c:if test='${suspect.primarySuspectInd == "Y"}'>
			       	   		&nbsp;
			       	   </c:if>
			       	   <c:if test='${suspect.primarySuspectInd != "Y"}'>
                            <a href="#" onclick="promoteSuspect(${caseContent.caseId}, ${suspect.entityKey});">
                                <img border="0" src="../images/ArrowUpSelector.gif" title="<fmt:message key="detail.case.makePrimeTip.txt"/>"/>
                            </a>
		   				</c:if>
				   </TD>
				 </c:if>
			   </TR>
		       <c:set var="counter" value="${counter + 1}" />
               </c:forEach>
           </TABLE>
       </td>
    </tr>
    <TR>
   	   <TD height="10" colspan="2"></TD>
    </TR>
   	 <c:if test="${aml:userHasCapability(sasamlProfile,'CASE_MODIFY_SUSPECTS') && addSuspects != 'disable' && modify=='true'}">
	    <tr>
	   	   	<td>
	   	   		<input type="text" id="suspectNumber" class="hiddenText" value="0" onChange="refreshSuspects(this,<c:out value='${caseContent.caseId}'/> );"/>
	   	   		<input type="button" property="addSuspect" class="button" alt="<fmt:message key="detail.case.addSuspects.txt"/>" style="cursor:hand"
	   	   			onclick="displayAddSuspectWindow(<%= SearchQueryFrameService.PARTY %>); return false;"
	   	   			value="<fmt:message key="detail.case.addSuspects.txt"/>" />
	   	   	</td>
	   	</tr>
	 </c:if>
    <TR>
 	   <TD height="10" colspan="2"></TD>
    </TR>
    <tr>
   	   <td colspan="3">
   	       <!-- Case Alerts Table -->
   	   	   <TABLE class="mainTable" cellspacing="0" cellpadding="4" border="0" width="100%">
   	   	   		<TR>
   	   	   			<TD class="TextTableTitle" colspan="8" height="18"><fmt:message key="detail.case.caseAlerts.txt"/></TD>
   	   	   		</TR>
   	   	        <%-- First row is the column headers --%>
   	   		    <TR>
	   	   			<%-- Alert Id column --%>
	   	   			<TH class="centeredTableHeader" scope="col">
	   	   				<bean:message key="alertList.alertId.txt"/>
	   	   			</TH>
					<%-- Subject Number column --%>
					<TH class="centeredTableHeader">
						<bean:message key="alertList.subjectNumber.txt"/>
					</TH>
					<%-- Name column --%>
					<TH class="centeredTableHeader">
						 <bean:message key="alertList.name.txt"/>
					</TH>
					<%-- Create Date column --%>
					<TH class="centeredTableHeader">
						 <bean:message key="alertList.date.txt"/>
					</TH>
					<%-- Money Laundering Risk column --%>
					<TH class="centeredTableHeader">
						 <bean:message key="alertList.moneyLaunderingRisk.txt"/>
					</TH>
					<%-- Terror Financing Risk column --%>
					<c:if test='${tfdisplay}'>
					<TH class="centeredTableHeader">
						<bean:message key="alertList.terrorFinancingRisk.txt"/>
					</TH>
					</c:if>
					<%-- Description column --%>
					<TH class="centeredTableHeader">
						<bean:message key="alertList.description.txt"/>
					</TH>
					<c:if test="${aml:userHasCapability(sasamlProfile,'CASE_REMOVE_ALERTS') && modify=='true'}">
						<!-- Select Alerts Column Delete? -->
						<TH class="centeredTableHeader" scope="col" width="10%">
							<bean:message key="detail.case.removeItem.txt"/>
						</TH>
					</c:if>
				</TR>
		<%-- Start looping through rows of alerts --%>
		<c:set var="counter" value="1" />
		<c:forEach var="ca" items="${caseContent.caseAlerts}" varStatus="current">
		   <c:choose>
		      <c:when test="${counter % 2 == 0}">
		        <TR class="dataRow2_tableRow">
		      </c:when>
		      <c:otherwise>
		        <TR class="dataRow1_tableRow">
		      </c:otherwise>
		   </c:choose>
		   <c:if test="${current.last}">
		      <c:set value="tableDataBottomLeft" var="left"/>
		      <c:set value="tableDataBottomMiddle" var="middle"/>
		      <c:set value="tableDataBottomAction" var="action"/>
		      <c:set value="tableDataBottomRight" var="right"/>
		   </c:if>
		   <c:if test="${!current.last}">
		      <c:set value="tableDataLeft" var="left"/>
		      <c:set value="tableDataMiddle" var="middle"/>
		      <c:set value="tableDataAction" var="action"/>
		      <c:set value="tableDataRight" var="right"/>
		   </c:if>
					<TD class="imageTableCell">
						<A href="EntityDetail?alertId=<c:out value="${ca.alertId}" />">
							<B><c:out value="${ca.alertId}" /></B>
						</A>
					</TD>
					<TD class="textTableCell">
				           <c:if test='${ca.alertLevel == localAccount}'>
				           		<A href="EntityDetail?acctKey=<c:out value="${ca.entityKey}" />&alertId=<c:out value="${ca.alertId}" />&alertDateTime=<c:out value="${ca.alertDateTime}" />&queryType=<c:out value="${queryType}" />" >
				           </c:if>
				           <c:if test='${ca.alertLevel == localCustomer}'>
				           		<A href="EntityDetail?custKey=<c:out value="${ca.entityKey}" />&alertId=<c:out value="${ca.alertId}" />&alertDateTime=<c:out value="${ca.alertDateTime}" />&queryType=<c:out value="${queryType}" />" >
				           </c:if>
				           <c:if test='${ca.alertLevel == localAssociate}'>
				           		<A href="EntityDetail?assocKey=<c:out value="${ca.entityKey}" />&alertId=<c:out value="$(ca.alertId}" />&alertDateTime=<c:out value="${ca.alertDateTime}" />&queryType=<c:out value="${queryType}" />" >
				           </c:if>
				           <c:if test='${ca.alertLevel == localHousehold}'>
				           		<A href="EntityDetail?hhKey=<c:out value="${ca.entityKey}" />&alertId=<c:out value="${ca.alertId}" />&alertDateTime=<c:out value="${ca.alertDateTime}" />&queryType=<c:out value="${queryType}" />" >
				           </c:if>
				           <c:if test='${ca.alertLevel == localTransaction}'>
				           		<A href="EntityDetail?taKey=<c:out value="${ca.entityKey}" />&alertId=<c:out value="${ca.alertId}" />&alertDateTime=<c:out value="${ca.alertDateTime}" />&queryType=<c:out value="${queryType}" />" >
				           </c:if>
				           <c:out value="${ca.subjectNumber}" />
				           </A>
				    </TD>
				    <TD class="textTableCell"><c:out value="${ca.alertName}" /></TD>
				    <TD class="textTableCell"><fmt:formatDate value="${ca.alertDate}" /></TD>
				    <%-- Money Laundering Risk Column --%>
				    <TD class="imageTableCell">
				    	<A id="mlRisk" href="EntityDetail?scenarioID=<c:out value="${ca.scenario.scenarioID}" />&alertId=<c:out value="${ca.alertId}" />&moneyLaunderingRisk=<c:out value="${ca.moneyLaunderingRisk}" />&terrorFinancingRisk=<c:out value="${ca.terrorFinancingRisk}" />&scenarioName=<c:out value="${ca.scenarioName}" />&subject=<c:out value="${ca.alertLevel}" />:<c:out value="${ca.entityKey}" />">
				    		<c:out value="${ca.moneyLaunderingRisk}" />
				    	</A>
				   </TD>
				    <%-- Terror Financing Risk Column --%>
				    <c:if test='${tfdisplay}'>
				  	<TD class="imageTableCell">
				  		<A id="tfRisk" href="EntityDetail?scenarioID=<c:out value="${ca.scenario.scenarioID}" />&alertId=<c:out value="${ca.alertId}" />&moneyLaunderingRisk=<c:out value="${ca.moneyLaunderingRisk}" />&terrorFinancingRisk=<c:out value="${ca.terrorFinancingRisk}" />&scenarioName=<c:out value="${ca.scenarioName}" />&subject=<c:out value="${ca.alertLevel}" />:<c:out value="${ca.entityKey}" />">
				  			<c:out value="${ca.terrorFinancingRisk}" />
				  		</A>
				  	</TD>
				    </c:if>
					<TD class="imageTableCell"><c:out value="${ca.description}" /></TD>
					<c:if test="${aml:userHasCapability(sasamlProfile,'CASE_REMOVE_ALERTS') && modify=='true'}">
						<TD class="imageTableCell">
							<a href="#" onclick="removeAlert(${caseContent.caseId}, ${ca.alertId});">
								<img border="0" src="../images/Delete.gif" title="<fmt:message key="detail.case.removeAlertTip.txt"/>"/>
							</a>
						</TD>
					</c:if>
				</TR>
			<c:set var="counter" value="${counter + 1}" />
			</c:forEach>
			</TABLE>
		</td>
	</tr>
</table>
</DIV>
</BODY>
</HTML>