<%@ page contentType="text/html; charset=utf-8" %>
<%@ page language="java" session="true" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-tiles.tld" prefix="tiles" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="aml" uri="/WEB-INF/amllib.tld" %>

<jsp:useBean id="routeList" scope="request" class="com.sas.aml.content.SelectedActionContent" />
<%@ page import="com.sas.servlet.tbeans.html.DatePicker"%>
<%@ page import="com.sas.aml.struts.form.CreateCaseForm"%>
<%@ page import="java.util.Date"%>
<%@ page import="com.sas.aml.content.SuspectContent" %>
<%@ page import="com.sas.aml.util.DatePickerUtil" %>
<%@ page import="java.util.List"%>
<%@ page import="java.util.ArrayList"%>

<c:set var="localeKey">
<%=org.apache.struts.Globals.LOCALE_KEY %>
</c:set>
<fmt:setLocale value="${sessionScope[localeKey]}"/>

<fmt:setBundle basename="ApplicationResources"/>

<tiles:insert page="tiles/header.jsp">
    <tiles:put name="subtitle"><bean:message key="create.case.label.manual.txt"/></tiles:put>
    <tiles:put name="onLoad" value="textCounter2('caseComment', 'remLen', 2000)"/>
</tiles:insert>

<tiles:insert page="tiles/banner_actions.jsp">
   <tiles:put name="helppage" value="casecreate_alerts.htm" />
</tiles:insert>

<DIV id="addAlertsContent">

<script>
<%
	List others = (ArrayList)request.getAttribute("otherSuspects");
	if (others != null)
	{
		int numothers = others.size();
		String suspectname=null;
		String suspectnum=null;
		out.println("theothers = new Array("+numothers+");");
		for (int i = 0; i < numothers; i++) {
	        SuspectContent susp = (SuspectContent) others.get(i);
        	out.print("theothers["+i+"]=new suspect('"+susp.getEntityKey()+"','");
        	suspectname=susp.getEntityName();
        	suspectname=suspectname.replaceAll("\\\\","\\\\\\\\");
        	suspectname=suspectname.replaceAll("'","\\\\'");
        	out.print(suspectname+"','");
        	suspectnum=susp.getEntityNumber();
        	if (suspectnum!=null)
        	{
		        suspectnum=suspectnum.replaceAll("\\\\","\\\\\\\\");
	        	suspectnum=suspectnum.replaceAll("'","\\\\'");
	        	out.println(suspectnum+"');");
	    	}
	    	else
			    out.println(""+"');");
	 	}
	}
	else
		out.println("theothers = new Array(0);");
	List primes = (ArrayList)request.getAttribute("primeSuspects");
	if (primes != null)
	{
		int numprimes = primes.size();
		String suspectname=null;
		String suspectnum=null;
		out.println("theprimes = new Array("+numprimes+");");
		for (int i = 0; i < numprimes; i++) {
	        SuspectContent susp = (SuspectContent) primes.get(i);
        	out.print("theprimes["+i+"]=new suspect('"+susp.getEntityKey()+"','");
        	suspectname=susp.getEntityName();
        	suspectname=suspectname.replaceAll("\\\\","\\\\\\\\");
        	suspectname=suspectname.replaceAll("'","\\\\'");
        	out.print(suspectname+"','");
        	suspectnum=susp.getEntityNumber();
        	if (suspectnum!=null)
        	{
		        suspectnum=suspectnum.replaceAll("\\\\","\\\\\\\\");
	        	suspectnum=suspectnum.replaceAll("'","\\\\'");
	        	out.println(suspectnum+"');");
	    	}
	    	else
			    out.println(""+"');");
	 	}
	}
	else
		out.println("theprimes = new Array(0);");
%>
</script>

<input type="hidden" name="casenum" id="casenum" value="<c:out value="${casenum}"/>" />
<input type="hidden" name="errormsg" id="errormsg" value="<c:out value="${errormsg}"/>" />
<input type="hidden" name="selectDate" value="<bean:message key='selectDate.txt'/>" />
<input type="hidden" name="selectUser" value="<bean:message key='selectUser.txt'/>" />
<input type="hidden" name="charRemain" value="<fmt:message key='textarea.remaining.characters.txt'/>"/>
<input type="hidden" name="fieldFullMsgTxt" value="<fmt:message key="textarea.field.full.msg.txt"/>"/>
<input type="hidden" name="warningMsg" value="<bean:message key="create.case.warning.customer.txt"/>"/>
<input type="hidden" name="suspectMsg" value="<bean:message key="create.case.label.defaultSuspect.txt"/>"/>

<html:form action="/CreateCase" styleId="createCaseForm" onsubmit="writeSuspects('createCaseForm')">
<TABLE cellspacing="0" cellpadding="0" width="100%" border="0">
    <TR>
        <TD width="16">&nbsp;</TD>
        <TD class="pageName"><bean:message key="create.case.label.manual.txt"/></TD>
    </TR>
    <TR>
        <TD width="2"></TD>
        <TD class="topLine">&nbsp;</TD>
    </TR>
</TABLE>

<TABLE cellspacing="0" cellpadding="0" border="0" width="100%">
    <TR>
        <TD colspan="2">&nbsp;</TD>
    </TR>
    <TR>
        <TD width="16">&nbsp;</TD>
        <TD valign="top" class="defaultBackgroundColor">
            <TABLE class="DataTableBorder" cellspacing="0" cellpadding="0"  border="0" width="100%">
                <TR>
                    <TD>
                        <TABLE cellspacing="1" cellpadding="2"  border="0" width="100%">
                            <TR class="defaultBackgroundColor">
                                <TD colspan="3">
                                    <BR>
                                    <TABLE border="0" width="100%">
                                        <TR>
                                            <TD class="Text" nowrap>
												<bean:message key="create.case.label.type.txt"/>
                                            </TD>
                                            <TD>
					    					    <select name="typeCode" id="typeCode" size="1" style="width:74%">
                       								<c:forEach var="theType" items="${casetypes}">
							                            <option value="<c:out value="${theType.name}"/>">
                           									<c:out value="${theType.value}" />
                           								</option>
                      								</c:forEach>
    											</select>
                                            </TD>
                                        </TR>
                                        <TR>
                                            <TD class="Text" nowrap>
												<bean:message key="create.case.label.primarySuspect.txt"/>
                                            </TD>
                                            <TD>
					    					    <select name="primeSuspectName" id="primeSuspect" size="1" style="width:74%" onChange="setCustomerNumber();checkForCase()">
					    					    	<option selected value="-1"><bean:message key="create.case.label.defaultSuspect.txt"/></option>
                       								<c:forEach var="suspect" items="${primeSuspects}">
							                            <option value="<c:out value="${suspect.entityNumber}"/>">
                           									<c:out value="${suspect.entityName}" />
                           								</option>
                      								</c:forEach>
    											</select>
                                            </TD>
                                        </TR>
                                        <TR>
                                            <TD class="Text" nowrap>
												<bean:message key="create.case.label.customerNumber.txt"/>
                                            </TD>
                           					<TD valign="top" nowrap class="typetable" valign="top">
												<html:text property="customerNumber" styleId="custNum" maxlength="50" size="31"/>
											</TD>
                                        </TR>
                                        <TR>
                                            <TD class="Text" nowrap>
												<bean:message key="create.case.label.reason.txt"/>
                                            </TD>
                           					<TD valign="top" nowrap class="typetable" valign="top">
												<html:text property="reason" maxlength="35" size="31"/>
											</TD>
                                        </TR>
                                        <TR>
                                            <TD class="Text" nowrap WIDTH="30%">
												<bean:message key="create.assessment.label.createDate.txt"/>
                                            </TD>
											<TD>
											<%
											 	CreateCaseForm form = (CreateCaseForm)request.getAttribute("createCaseForm");
											 	Object datePickerValue = form.getCaseDate();
											 	if (datePickerValue == null)
													datePickerValue = new Date();
											 	DatePicker dsp = DatePickerUtil.createDatePicker("caseDate", datePickerValue, pageContext);
											 	DatePickerUtil.writeDatePicker(dsp, out, request);
											%>
											</TD>
										</TR>
                                        <TR>
                                            <TD class="Text" valign="top" nowrap WIDTH=30%>
                                                <bean:message key="actions.route.txt"/>
                                            </TD>
                                            <TD class="Text">
                                                <html:select property="routeTo" style="width:74%" size="5">
                                                	<c:if test="${aml:userHasCapability(sasamlProfile,'CASES_TAB_ACCESS')}">
                                                		<option selected value="-1"><bean:message key="alert.menu.myCases.txt"/></option>
                                                 	</c:if>
                                                    <html:options collection="userList" property="userLongId" labelProperty="displayName"/>
                                                    <html:options collection="groupList" property="groupId" labelProperty="groupName"/>
                                                </html:select>
                                            </TD>
                                        </TR>
                                        <TR>
                                            <TD valign="top" class="Text" style="padding-top:5px"><bean:message key="create.alert.label.comment.txt"/></TD>
                                            <TD>
                                                <table cellpadding="0" cellspacing="0">
                                                    <tr>
                                                        <td colspan="2">
                                                            <textarea id="caseComment" name="caseComment" rows="5" cols="40" onchange="textCounter2('caseComment', 'remLen', 2000);" onkeydown="textCounter2('caseComment', 'remLen', 2000);" onkeyup="textCounter2('caseComment', 'remLen', 2000);"></textarea>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td valign="top">
                                                            <span id="remLen" class="CounterText" style="color:dimgray"></span>
                                                        </td>
                                                        <td align="right" valign="top">
                                                            <span class="message">&nbsp;</span>
                                                            <span id="fieldFullMsg" role="alert" class="message"></span>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </TD>
                                        </TR>
                                        <TR>
                                            <TD>&nbsp;</TD>
                                        </TR>
                            			<TR class="defaultBackgroundColor">
                            				<TD align="center" colspan="3">
												<html:submit property="submitButton" onclick="return validateSuspect()" altKey="save.txt" styleClass="button" style="cursor:hand"><bean:message key="save.txt" /></html:submit>

												<!-- The preferred way is to use struts-el support and the html:button tag (struts 1.1?) -->
								  				<input type="button" property="actions" class="button" alt="<bean:message key="cancel.txt"/>" style="cursor:hand"
									            	onClick="window.close();"
									            	value="<bean:message key="cancel.txt"/>"
												</input>
				                            </TD>
			                            </TR>
                                        <TR>
                                    		<TD>&nbsp;</TD>
                                    	</TR>
                                    </TABLE>
                                </TD>
                            </TR>
                        </TABLE>
                    </TD>
                </TR>
            </TABLE>
        </TD>
    </TR>
    <TR>
        <TD colspan="2" align="center">&nbsp;</TD>
    </TR>
</TABLE>

<INPUT type="hidden" name="ids" value="<c:out value="${ids}"/>">
<INPUT type="hidden" name="primeSuspect" id="hprimeSuspect" value="">
<INPUT type="hidden" name="customerNum" id="hCustomerNumber" value="">
<INPUT type="hidden" name="mode" value="create">

</html:form>

<!-- The calendar form contains values used by the calendar widget -->
<FORM name="searchCalendarForm">
  <INPUT type="hidden" name="hdate" value="">
  <INPUT type="hidden" name="range" value="future">
  <INPUT type="hidden" name="targetForm" value="routeCaseForm">
</FORM>

</DIV>

<script>
document.getElementById("custNum").disabled=true;
showMessages();
</script>

<SPAN id="action_working" style="display:none;">
    <TABLE align="center">
        <TR>
            <TD align="center">
                <H3><bean:message key="actions.pleaseWait.txt"/></H3>
            </TD>
        </TR>
        <TR>
            <TD align="center">
                <img src="../images/animated.gif">
            </TD>
        </TR>
    </TABLE>
</SPAN>

</BODY>
</HTML>