<% response.setHeader("Cache-Control", "max-age=0"); response.setHeader("Pragma", "public");// bugfix for IE using SSL%><% response.setHeader("Content-disposition","inline; filename=" + "CustomerTransactions.csv"); %><%@ page language="java" session="true" %><%@page import="java.io.IOException" %><%@page import="java.util.ResourceBundle" %><%@page import="com.sas.aml.content.CustomerTransactionListContent" %><%@page import="com.sas.aml.constants.ConfigConstants" %><%@page import="com.sas.aml.util.DateUtil" %><%@page import="com.sas.aml.util.CSVUtils" %><%@page import="org.apache.commons.lang.StringUtils" %><%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %><%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %><%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %><%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %><%@ taglib uri="/WEB-INF/struts-tiles.tld" prefix="tiles" %><%
    CSVUtils.setContentTypeHeader( pageContext ); // Set Content-Type header based on user's locale using 'csv.encoding.{language}[_{country}] configuration setting, else utf-8.
    CSVUtils.setCSXExport( StringUtils.equalsIgnoreCase( (String)pageContext.findAttribute( "exFileType" ), "CSX" ) );
%><%writeColumnHeaders( pageContext );%><c:set var="counter" value="1" /><c:forEach var="ct" items="${customerTransactions}" varStatus="current"><%writeTransactionRecord( (CustomerTransactionListContent)pageContext.findAttribute("ct"), pageContext );%></c:forEach><%!
private void writeColumnHeaders( PageContext pageContext ) throws IOException
{
    JspWriter out = pageContext.getOut();

    String delimiter = (String)pageContext.findAttribute( "delimiter" );

    ResourceBundle messages = ResourceBundle.getBundle( ConfigConstants.MESSAGES_FILE, pageContext.getRequest().getLocale() );

    out.print( CSVUtils.toCSVValue( messages.getString( "transactionList.transactionNumber.txt" ) ) ); out.print( delimiter );
    out.print( CSVUtils.toCSVValue( messages.getString( "transactionList.accountNumber.txt" ) ) ); out.print( delimiter );
    out.print( CSVUtils.toCSVValue( messages.getString( "transactionList.role.txt" ) ) ); out.print( delimiter );
    out.print( CSVUtils.toCSVValue( messages.getString( "transactionList.date.txt" ) ) ); out.print( delimiter );
    out.print( CSVUtils.toCSVValue( messages.getString( "transactionList.amount.txt" ) ) ); out.print( delimiter );
    out.print( CSVUtils.toCSVValue( messages.getString( "transactionList.currency.txt" ) ) ); out.print( delimiter );
    out.print( CSVUtils.toCSVValue( messages.getString( "transactionList.cdi.txt" ) ) ); out.print( delimiter );
    out.print( CSVUtils.toCSVValue( messages.getString( "transactionList.primaryMedium.txt" ) ) ); out.print( delimiter );
    out.print( CSVUtils.toCSVValue( messages.getString( "transactionList.secondaryMedium.txt" ) ) ); out.print( delimiter );
    out.print( CSVUtils.toCSVValue( messages.getString( "transactionList.mechanism.txt" ) ) ); out.print( delimiter );
    out.print( CSVUtils.toCSVValue( messages.getString( "transactionList.country.txt" ) ) ); out.print( delimiter );
    out.print( CSVUtils.toCSVValue( messages.getString( "transactionList.secondAccountNumber.txt" ) ) ); out.print( delimiter );
    out.print( CSVUtils.toCSVValue( messages.getString( "transactionList.related.txt" ) ) ); out.print( delimiter );
    out.print( CSVUtils.toCSVValue( messages.getString( "transactionList.thirdParty.txt" ) ) ); out.print( delimiter );
    out.print( CSVUtils.toCSVValue( messages.getString( "transactionList.remitter.txt" ) ) ); out.print( delimiter );
    out.print( CSVUtils.toCSVValue( messages.getString( "transactionList.beneficiary.txt" ) ) ); out.print( delimiter );
    out.print( CSVUtils.toCSVValue( messages.getString( "transactionList.branch.txt" ) ) ); out.print( delimiter );
    out.print( CSVUtils.toCSVValue( messages.getString( "transactionList.associate.txt" ) ) ); out.print( delimiter );
    out.print( CSVUtils.toCSVValue( messages.getString( "transactionList.description.txt" ) ) ); out.print( delimiter );
    out.print( CSVUtils.toCSVValue( messages.getString( "transactionList.status.txt" ) ) );

    out.println();
}

private void writeTransactionRecord( CustomerTransactionListContent ct, PageContext pageContext ) throws IOException
{
    JspWriter out = pageContext.getOut();

    String delimiter = (String)pageContext.findAttribute( "delimiter" );

    out.print( CSVUtils.toCSVValue( ct.getTransactionNumber(), true /*CSX*/ ) ); out.print( delimiter );

    out.print( CSVUtils.toCSVValue( ct.getAccountNumber(), true /*CSX*/ ) ); out.print( delimiter );

    out.print( CSVUtils.toCSVValue( ct.getRoleDesc() ) ); out.print( delimiter );

    out.print( CSVUtils.toCSVValue( DateUtil.getDate( ct.getTransactionDate() ) ) ); out.print( delimiter );

    out.print( CSVUtils.toCSVValue( ct.getCurrencyAmount() ) ); out.print( delimiter );

    out.print( CSVUtils.toCSVValue( ct.getCurrencyCode() ) ); out.print( delimiter );

    out.print( CSVUtils.toCSVValue( ct.getTransactionCDIDesc() ) ); out.print( delimiter );

    out.print( CSVUtils.toCSVValue( ct.getPrimaryMediumDesc() ) ); out.print( delimiter );

    out.print( CSVUtils.toCSVValue( ct.getSecondaryMediumDesc() ) ); out.print( delimiter );

    out.print( CSVUtils.toCSVValue( ct.getMechanismDesc() ) ); out.print( delimiter );

    out.print( CSVUtils.toCSVValue( ct.getCountryCode() ) ); out.print( delimiter );

    out.print( CSVUtils.toCSVValue( ct.getSecondaryAccountNumber(), true /*CSX*/ ) ); out.print( delimiter );

    out.print( CSVUtils.toCSVValue( ct.getRelatedInd() ) ); out.print( delimiter );

    out.print( CSVUtils.toCSVValue( ct.getThirdPartyInd() ) ); out.print( delimiter );

    out.print( CSVUtils.toCSVValue( ct.getRemitterName() ) ); out.print( delimiter );

    out.print( CSVUtils.toCSVValue( ct.getBeneficiaryName() ) ); out.print( delimiter );

    out.print( CSVUtils.toCSVValue( ct.getBranchName() ) ); out.print( delimiter );

    out.print( CSVUtils.toCSVValue( ct.getAssociateName() ) ); out.print( delimiter );

    out.print( CSVUtils.toCSVValue( ct.getTransactionDesc() ) ); out.print( delimiter );

    out.print( CSVUtils.toCSVValue( ct.getStatusDesc() ) );

    out.println();
}
%>