<% response.setHeader("Cache-Control", "max-age=0"); response.setHeader("Pragma", "public");// bugfix for IE using SSL%><% response.setHeader("Content-disposition","inline; filename=" + "GroupAlertListClosed.csv"); %><%@ page language="java" session="true" %><%@page import="java.io.IOException" %><%@page import="java.util.ResourceBundle"%><%@page import="com.sas.aml.content.AlertListContent" %><%@page import="com.sas.aml.constants.AlertConstants" %><%@page import="com.sas.aml.constants.ConfigConstants" %><%@page import="com.sas.aml.util.CSVUtils" %><%@page import="org.apache.commons.lang.BooleanUtils" %><%@page import="org.apache.commons.lang.StringUtils" %><%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %><%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %><%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %><%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %><%@ taglib uri="/WEB-INF/struts-tiles.tld" prefix="tiles" %><%
    CSVUtils.setContentTypeHeader( pageContext ); // Set Content-Type header based on user's locale using 'csv.encoding.{language}[_{country}] configuration setting, else utf-8.
    CSVUtils.setCSXExport( StringUtils.equalsIgnoreCase( (String)pageContext.findAttribute( "exFileType" ), "CSX" ) );
%><%writeColumnHeaders( pageContext );%><c:set var="counter" value="1" /><c:forEach var="ga" items="${alertDetails}" varStatus="current"><%writeAlertRecord( (AlertListContent)pageContext.findAttribute("ga"), pageContext );%></c:forEach><%!
private void writeColumnHeaders( PageContext pageContext ) throws IOException
{
    JspWriter out = pageContext.getOut();

    String delimiter = (String)pageContext.findAttribute( "delimiter" );

    String baseCurrencyCode = (String)pageContext.findAttribute( "baseCurrencyCode" );

    boolean tfdisplay = BooleanUtils.isTrue( (Boolean)pageContext.getSession().getAttribute( "tfdisplay" ) );

    ResourceBundle messages = ResourceBundle.getBundle( ConfigConstants.MESSAGES_FILE, pageContext.getRequest().getLocale() );

    out.print( CSVUtils.toCSVValue( messages.getString( "alertList.alertId.txt" ) ) ); out.print( delimiter );
    out.print( CSVUtils.toCSVValue( messages.getString( "alertList.subjectType.txt" ) ) ); out.print( delimiter );
    out.print( CSVUtils.toCSVValue( messages.getString( "alertList.subjectNumber.txt" ) ) ); out.print( delimiter );
    out.print( CSVUtils.toCSVValue( messages.getString( "alertList.name.txt" ) ) ); out.print( delimiter );
    out.print( CSVUtils.toCSVValue( messages.getString( "alertList.date.txt" ) ) ); out.print( delimiter );
    out.print( CSVUtils.toCSVValue( messages.getString( "alertList.moneyLaunderingRisk.txt" ) ) ); out.print( delimiter );
    if ( tfdisplay )
    {
        out.print( CSVUtils.toCSVValue( messages.getString( "alertList.terrorFinancingRisk.txt" ) ) ); out.print( delimiter );
    }
    out.print( CSVUtils.toCSVValue( messages.getString( "alertList.scenario.txt" ) ) ); out.print( delimiter );
    out.print( CSVUtils.toCSVValue( messages.getString( "alertList.description.txt" ) ) ); out.print( delimiter );
    out.print( CSVUtils.toCSVValue( messages.getString( "alertList.triggerValues.txt" ) + " (" + baseCurrencyCode + ")" ) );

    out.println();
}

private void writeAlertRecord( AlertListContent ac, PageContext pageContext ) throws IOException
{
    JspWriter out = pageContext.getOut();

    String delimiter = (String)pageContext.findAttribute( "delimiter" );
    boolean tfdisplay = BooleanUtils.isTrue( (Boolean)pageContext.getSession().getAttribute( "tfdisplay" ) );

    out.print( ac.getAlertId() ); out.print( delimiter );

    java.util.ResourceBundle applicationResources = ResourceBundle.getBundle( "ApplicationResources", pageContext.getRequest().getLocale() );

    if      ( AlertConstants.ACCOUNT.equals( ac.getAlertLevel() ) )
        out.print( CSVUtils.toCSVValue( applicationResources.getString( "create.alert.select.account.type.txt" ) ) );
    else if ( AlertConstants.PARTY.equals( ac.getAlertLevel() ) )
        out.print( CSVUtils.toCSVValue( applicationResources.getString( "create.alert.select.customer.type.txt" ) ) );
    else if ( AlertConstants.ASSOCIATE.equals( ac.getAlertLevel() ) )
        out.print( CSVUtils.toCSVValue( applicationResources.getString( "detail.transaction.associate.txt" ) ) );
    else if ( AlertConstants.HOUSEHOLD.equals( ac.getAlertLevel() ) )
        out.print( CSVUtils.toCSVValue( applicationResources.getString( "create.alert.select.household.type.txt" ) ) );
    else if ( AlertConstants.TRANSACTION.equals( ac.getAlertLevel() ) )
        out.print( CSVUtils.toCSVValue( applicationResources.getString( "create.alert.select.transaction.type.txt" ) ) );
    else
        out.print( CSVUtils.toCSVValue( ac.getAlertLevel() ) );
    out.print( delimiter );

    out.print( CSVUtils.toCSVValue( ac.getAlertEntity(), true /* CSX */ ) ); out.print( delimiter );

    out.print( CSVUtils.toCSVValue( ac.getAlertName() ) ); out.print( delimiter );

    out.print( CSVUtils.toCSVValue( ac.getAlertDate() ) ); out.print( delimiter );

    out.print( CSVUtils.toCSVValue( ac.getMoneyLaunderingRisk() ) ); out.print( delimiter );

    if ( tfdisplay )
    {
        out.print( CSVUtils.toCSVValue( ac.getTerrorFinancingRisk() ) ); out.print( delimiter );
    }

    out.print( CSVUtils.toCSVValue( ac.getScenarioName() ) ); out.print( delimiter );

    out.print( CSVUtils.toCSVValue( ac.getDescription() ) ); out.print( delimiter );

    out.print( CSVUtils.toCSVValue( ac.getAlertThreshold() ) );

    out.println();
}
%>