<% response.setHeader("Cache-Control", "max-age=0"); response.setHeader("Pragma", "public");// bugfix for IE using SSL%><% response.setHeader("Content-disposition","inline; filename=" + "GroupAlertListClosed.csv"); %><%@ page language="java" session="true" %><%@page import="java.util.ResourceBundle"%><%@page import="java.io.IOException" %><%@page import="java.util.ResourceBundle" %><%@page import="com.sas.aml.content.AssessmentListContent" %><%@page import="com.sas.aml.constants.ConfigConstants" %><%@page import="com.sas.aml.util.CSVUtils" %><%@page import="org.apache.commons.lang.StringUtils" %><%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %><%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %><%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %><%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %><%@ taglib uri="/WEB-INF/struts-tiles.tld" prefix="tiles" %><%
    CSVUtils.setContentTypeHeader( pageContext ); // Set Content-Type header based on user's locale using 'csv.encoding.{language}[_{country}] configuration setting, else utf-8.
    CSVUtils.setCSXExport( StringUtils.equalsIgnoreCase( (String)pageContext.findAttribute( "exFileType" ), "CSX" ) );
%><%writeColumnHeaders( pageContext );%><c:set var="counter" value="1" /><c:forEach var="ad" items="${assessmentDetails}" varStatus="current"><%writeAssessmentRecord( (AssessmentListContent)pageContext.findAttribute("ad"), pageContext );%></c:forEach><%!
private void writeColumnHeaders( PageContext pageContext ) throws IOException
{
    JspWriter out = pageContext.getOut();

    String delimiter = (String)pageContext.findAttribute( "delimiter" );

    ResourceBundle messages = ResourceBundle.getBundle( ConfigConstants.MESSAGES_FILE, pageContext.getRequest().getLocale() );

    out.print( CSVUtils.toCSVValue( messages.getString( "RAList.RAId.txt" ) ) ); out.print( delimiter );
    out.print( CSVUtils.toCSVValue( messages.getString( "detail.alert.customerNumber.txt" ) ) ); out.print( delimiter );
    out.print( CSVUtils.toCSVValue( messages.getString( "detail.customerName.txt" ) ) ); out.print( delimiter );
    out.print( CSVUtils.toCSVValue( messages.getString( "detail.proposedRiskClassification.txt" ) ) ); out.print( delimiter );
    out.print( CSVUtils.toCSVValue( messages.getString( "detail.currentRiskClassification.txt" ) ) ); out.print( delimiter );
    out.print( CSVUtils.toCSVValue( messages.getString( "detail.triggeredRiskClassifications.txt" ) ) ); out.print( delimiter );
    out.print( CSVUtils.toCSVValue( messages.getString( "alertList.date.txt" ) ) );

    out.println();
}

private void writeAssessmentRecord( AssessmentListContent ac, PageContext pageContext ) throws IOException
{
    JspWriter out = pageContext.getOut();

    String delimiter = (String)pageContext.findAttribute( "delimiter" );

    out.print( ac.getAssessmentId() ); out.print( delimiter );

    out.print( CSVUtils.toCSVValue( ac.getAssessmentEntity(), true /* CSX */ ) ); out.print( delimiter );

    out.print( CSVUtils.toCSVValue( ac.getPartyName() ) ); out.print( delimiter );

    java.util.ResourceBundle applicationResources = ResourceBundle.getBundle( "ApplicationResources", pageContext.getRequest().getLocale() );

    if      ( "1".equals( ac.getCurrentRiskClassification() ) )
        out.print( CSVUtils.toCSVValue( applicationResources.getString( "low.txt" ) ) );
    else if ( "2".equals( ac.getCurrentRiskClassification() ) )
        out.print( CSVUtils.toCSVValue( applicationResources.getString( "medium.txt" ) ) );
    else if ( "3".equals( ac.getCurrentRiskClassification() ) )
        out.print( CSVUtils.toCSVValue( applicationResources.getString( "high.txt" ) ) );
    else
        out.print( CSVUtils.toCSVValue( ac.getCurrentRiskClassification() ) );
    out.print( delimiter );

    if      ( "1".equals( ac.getProposedRiskClassification() ) )
        out.print( CSVUtils.toCSVValue( applicationResources.getString( "low.txt" ) ) );
    else if ( "2".equals( ac.getProposedRiskClassification() ) )
        out.print( CSVUtils.toCSVValue( applicationResources.getString( "medium.txt" ) ) );
    else if ( "3".equals( ac.getProposedRiskClassification() ) )
        out.print( CSVUtils.toCSVValue( applicationResources.getString( "high.txt" ) ) );
    else
        out.print( CSVUtils.toCSVValue( ac.getProposedRiskClassification() ) );
    out.print( delimiter );

    out.print( CSVUtils.toCSVValue( ac.getTriggeredRiskClassifications() ) ); out.print( delimiter );

    out.print( CSVUtils.toCSVValue( ac.getAssessmentDate() ) );

    out.println();
}
%>