<%@ page contentType="text/html; charset=utf-8" %>
<%@ page isErrorPage="true" import="java.util.*, com.sas.aml.*, org.apache.struts.Globals"%>
<%@ page language="java" session="true" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-tiles.tld" prefix="tiles" %>

<tiles:insert page="tiles/header.jsp">
	<tiles:put name="subtitle"><bean:message key="alert.unavailable.txt"/></tiles:put>
</tiles:insert>

<!-- insert banner with header graphics and sas logo -->
<tiles:insert page="tiles/banner_popup.jsp">
	<tiles:put name="helppage" value="invalidvalues.htm" />
</tiles:insert>

<c:set var="localeKey">
<%=org.apache.struts.Globals.LOCALE_KEY%>
</c:set>

<fmt:setLocale value="${sessionScope[localeKey]}"/>

<fmt:setBundle basename="ApplicationResources"/>

<html:form action="/ListManager">

<!-- Begin Error Information -->
<DIV style="position:absolute;top:70px;width:100%;text-align:center;">

<TABLE cellspacing=0 cellpadding=0 width=80% border=0>
	<TR>
		<TD class=pageName><bean:message key="list.manager.invalidvalues.txt"/></TD>
	</TR>
	<TR>
		<TD class=topLine>&nbsp;</TD>
	</TR>
</TABLE>
</DIV>

<DIV style="position:absolute;top:120px;width:100%;text-align:center">
	<DIV style="width:80%;padding:10px;">
		<c:choose>
			<c:when test="${failures != null}">
	             <fmt:message key="list.manager.invalidvaluestext.fmt.txt">
		       	    <fmt:param value="${failures}" />
		 		 </fmt:message>
			</c:when>
			<c:when test="${failures == null}">
				<bean:message key="list.manager.invalidvalues.txt" />
			</c:when>
		</c:choose>
	</DIV>
	<P>
	<HR style="width:80%" class=bottomLine>
	<P>

	<input type="submit" class="button" style="cursor:hand" alt="<bean:message key="back.txt"/>" value="<bean:message key="back.txt"/>" />
</DIV>


</BODY>
</html:form>
</HTML>