<%@ page contentType="text/html; charset=utf-8" %>
<%@ page language="java" session="true" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="/WEB-INF/struts-tiles.tld" prefix="tiles" %>
<%@ taglib prefix="aml" uri="/WEB-INF/amllib.tld" %>

<jsp:useBean id="routeList" scope="request" class="com.sas.aml.content.SelectedActionContent" />
<%@ page import="com.sas.servlet.tbeans.html.DatePicker"%>
<%@ page import="com.sas.aml.struts.form.CreateCaseForm"%>
<%@ page import="java.util.Date"%>
<%@ page import="com.sas.aml.content.SuspectContent" %>
<%@ page import="java.util.List"%>
<%@ page import="java.util.ArrayList"%>
<%@ page import="com.sas.aml.util.ViewUtils" %>
<%@ page import="com.sas.aml.util.DatePickerUtil" %>
<%@ page import="com.sas.aml.struts.action.SearchQueryFrameAction" %>
<%@ page import="com.sas.aml.service.SearchQueryFrameService" %>

<c:set var="localeKey">
<%=org.apache.struts.Globals.LOCALE_KEY %>
</c:set>
<fmt:setLocale value="${sessionScope[localeKey]}"/>

<fmt:setBundle basename="ApplicationResources"/>

<tiles:insert page="tiles/header.jsp">
  <tiles:put name="subtitle"><fmt:message key="tabmenu.cases.txt"/></tiles:put>
  <tiles:put name="onLoad" value="textCounter2('caseComment', 'remLen', 2000)"/>
</tiles:insert>

<!-- insert banner with header graphics and sas logo -->
<tiles:insert page="tiles/banner_popup.jsp">
  <tiles:put name="helppage" value="casecreate_manual.htm" />
</tiles:insert>
</DIV>

<script>
	var hasCase=false;
	var searchWin;
</script>

<SPAN>

<input type="hidden" name="casenum" id="casenum" value="<c:out value="${casenum}"/>" />
<input type="hidden" name="errormsg" id="errormsg" value="<c:out value="${errormsg}"/>" />
<input type="hidden" name="selectDate" value="<bean:message key='selectDate.txt'/>" />
<input type="hidden" name="selectUser" value="<bean:message key='selectUser.txt'/>" />
<input type="hidden" name="charRemain" value="<fmt:message key='textarea.remaining.characters.txt'/>"/>
<input type="hidden" name="fieldFullMsgTxt" value="<fmt:message key="textarea.field.full.msg.txt"/>"/>
<input type="hidden" name="warningMsg" value="<bean:message key="create.case.warning.customer.txt"/>"/>

<DIV id="baseContentPosition">
<html:form action="/CreateManualCase" styleId="createCaseForm">
<P>
<table align="center"><tr><td>
&nbsp;

<html:errors property="userMessage" />

<logic:present name="success">
	<fmt:message key="create.alert.success.header"/>
   	<fmt:message key="create.case.success.fmt.txt">
   	    <fmt:param value="${success}" />
	</fmt:message>
	<fmt:message key="create.alert.success.footer"/>
</logic:present>

<logic:messagesPresent>
</td></tr></table>
	<P>
</logic:messagesPresent>

<TABLE align="center" class="DataTableBorder" cellspacing="1" cellpadding="5" border="0">
	<TR>
		<TD class="defaultBackgroundColor">
			<TABLE border="0" cellspacing="0" cellpadding="2">
               <TR>
                  <TD class="Text" nowrap>
					 <bean:message key="create.case.label.type.txt"/>
                  </TD>
                  <TD>
					 <select name="typeCode" id="typeCode" size="1">
                     <c:forEach var="theType" items="${casetypes}">
					    <option value="<c:out value="${theType.name}"/>">
                    		<c:out value="${theType.value}" />
                    	</option>
  					 </c:forEach>
    				 </select>
                  </TD>
               </TR>
               <TR>
                  <TD class="Text" nowrap>
					 <bean:message key="create.case.label.customerNumber.txt"/>
                  </TD>
				  <TD valign="top" nowrap class="typetable" valign="top">
					 <html:text property="customerNumber" styleId="custNum" maxlength="50" size="31" onchange="checkForCase()"/>
					  <c:if test="${entityNameSearchEnabled}">
					  <a STYLE="cursor:hand;" ONCLICK="displaySearchWindow(<%= SearchQueryFrameService.PARTY %>);return false;">
					 	<IMG src="../images/Search.gif" alt="<fmt:message key='nameSearchWindow.search.txt'/>" border="0">
					  </a>
				  </c:if>
				  </TD>
               </TR>
               <TR>
                  <TD class="Text" nowrap>
 					 <bean:message key="create.case.label.reason.txt"/>
                  </TD>
				  <TD valign="top" nowrap class="typetable" valign="top">
					 <html:text property="reason" maxlength="35" size="31"/>
				  </TD>
               </TR>
               <TR>
                  <TD class="Text" nowrap WIDTH="30%">
					 <bean:message key="create.assessment.label.createDate.txt"/>
                  </TD>
				  <TD>
					<%
					 	CreateCaseForm form = (CreateCaseForm)request.getAttribute("createCaseForm");
					 	Object datePickerValue = form.getCaseDate();
					 	if (datePickerValue == null)
							datePickerValue = new Date();
					 	DatePicker dsp = DatePickerUtil.createDatePicker("caseDate", datePickerValue, pageContext);
					 	DatePickerUtil.writeDatePicker(dsp, out, request);
					%>
				  </TD>
			   </TR>
               <TR>
                  <TD class="Text" valign="top" nowrap WIDTH="30%">
                     <bean:message key="actions.route.txt"/>
                  </TD>
                  <TD class="Text">
                     <html:select property="routeTo" style="width:100%" size="5">
                       	<option selected value="-1"><bean:message key="alert.menu.myCases.txt" /></option>
                        <html:options collection="userList" property="userLongId" labelProperty="displayName"/>
                        <html:options collection="groupList" property="groupId" labelProperty="groupName"/>
                     </html:select>
                  </TD>
               </TR>
                <TR>
                    <TD valign="top" class="Text" style="padding-top:5px"><bean:message key="create.alert.label.comment.txt"/></TD>
                    <TD>
                        <table cellpadding="0" cellspacing="0">
                            <tr>
                                <td colspan="2">
                                    <textarea id="caseComment" name="caseComment" rows="5" cols="40" onchange="textCounter2('caseComment', 'remLen', 2000);" onkeydown="textCounter2('caseComment', 'remLen', 2000);" onkeyup="textCounter2('caseComment', 'remLen', 2000);"></textarea>
                                </td>
                            </tr>
                            <tr>
                                <td valign="top">
                                    <span id="remLen" class="CounterText" style="color:dimgray"></span>
                                </td>
                                <td align="right" valign="top">
                                    <span class="message">&nbsp;</span>
                                    <span id="fieldFullMsg" role="alert" class="message"></span>
                                </td>
                            </tr>
                        </table>
                    </TD>
                </TR>
               <TR>
           		  <TD>&nbsp;</TD>
               </TR>
			</TR>
			</TABLE>
		</TD>
	</TR>
</TABLE>
<P>
<TABLE align="center">
	<TR>
		<TD align="<%=ViewUtils.alignRight(pageContext)%>" valign="top" colspan="2">
			<html:submit property="save" styleClass="button" style="cursor:hand" altKey="save.txt"><fmt:message key="save.txt"/></html:submit>
            <html:button property="cancel" styleClass="button" style="cursor:hand" altKey="close.txt" onclick="reloadCloseCase();"><fmt:message key="close.txt"/></html:button>
            <html:cancel styleClass="button" style="cursor:hand" altKey="reset.txt"><fmt:message key="reset.txt"/></html:cancel>
		</TD>
		<TD>&nbsp;</TD>
	</TR>
</TABLE>

<INPUT type="hidden" name="theIds" value="<c:out value="${theIds}"/>">
<INPUT type="hidden" name="primeSuspect" id="hprimeSuspect" value="">
<INPUT type="hidden" name="customerNum" id="hCustomerNumber" value="">
<INPUT type="hidden" name="mode" value="create">

</html:form>

<!-- The calendar form contains values used by the calendar widget -->
<FORM name="searchCalendarForm">
  <INPUT type="hidden" name="hdate" value="">
  <INPUT type="hidden" name="range" value="future">
  <INPUT type="hidden" name="targetForm" value="routeCaseForm">
</FORM>

</SPAN>

<SPAN id="action_working" style="display:none;">
    <TABLE align="center">
        <TR>
            <TD align="center">
                <H3><bean:message key="actions.pleaseWait.txt"/></H3>
            </TD>
        </TR>
        <TR>
            <TD align="center">
                <img src="../images/animated.gif">
            </TD>
        </TR>
    </TABLE>
</SPAN>

</BODY>
</HTML>