var LOW_RES=600;
var LOW_RES_SPLIT=156;
var LOW_RES_ALL=312;

var MID_RES_LOW=768;
var MID_RES_LOW_SPLIT=200;
var MID_RES_LOW_ALL=400;

var MID_RES_MID=864;
var MID_RES_MID_SPLIT=225;
var MID_RES_MID_ALL=450;

var MID_RES_HIGH=1024;
var MID_RES_HIGH_SPLIT=267;
var MID_RES_HIGH_ALL=533;
var HIGH_RES=1200;
var HIGH_RES_SPLIT=312;
var HIGH_RES_ALL=625;

function postToSessionStore(content, callback) {
	dojo.io.bind({
		url: "../SessionStore",
		method: "post",
		load: callback,
		content: content,
		error: function(type, error) {
			alert("An error occurred while attempting to save data to the session store.\n" + error.message);
		}
	});
}

function showText(chk,layerName){
  if(chk.checked==true) {
    eval(layerName+'.style.display = "";');
  }
  else {
    eval(layerName+'.style.display = "none";');
  }
}

function hideText(layerName,obj) {
    eval(layerName+'.style.display = "none";');

    for(var ii=0; ii<obj.length;ii++) {
        if(obj[ii].checked) {
            obj[ii].checked=false;
            break;
        }
    }
}

function toggle(id) {

  var splitHeight;
  var entireHeight;

    var userScreenHeight=window.screen.height;

    switch(userScreenHeight) {
      case LOW_RES:
        splitHeight=LOW_RES_SPLIT;
        entireHeight=LOW_RES_ALL;
        break;
      case MID_RES_LOW:
        splitHeight=MID_RES_LOW_SPLIT;
        entireHeight=MID_RES_LOW_ALL;
        break;
      case MID_RES_MID:
        splitHeight=MID_RES_MID_SPLIT;
        entireHeight=MID_RES_MID_ALL;
        break;
      case MID_RES_HIGH:
        splitHeight=MID_RES_HIGH_SPLIT;
        entireHeight=MID_RES_HIGH_ALL;
        break;
      case HIGH_RES:
        splitHeight=HIGH_RES_SPLIT;
        entireHeight=HIGH_RES_ALL;
        break;
      default:
        splitHeight=MID_RES_LOW_SPLIT;
        entireHeight=MID_RES_LOW_ALL;
    }

    var queue_status = document.getElementById('queue_win').style['display'];
    var alert_status = document.getElementById('alert_win').style['display'];

    if (document.getElementById(id).style['display']=='none') {
        document.getElementById(id).style['display']='block';
        document.getElementById(id + "_switch").src="../images/min-3.gif";


        if(id=='queue_win') {
            // if alerts frame was open
            if(alert_status == 'block' || alert_status == '') {
                document.getElementById('alert_frame').height=splitHeight;
                document.getElementById('queue_frame').height=splitHeight;
            }
            else {
                document.getElementById('queue_frame').height=entireHeight;
            }
        }

        if(id=='alert_win') {
            // if queue frame was open
            if(queue_status == 'block' || queue_status == '') {
                document.getElementById('alert_frame').height=splitHeight;
                document.getElementById('queue_frame').height=splitHeight;
            }
            else {
                document.getElementById('alert_frame').height=entireHeight;
            }
        }
    }
    else {
        document.getElementById(id).style['display']='none';
        document.getElementById(id + "_switch").src = "../images/max-3.gif";

        if(id=='queue_win') {
            // go from open to close
            // if alerts frame was open take up more space
            if(alert_status == 'block' || alert_status == '') {
                document.getElementById('alert_frame').height=entireHeight;
            }
        }

        if(id=='alert_win') {
            // go from open to close
            // if queue frame was open take up more space
            if(queue_status == 'block' || queue_status == '') {
                document.getElementById('queue_frame').height=entireHeight;
            }
        }
    }
}

function submitRppForm(theForm) {
  var rppval = document.getElementById("rpp").value;
  if (rppval > 0 && rppval != document.changeRowCountForm.rowsPerPage.value) {
	  document.changeRowCountForm.rowsPerPage.value = rppval;
	  document.changeRowCountForm.submit();
  }

  return false;
}

//the following method is identical to the showDetailWindow() method EXCEPT the link (link2) is NOT encoded
function showGraphDetailWindow(link)
{
	var w = screen.availWidth;
	var h = screen.availHeight;

    // Make popup larger for larger screen sizes
    var popW = 650, popH = 575;
    if (screen.availWidth > 800 && screen.availHeight > 600) {
      popW = 860;
      popH = 600;
  }
    var leftPos = (w-popW)/2, topPos = (h-popH)/2;
    var link2 = link + '&firstPopupPage=true';
    // link2 intentionally not encoded because encoding has already been done by the graph object that created the link.
    theWindow = window.open(link2,'sasamlPopup','location=0,status=1,resizable=1,scrollbars=1,width=' + popW + ',height=' + popH + ',top=' + topPos + ',left=' + leftPos);
    theWindow.focus();
}

function showDetailWindow(link,maxWinHeight)
{
	var w = screen.availWidth;
	var h = screen.availHeight;

    // Make popup larger for larger screen sizes
    var popW = 650, popH = 575;
    if (screen.availWidth > 800 && screen.availHeight > 600) {
      popW = 860;
      if (maxWinHeight)
      	popH = screen.availHeight-100;
      else
        popH = 600;
  }
    var leftPos = (w-popW)/2, topPos = (h-popH)/2;
    var link2 = link + '&firstPopupPage=true';
    theWindow = window.open(encodeURI(link2),'sasamlPopup','location=0,status=1,resizable=1,scrollbars=1,width=' + popW + ',height=' + popH + ',top=' + topPos + ',left=' + leftPos);
    theWindow.focus();
}

function showTransactionDetailWindow(link) {
	var w = screen.availWidth;
	var h = screen.availHeight;

    // Make popup larger for larger screen sizes
    var popW = 650, popH = 575;
    if (screen.availWidth > 800 && screen.availHeight > 600) {
      popW = 860;
      popH = 600;
  }
    var leftPos = (w-popW)/2, topPos = (h-popH)/2;
    var link2 = link + '&firstPopupPage=true';
    theWindow = window.open(encodeURI(link2),'transactionPopup','location=0,status=1,resizable=1,scrollbars=1,width=' + popW + ',height=' + popH + ',top=' + topPos + ',left=' + leftPos);
    theWindow.focus();
}

function setSortOrder(theSortValue) {
    document.alertListForm.sortBy.value=theSortValue;
    document.alertListForm.submit();
}

function setPrevSortValue() {
  for(var ii=0; ii<document.menuForm.sortBy.options.length;ii++) {
    if(document.menuForm.sortBy.options[ii].value==document.alertListForm.sortBy.value) {
         document.menuForm.sortBy.options[ii].selected = true;
      }
    }
}

function checkFirstAlert(numAlerts) {
  if(numAlerts > 1) {
        document.alertsForm.theProcessId[0].click();
    }
    else {
      document.alertsForm.theProcessId.click();
    }
}

// display Alert Actions window from My Alerts "Actions" icon
function showActionsWindow(link,width,height)
{
	var noCheck=true;
    var ids="";

    for(var alertId in top.USER_SELECTED_ALERTS)
    {
        if(top.USER_SELECTED_ALERTS[alertId] == true)
        {
          ids += alertId + ",";
          noCheck=false;
        }
    }

    if(ids.length > 0)
    	ids = ids.substring(0, ids.length - 1);

    if(noCheck){
      alert(document.getElementById("noselected").value);
    }
    else {
      var w = screen.availWidth;
      var h = screen.availHeight;

      var popW = width;
      var popH = height;
      var leftPos = (w-popW)/2, topPos = (h-popH)/2;

      // adjust topPos for lower resolution screens
      if (topPos < 30) topPos=0;

      if (h-popH < 40 ) {
      	popH = h-30;
      }

      postToSessionStore({"ids": ids}, function success() {
    	  theWindow = window.open(encodeURI(link),'sasamlAlertActionPopup','resizable=1,width=' + popW + ',height=' + popH + ',top=' + topPos + ',left=' + leftPos);
          theWindow.focus();
      });
  }
}

// display Alert Actions window from Alert Details "Actions" button
function showActionsFromDetails(link,width,height)
{
	w = screen.availWidth;
	h = screen.availHeight;
	var popW = width;
	var popH = height;

	var leftPos = (w-popW)/2, topPos = (h-popH)/2;

	// adjust topPos for lower resolution screens
	if (topPos < 30) topPos=0;

	if (h-popH < 40 ) {
		popH = h-30;
	}

	theWindow = window.open(encodeURI(link),'sasamlAlertActionPopup','resizable=1,scrollbars=1,width=' + popW + ',height=' + popH + ',top=' + topPos + ',left=' + leftPos);
	theWindow.focus();
}

function showNewRiskAssessmentActionsWindow(link,action,width,height,assessmentId)
{
	var noCheck=true;
    var ids = "";

    if (isParamDefined(assessmentId)) {
    	ids = assessmentId;
    } else {
    	for(var assessmentId in top.USER_SELECTED_ASSESSMENTS)
        {
            if(top.USER_SELECTED_ASSESSMENTS[assessmentId] == true)
            {
              ids += assessmentId + ",";
              noCheck=false;
            }
        }
    }

	if(!isParamDefined(assessmentId) && noCheck){
		alert(document.getElementById("noselected").value);
		return;
	}

	if(ids.length > 0) {
    	ids = ids.substring(0, ids.length - 1);
    }

	var w = screen.availWidth;
    var h = screen.availHeight;
    var popW = width, popH = height;
    var leftPos = (w-popW)/2, topPos = (h-popH)/2;

    postToSessionStore({"ids": ids}, function success() {
  	  	theWindow = window.open(encodeURI(link + "?type=assessment&action=" + action),'sasamlAssessmentActionsPopup','resizable=1,width=' + popW + ',height=' + popH + ',top=' + topPos + ',left=' + leftPos);
        theWindow.focus();
    });
}

function isParamDefined(variable)
{
    return (typeof(variable) == "undefined")?  false: true;
}

// open a popup window that is resizable and has a status bar
function showAddAlertsWindow(link,width,height,reset)
{
	var noCheck=true;
    var ids = "";

    for(var alertId in top.USER_SELECTED_ALERTS)
    {
        if(top.USER_SELECTED_ALERTS[alertId] == true)
        {
          ids += alertId + ",";
          noCheck=false;
        }
    }

    if(ids.length > 0)
    	ids = ids.substring(0, ids.length - 1);

    if(noCheck){
      alert(document.getElementById("noselected").value);
    }
    else {
      var w = screen.availWidth;
      var h = screen.availHeight;

      var popW = width;
      var popH = height;
      var leftPos = (w-popW)/2, topPos = (h-popH)/2;

      postToSessionStore({"ids": ids}, function success() {
      	  theWindow = window.open(encodeURI(link + "?reset=" + reset),'sasamlPopup','resizable=1,width=' + popW + ',height=' + popH + ',top=' + topPos + ',left=' + leftPos);
          theWindow.focus();
      });
  }
}

function doMultiCheckIn(formName) {
    var noCheck=true;
    var buildURL="";
    var ii = 0;
    var formObj = document.forms[formName];

    for(var alertId in top.USER_SELECTED_ALERTS)
    {
        if(top.USER_SELECTED_ALERTS[alertId] == true)
        {
           var hiddenObj = document.createElement("INPUT");
          hiddenObj.type = "hidden";
          hiddenObj.name = "alertIds";
          hiddenObj.value = alertId;
          formObj.appendChild(hiddenObj);

          if(ii==0)
          {
            buildURL += "alertIds="+alertId;
          }
          else
          {
              buildURL += "&alertIds="+alertId;
          }
          noCheck=false;
        }
        ii++;
    }

    if(noCheck){
    	alert(document.getElementById("noselected").value);
    }
    else {
       formObj.submit();
    }
}

function doMultiAssessmentCheckIn(formName) {
    var noCheck=true;
    var buildURL="";
    var ii = 0;
    var formObj = document.forms[formName];

    for(var assessmentId in top.USER_SELECTED_ASSESSMENTS)
    {
        if(top.USER_SELECTED_ASSESSMENTS[assessmentId] == true)
        {
          var hiddenObj = document.createElement("INPUT");
          hiddenObj.type = "hidden";
          hiddenObj.name = "assessmentIds";
          hiddenObj.value = assessmentId;
          formObj.appendChild(hiddenObj);

          if(ii==0)
          {
            buildURL += "assessmentIds="+assessmentId;
          }
          else
          {
              buildURL += "&assessmentIds="+assessmentId;
          }
          noCheck=false;
        }
        ii++;
    }

    if(noCheck){
    	alert(document.getElementById("noselected").value);
    }
    else {
       formObj.submit();
    }
}

function showReportWindow(link) {
    var w = screen.availWidth;
    var h = screen.availHeight;

    var popW = 500, popH = 530;
    var leftPos = (w-popW)/2, topPos = (h-popH)/2;
    theWindow = window.open(encodeURI(link),'sasamlPopup','scrollbars=1,width=' + popW + ',height=' + popH + ',top=' + topPos + ',left=' + leftPos);
    theWindow.focus();
}

function submitAction(f,maxlen,maxmsg,supmsg) {

    var submitForm=true;
    var msg=document.getElementById("selectAction");

    for(var ii=0; ii<document.forms[0].action.length;ii++) {
        if(document.forms[0].action[ii].checked ) {
            theAction = document.forms[0].action[ii].value;

            /* if user chooses to suppress, ensure we have valid values */
            if(theAction=="suppress") {
        if (f.text.value.length > maxlen) {
          msg=maxmsg;
          submitForm=false;
          break;
        }
        if (f.text.value.split(" ").length==f.text.value.length+1 || f.text.value==supmsg) {
          msg=document.getElementById("suppressComment").value;
          submitForm=false;
          break;
        }

        // if suppressing for a duration, assure that we got a positive integer
                if(document.forms[0].indefDuration && !document.forms[0].indefDuration.checked) {
                    if(!isPositiveInteger(document.forms[0].duration.value)){
                        msg=document.getElementById("numberOfDays").value;
                        submitForm=false;
                        break;
                    }
                }
        // if suppressing until a date, assure that we really did get a date
                else if(document.forms[0].suppressionRadio[0].checked==true) {
                    if(document.forms[0].suppressUntilDate.value=="" || document.forms[0].suppressUntilDate.value=="Other"){
                        msg=document.getElementById("selectDate").value;
                        submitForm=false;
                        break;
                    }
                }

            }
            /* if user chooses to route ensure a user or group is selected */
            else if(theAction=="route") {
                if(!routeSelected()){
                    msg=document.getElementById("selectUser").value;
                    submitForm=false;
                    break;
                }
            }
            else if(theAction=="email")
            {
				if(document.forms[0].emailReminderDate.value==""){
                    msg=document.getElementById("reminderDate").value;
                    submitForm=false;
                    break;
                }
            }
        }
    }

    var actionArray = document.forms[0].action.length;

  /* if only one action is availabe action arrary isn't created */
  if (typeof actionArray ==  "undefined") {
    theAction = document.forms[0].action.value;
        /* ensure positive integer is entered */
        if(theAction=="suppress") {
            if(!document.forms[0].indefDuration.checked) {
                if(!isPositiveInteger(document.forms[0].duration.value)){
                    msg=document.getElementById("numberOfDays").value;
                    submitForm=false;
                }
              submitForm=false;
            }
        }
        /* if user chooses to route ensure a user or group is selected */
        else if(theAction=="route") {
            if(!routeSelected()){
                msg=document.getElementById("selectUser").value;
                submitForm=false;
            }
        }
  }

    if (!submitForm) {
        alert(msg);
    }
    return submitForm;
}

function showBorder(id) {
    if (document.getElementById(id).style['display']=='none') {
        document.getElementById(id).style['display']='block';
     }
     else {
          document.getElementById(id).style['display']='none';
     }
}

function showActionFields2(chosenBox)
{
    if (chosenBox== null || chosenBox == "")
    {
        routeStatus('disabled');
  	    suppressStatus('disabled');
  	    emailStatus('disabled');
  	    closeStatus('disabled');
  	    addToCaseStatus('disabled');
  	    addCommentsStatus('disabled');
  	    addDocumentsStatus('disabled');
  	    document.getElementById('submitButton').disabled=true;
    }
    else
        document.getElementById('submitButton').disabled=false;

  	if(chosenBox=="route")
  	{
  	    routeStatus('enabled');
  	    suppressStatus('disabled');
  	    emailStatus('disabled');
  	    closeStatus('disabled');
  	    addToCaseStatus('disabled');
  	    addCommentsStatus('disabled');
	    addDocumentsStatus('disabled');
  	}
  	else if (chosenBox == "suppress")
  	{
  	    routeStatus('disabled');
        suppressStatus('enabled');
    	emailStatus('disabled');
    	closeStatus('disabled');
    	addToCaseStatus('disabled');
    	addCommentsStatus('disabled');
  	    addDocumentsStatus('disabled');
  	}
  	else if (chosenBox == "email")
    {
        routeStatus('disabled');
 	    suppressStatus('disabled');
  	    emailStatus('enabled');
  	    closeStatus('disabled');
  	    addToCaseStatus('disabled');
  	    addCommentsStatus('disabled');
	    addDocumentsStatus('disabled');
    }
    else if (chosenBox == "close")
    {
        routeStatus('disabled');
   	    suppressStatus('disabled');
   	    emailStatus('disabled');
  	    closeStatus('enabled');
  	    addToCaseStatus('disabled');
  	    addCommentsStatus('disabled');
	    addDocumentsStatus('disabled');
    }
    else if (chosenBox == "addtocase")
    {
        routeStatus('disabled');
   	    suppressStatus('disabled');
   	    emailStatus('disabled');
  	    closeStatus('disabled');
  	    addToCaseStatus('enabled');
  	    addCommentsStatus('disabled');
	    addDocumentsStatus('disabled');
    }
    else if (chosenBox == "comment")
    {
        routeStatus('disabled');
   	    suppressStatus('disabled');
   	    emailStatus('disabled');
  	    closeStatus('disabled');
  	    addToCaseStatus('disabled');
  	    addCommentsStatus('enabled');
	    addDocumentsStatus('disabled');
    }
    else if (chosenBox == "documents")
    {
        routeStatus('disabled');
   	    suppressStatus('disabled');
   	    emailStatus('disabled');
  	    closeStatus('disabled');
  	    addToCaseStatus('disabled');
  	    addCommentsStatus('disabled');
	    addDocumentsStatus('enabled');
    }

    textCounter2('text', 'remLen', 2000);
    textCounter2('text2', 'remLen2', 2000);
}

function routeStatus(status)
{
    if (document.getElementById('userSelection') != null)
    {
	    if (status == "enabled")
	    {
		    document.getElementById('userSelection').disabled=false;
		}
		else
		{
		    document.getElementById('userSelection').disabled=true;
		}
    }
}

function suppressStatus(status)
{
    if (document.getElementById('theDuration') != null)
    {
	    if (status == "enabled")
	    {
		    document.getElementById('theDuration').disabled=false;
		    document.getElementById('theReasonTitle').disabled=false;
		    document.getElementById('text').disabled=false;
		    document.getElementById('remLen').disabled=false;
		    if (document.getElementById('suppressionRadio').value == 'suppForever')
			    suppressUntilCalendarStatus("disabled");
		    else
			    suppressUntilCalendarStatus("enabled");
		}
		else
		{
		    document.getElementById('theDuration').disabled=true;
		    document.getElementById('theReasonTitle').disabled=true;
		    document.getElementById('text').disabled=true;
		    document.getElementById('remLen').disabled=true;
		    document.getElementById('suppressionRadio').checked = true;
		    suppressUntilCalendarStatus("disabled");
		}
    }
}

function suppressUntilCalendarStatus(status)
{
    if (status == "enabled")
    {
        document.getElementById('suppressUntilDate').disabled=false;
	    document.getElementById('suppressUntilDate_LaunchImage').disabled=false;
	    document.getElementById('suppressUntilDate_LaunchImage').src="../images/Calendar.gif";
    }
    else
        if (status == "disabled")
        {
            document.getElementById('suppressUntilDate').disabled=true;
		    document.getElementById('suppressUntilDate_LaunchImage').disabled=true;
		    document.getElementById('suppressUntilDate_LaunchImage').src="../images/CalendarDisabled.gif";
        }
}

function emailStatus(status)
{
    if (document.getElementById('theEmailReminder') != null)
    {
	    if (status == "enabled")
	    {
		    document.getElementById('emailReminderDate').disabled=false;
		    document.getElementById('emailReminderDate_LaunchImage').disabled=false;
		    document.getElementById('emailReminderDate_LaunchImage').src="../images/Calendar.gif";
		}
		else
		{
		    document.getElementById('emailReminderDate').disabled=true;
		    document.getElementById('emailReminderDate_LaunchImage').disabled=true;
		    document.getElementById('emailReminderDate_LaunchImage').src="../images/CalendarDisabled.gif";
		}
    }
}

function closeStatus(status)
{
    if (document.getElementById('reasonCode') != null)
    {
	    if (status == "enabled")
	    {
		    document.getElementById('reasonCode').disabled=false;
		}
		else
		{
		    document.getElementById('reasonCode').disabled=true;
		}
    }
}

function addToCaseStatus(status)
{
    if (document.getElementById('caseid') != null)
    {
	    if (status == "enabled")
	    {
		    document.getElementById('caseid').disabled=false;
		}
		else
		{
		    document.getElementById('caseid').disabled=true;
		}
    }
}

function addCommentsStatus(status)
{
	//This if-then not necessary for alerts, but because case is using the same window/functions we need to check that these exist
	if (document.getElementById('text2') != null)
    {
	    if (status == "enabled")
	    {
	    	document.getElementById('text2').disabled=false;
		    document.getElementById('remLen2').disabled=false;
		}
		else
		{
		    document.getElementById('text2').disabled=true;
		    document.getElementById('remLen2').disabled=true;
		}
    }
}

function addDocumentsStatus(status)
{
	if (document.getElementById('theUploadFile') != null)
    {
	    if (status == "enabled")
	    {
	    	document.getElementById('uploadFile').disabled=false;
		    document.getElementById('description').disabled=false;
		    document.getElementById('theFileDescription').disabled=false;
		}
		else
		{
			document.getElementById('uploadFile').disabled=true;
		    document.getElementById('description').disabled=true;
		    document.getElementById('theFileDescription').disabled=true;
		}
    }
}

function closeAcceptStatus(status)
{
    if (document.getElementById('acceptReason') != null)
    {
	    if (status == "enabled")
	    {
		    document.getElementById('acceptReason').disabled=false;
		}
		else
		{
		    document.getElementById('acceptReason').disabled=true;
		}
    }
}

function closeRejectStatus(status)
{
    if (document.getElementById('rejectReason') != null)
    {
	    if (status == "enabled")
	    {
		    document.getElementById('rejectReason').disabled=false;
		}
		else
		{
		    document.getElementById('rejectReason').disabled=true;
		}
    }
}

function checkSuppressDuration() {
  if(document.forms[0].indefDuration.checked) {
    document.forms[0].duration.disabled = true;
      document.forms[0].duration.style['background'] = "#CCCCCC";
  }
  else {
      document.forms[0].duration.disabled = false;
      document.forms[0].duration.style['background'] = "#FFFFFF";
  }
}

function copyListItem(fbox,tbox){
  for(var ii=0;ii<fbox.options.length;ii++) {
    if(fbox.options[ii].selected && fbox.options[ii].value != "") {
      var no=new Option();
      no.value=fbox.options[ii].value;
      no.text=fbox.options[ii].text;
      tbox.options[tbox.options.length]=no;
      }
  }
}

function highlightList(listbox) {
  for (var ii=0;ii<listbox.options.length;ii++) {
      alert(listbox.options[ii].value);
      listbox.options[ii].selected=true;
  }
}

function voidit() {
}

/* Version for Account, Customer, Household and Transaction alerts */
function showLabel(listbox,layer1,layer2,layer3,layer4) {
  var sel = document.getElementById(listbox).selectedIndex;
  if (sel == 0){
      document.getElementById(layer1).style.display = "";
      document.getElementById(layer2).style.display = "none";
      document.getElementById(layer3).style.display = "none";
      document.getElementById(layer4).style.display = "none";
  }
  else if (sel == 1) {
      document.getElementById(layer1).style.display = "none";
      document.getElementById(layer2).style.display = "";
      document.getElementById(layer3).style.display = "none";
      document.getElementById(layer4).style.display = "none";
  }
  else if (sel == 2) {
      document.getElementById(layer1).style.display = "none";
      document.getElementById(layer2).style.display = "none";
      document.getElementById(layer3).style.display = "";
      document.getElementById(layer4).style.display = "none";
  }
  else {
      document.getElementById(layer1).style.display = "none";
      document.getElementById(layer2).style.display = "none";
      document.getElementById(layer3).style.display = "none";
      document.getElementById(layer4).style.display = "";
  }
}

function confirmForceCheckOut (currentOwner, alertid, url) {
  if(confirm(document.getElementById("confirmForceCheckout"+alertid).value)){
    parent.document.location.href=url;
  }
}

//locale - locale for the help file to display
//link   - page name, currently used only for about.htm, all other pages are irnored
//may be used in the future when context sensitive help is implemented
function showHelpWindow(locale, link) {
  var w = screen.availWidth;
  var h = screen.availHeight;
  var popW = 690, popH = 530;
  var leftPos = (w-popW)/2, topPos = (h-popH)/2;
  var oHttp = null;

  // use the old mechanis for the about.htm page, this page is still shipped with the product
  if (link != "about.htm") {
      if (locale == "")
      {
          openSASDocWindow("../Director?_directive=webdocmd_Contents&macroVersion=5.1&selectedProduct=ANTIMNYLNDIN&selectedLocale=en&selectedTopic=amlinv.hlp%2Fwhatitis.htm");
      }
      else
      {
          openSASDocWindow("../Director?_directive=webdocmd_Contents&macroVersion=5.1&selectedProduct=ANTIMNYLNDIN&selectedLocale="
                  + locale + "&selectedTopic=amlinv.hlp%2Fwhatitis.htm");
      }
  } else {
      // This is all a bit convoluted but it solves the issue of checking for the locale when bringing up
      // the help system and defaulting to the English version if another language doesn't have it's own
      // version.
      if ( window.XMLHttpRequest )
      {
          oHttp = new window.XMLHttpRequest();
      }
      else
      {
          if ( window.ActiveXObject )
          {
              oHttp = new window.ActiveXObject( "Microsoft.XMLHTTP" );
          }
          else
          {
              throw "UNSUPPORTED PLATFORM";
          }
      }

      if ( !oHttp )
      {
          throw "ERROR";
      }
      oHttp.open( "HEAD", "../help/" + locale + "/bypage/" + link, true ); // true = async, false = sync

      oHttp.onreadystatechange = function()
      {
          if ( oHttp.readyState == 4 )
          {
              if ( oHttp.status == 200 )
              {
                  // Open the file in the locale specific directory since it exists
                  theWindow = window.open("../help/" + locale + "/bypage/" + link,'sasamlHelp','resizable=1,scrollbars=1,width=' + popW + ',height=' + popH + ',top=' + topPos + ',left=' + leftPos);
                  theWindow.focus();
              }
              else
              {
                  // Default to English if locale directory not found
                  theWindow = window.open("../help/en/bypage/" + link,'sasamlHelp','resizable=1,scrollbars=1,width=' + popW + ',height=' + popH + ',top=' + topPos + ',left=' + leftPos);
                  theWindow.focus();
              }
          }
      }
      oHttp.send( null );
  }
}


function showAndHide(showLayer,hideLayer){
    eval(showLayer+'.style.display = "";');
    eval(hideLayer+'.style.display = "none";');
}

function setAlertWindowsHeight() {
  var splitHeight;
  splitHeight = getAlertWindowsHeight();
  document.getElementById('alert_frame').height=splitHeight;
  document.getElementById('queue_frame').height=splitHeight;
}

function getAlertWindowsHeight() {
  var splitHeight;
  var userScreenHeight=window.screen.height;

  switch(userScreenHeight) {
    case LOW_RES:
      splitHeight=LOW_RES_SPLIT;
      break;
    case MID_RES_LOW:
      splitHeight=MID_RES_LOW_SPLIT;
      break;
    case MID_RES_MID:
      splitHeight=MID_RES_MID_SPLIT;
      break;
    case MID_RES_HIGH:
      splitHeight=MID_RES_HIGH_SPLIT;
      break;
    case HIGH_RES:
      splitHeight=HIGH_RES_SPLIT;
      break;
    default:
      splitHeight=MID_RES_LOW_SPLIT;
  }
  return splitHeight;
}

function navigateQuery(field,val) {
   field.value=val;
   field.form.submit();
}

function isTime(val){
  var regExpr = /^(([012]?[0-9])|[0-9]):[0-5][0-9](:[0-5][0-9])?$/;
  var str = val.toString();
  if (!str.match(regExpr)) {
    return false;
  }
  return true;
}

function isNumber(val){
  var regExpr = /^[-]?\d*\.?\d*$/;
  var str = val.toString();
  if (!str.match(regExpr)) {
    return false;
  }
  return true;
}

function isInteger(val){
  var regExpr = /^[-]?\d*$/;
  var str = val.toString();
  if (!str.match(regExpr)) {
    return false;
  }
  return true;
}

// Checks that the value contained in textField is an integer.
// If it is not an integer, it displays the message contained in the hidden
// field badNumberMessage.
function validateNumber(formName,textField)
{
   if (doValidate)
   {
      var value=document.forms[formName].elements[textField].value;
      var msg=document.forms[formName].elements["badNumberMessage"].value;
      if (!isInteger(value))
      {
         alert(msg);
         document.forms["filterDialogForm"].elements[textField].focus();
         return false;
      }
      else
         return true;
   }
}

function isPositiveInteger(val){
  if (isBlank(val)){return false;}
  for(var i=0;i<val.length;i++){
    if(!isDigit(val.charAt(i))){return false;}
  }
  if(val.charAt(0)=='0'){return false;}
  return true;
}

function isDigit(num) {
  if (num.length>1){return false;}
  var string="1234567890";
  if (string.indexOf(num)!=-1){return true;}
  return false;
}

function isBlank(val){
  if(val==null){return true;}
  for(var i=0;i<val.length;i++) {
    if ((val.charAt(i)!=' ')&&(val.charAt(i)!="\t")&&(val.charAt(i)!="\n")&&(val.charAt(i)!="\r")){return false;}
  }
  return true;
}

function canSuppress() {
    var suppressEnabled=false;

    for(var ii=0; ii<document.forms[0].action.length;ii++) {
        if(document.forms[0].action[ii].value=="suppress") {
            suppressEnabled=true;
            break;
        }
    }

    return suppressEnabled;
}

function routeSelected() {
    var selectedRoute=false;
    var theList=document.forms[0].userSelection;
    for(var ii=0;ii<theList.options.length;ii++) {
        if(theList.options[ii].selected) {
            selectedRoute=true;
            break;
        }
    }

    return selectedRoute;
}
function setUserAlertPID(cb)
{
  if(cb.checked == true)
  {
    top.USER_SELECTED_ALERTS[cb.value] = true;
  }
  else if(cb.checked == false)
  {
    top.USER_SELECTED_ALERTS[cb.value] = false;
  }
}

function setUserAssessmentPID(cb)
{
  if(cb.checked == true)
  {
    top.USER_SELECTED_ASSESSMENTS[cb.value] = true;
  }
  else if(cb.checked == false)
  {
    top.USER_SELECTED_ASSESSMENTS[cb.value] = false;
  }
}

function selectAllAlerts(cb,form)
{
   if (form.alertIds == null)
      return;
   if (form.alertIds.length == null)
   {
      form.alertIds.checked = cb.checked;
      top.USER_SELECTED_ALERTS[form.alertIds.value]=cb.checked;
      return;
   }
   for (i = 0; i < form.alertIds.length; i++) {
      form.alertIds[i].checked = cb.checked;
      top.USER_SELECTED_ALERTS[form.alertIds[i].value] = cb.checked;
   }
}

function selectAllAssessments(cb,form)
{
   if (form.assessmentIds == null)
      return;
   if (form.assessmentIds.length == null)
   {
      form.assessmentIds.checked = cb.checked;
      top.USER_SELECTED_ASSESSMENTS[form.assessmentIds.value]=cb.checked;
      return;
   }
   for (i = 0; i < form.assessmentIds.length; i++) {
      form.assessmentIds[i].checked = cb.checked;
      top.USER_SELECTED_ASSESSMENTS[form.assessmentIds[i].value] = cb.checked;
   }
}


//Is this used anywhere?  (Neal - 11/16/07)
function setCheckedAlerts()
{
  if(document.routeAlertForm.alertIds)
  {
    if(document.routeAlertForm.alertIds.type != "checkbox")
    {
      for(var p=0;p<document.routeAlertForm.alertIds.length;p++)
      {
          var alertId = document.routeAlertForm.alertIds[p].value;
          if(top.USER_SELECTED_ALERTS[alertId] == true)
              document.routeAlertForm.alertIds[p].checked = true;
      }
    }
    else if(document.routeAlertForm.alertIds.type == "checkbox")
    {
        var alertId = document.routeAlertForm.alertIds.value;
        if(top.USER_SELECTED_ALERTS[alertId] == true)
          document.routeAlertForm.alertIds.checked = true;
    }
  }
}

// Resizes the siblings of an iframe so data will fit properly
function reSizeSiblingIFrames(nodes) {
   for (var i = 0 ; i < nodes.length ; i++) {  // nodes.length
      if (nodes[i].height != 0) {
         var iFrameName = nodes[i].tagName;
         nodes[i].height = nodes[i].Document.body.scrollHeight;
         nodes[i].width = nodes[i].Document.body.scrollWidth;
         // @todo: resize nieces/nephews
      }
   }
   return;
}

// Resizes an IFrame and its ancestors to fit the actual data displayed
function adjustIFrameSize(doc,id) {
   var myIframe = doc.getElementById(id);
   if (myIframe) {
      // Only for IE DOM (others not supported at this time)
      if (myIframe.Document && myIframe.Document.body.scrollHeight) {
         // Resize this frame and its siblings
         myIframe.height = myIframe.Document.body.scrollHeight;
         myIframe.width  = myIframe.Document.body.scrollWidth;
         reSizeSiblingIFrames(document.getElementsByTagName("iframe"));

         // Resize ancestors
         var frameName = self.name;
         var ancestor = self.parent;
         var prevFrameName = "";
         while (frameName && frameName != "" && prevFrameName != frameName) {
            var iFrame = ancestor.document.getElementById(frameName);
            if (iFrame && iFrame.Document && iFrame.Document.body && iFrame.Document.body.scrollHeight) {
               iFrame.height = iFrame.Document.body.scrollHeight;
               iFrame.width  = iFrame.Document.body.scrollWidth;
               reSizeSiblingIFrames(ancestor.document.getElementsByTagName("iframe"));
            }
            prevFrameName = frameName;
            frameName = ancestor.name;
            ancestor = ancestor.parent;
         }
      }
   }
}

// Shrinks or expands the user or group alert lists and resizes their frames
function toggleResize(doc,id) {
    adjustIFrameSize(doc,id);
    var queue_status = document.getElementById('queue_win').style['display'];
    var alert_status = document.getElementById('alert_win').style['display'];
    if (document.getElementById(id).style['display']=='none') {
        document.getElementById(id).style['display']='';
        document.getElementById(id + "_switch").src="../images/min-3.gif";
    }
    else {
        document.getElementById(id).style['display']='none';
        document.getElementById(id + "_switch").src = "../images/max-3.gif";
  }
  return;
}

// Display the same page at the next higher display level
function goLevel(loc,level,title) {
  // Remove "level=xxx" from query string
  var newQuery = loc.search;
  for (var levelPos = newQuery.indexOf("level="); levelPos > 0; levelPos = newQuery.indexOf("level=")) {
    newQuery = newQuery.substring(0,levelPos-1) + newQuery.substring(levelPos+9);
  }

  // Blank out "direction=xxx" in query string
  var dirPos = newQuery.indexOf("direction=");
  if (dirPos >= 0) {
  var dirParmLen = newQuery.substring(dirPos+11).indexOf("&") + 1;
  var nextchar = newQuery.substring(dirPos+10,dirPos+11);
  if (dirParmLen > 0 && nextchar != '&') {
    newQuery = newQuery.substring(0,dirPos+10) + newQuery.substring(dirPos+10+dirParmLen);
  }
  }

  // Build new URL with new level=
  newQuery = newQuery.substring(1);
  var href = '<A href="';
  href += loc.protocol;
  href += '//';
  href += loc.host;
  href += loc.pathname;
  href += '?level=';
  href += level;
  href += '&';
  href += newQuery;
  href += '" title="';
  href += title;
  href += '">';
  return href;
}

// Confirm Deletion of selected SAR, Comment, Attachment
function confirmDelete(string) {
   // if called without a parm, default to 'report'
   if (string==null) {
   	string="report";
   }
   if (!confirm(document.getElementById("confirmDelete").value))
    return false;
   else
    return true;
}



function getAlertIds(cnt) {
    var noCheck=true;
    var theAlertIds="";
    var ii = 0;

    for(var alertId in top.USER_SELECTED_ALERTS)
    {
        if(top.USER_SELECTED_ALERTS[alertId] == true)
        {

          if(ii==0)
          {
            theAlertIds += alertId;
          }
          else
          {
            theAlertIds += ","+alertId;
          }
          noCheck=false;
        }
        ii++;
    }

    if(noCheck){
        if(cnt == 0) {
            alert(document.getElementById("noqueue").value);
        }
        else {
            alert(document.getElementById("noselected").value);
        }
    }
    else {
      // remove leading comma if there is one
      if (theAlertIds.charAt(0) == ",") {
        theAlertIds = theAlertIds.slice(1,theAlertIds.length);
      }
    document.checkOutAlertsForm.theAlertIds.value = theAlertIds;
    document.checkOutAlertsForm.submit();
    }
}

function getAssessmentIds(cnt) {
    var noCheck=true;
    var theAssessmentIds="";
    var ii = 0;

    for(var assessmentId in top.USER_SELECTED_ASSESSMENTS)
    {
        if(top.USER_SELECTED_ASSESSMENTS[assessmentId] == true)
        {
          if(ii==0)
          {
            theAssessmentIds += assessmentId;
          }
          else
          {
            theAssessmentIds += ","+assessmentId;
          }
          noCheck=false;
        }
        ii++;
    }

    if(noCheck){
        if(cnt == 0) {
            alert(document.getElementById("noqueue").value);
        }
        else {
            alert(document.getElementById("noselected").value);
        }
    }
    else {
      // remove leading comma if there is one
      if (theAssessmentIds.charAt(0) == ",") {
        theAssessmentIds = theAssessmentIds.slice(1,theAssessmentIds.length);
      }
    document.checkOutAssessmentsForm.theAssessmentIds.value = theAssessmentIds;
    document.checkOutAssessmentsForm.submit();
    }
}

function getObject(obj)
{
	var theObj;
	if(document.all)
	{
		if(typeof obj=="string")
		{
			return document.all(obj);
		} else
		{
			return obj.style;
		}
	}

	if(document.getElementById)
	{
		if(typeof obj=="string")
		{
			return document.getElementById(obj);
		} else
		{
			return obj.style;
		}
	}
	return null;
}


function textCounter2(entryFieldName, charsCounterName, maxCharacters)
{
	var entryFieldObject=document.getElementById(entryFieldName);
	var charsRemainingObject=document.getElementById(charsCounterName);
	var fieldFullMsg=document.getElementById('fieldFullMsg');

	if (entryFieldObject != null && charsRemainingObject != null)
	{
		var remainingSpace = maxCharacters - entryFieldObject.value.length;
		var charRemainingMsgText = document.getElementById("charRemain").value;
		if(remainingSpace < 0)
		{
			remainingSpace = 0;
			entryFieldObject.value = entryFieldObject.value.substr(0, maxCharacters);
			if (fieldFullMsg != null)
			{
				fieldFullMsg.innerHTML = document.getElementById("fieldFullMsgTxt").value;
			}
		}
		else
		{
			if ( remainingSpace > 0 && fieldFullMsg != null && fieldFullMsg.innerHTML.length > 1 )
			{
				fieldFullMsg.innerHTML = "";
			}
		}

		charsRemainingObject.innerHTML = charRemainingMsgText.replace("{0}", remainingSpace);
	}
}


//Added for activating closed & suppresed alerts

function getMultipleAlertID(form) {
    var noCheck=true;
    var alertIdList="";
    var count = 0;

    for(var alertId in top.USER_SELECTED_ALERTS)
    {
        if(top.USER_SELECTED_ALERTS[alertId] == true)
        {
          if(count==0)
          {
            alertIdList += alertId;
          }
          else
          {
            alertIdList += ","+alertId;
          }
          noCheck=false;
        }
        count++;
    }

    if(noCheck){
        alert(document.getElementById("noselected").value);
    }
    else {
      // remove leading comma if there is one
      if (alertIdList.charAt(0) == ",") {
        alertIdList = alertIdList.slice(1,alertIdList.length);
      }
    form.theAlertIds.value = alertIdList;
    form.submit();
    }

}

function getMultipleAssessmentID(form) {
    var noCheck=true;
    var assessmentIdList="";
    var count = 0;

    for(var assessmentId in top.USER_SELECTED_ASSESSMENTS)
    {
        if(top.USER_SELECTED_ASSESSMENTS[assessmentId] == true)
        {
          if(count==0)
          {
            assessmentIdList += assessmentId;
          }
          else
          {
            assessmentIdList += ","+assessmentId;
          }
          noCheck=false;
        }
        count++;
    }

    if(noCheck){
        alert(document.getElementById("noselected").value);
    }
    else {
      // remove leading comma if there is one
      if (assessmentIdList.charAt(0) == ",") {
        assessmentIdList = assessmentIdList.slice(1,assessmentIdList.length);
      }
    form.theAssessmentIds.value = assessmentIdList;
    form.submit();
    }
}

function selectAlert(cb)
{
  if(cb.checked == true)
  {
    top.USER_SELECTED_ALERTS[cb.value] = true;
  }
  else if(cb.checked == false)
  {
    top.USER_SELECTED_ALERTS[cb.value] = false;
  }
}

function selectAssessment(cb)
{
  if(cb.checked == true)
  {
    top.USER_SELECTED_ASSESSMENTS[cb.value] = true;
  }
  else if(cb.checked == false)
  {
    top.USER_SELECTED_ASSESSMENTS[cb.value] = false;
  }
  alert(top.USER_SELECTED_ASSESSMENTS[cb.value]);
}

// Yet another way to reload() the parent when closing a window
function reloadClose()
{
    if(!window.opener || window.opener.closed)
    {
    	 window.close();
    }
    else
    {
		var location = opener.location.href;

	     //If the url has Group - AlertListGroup, group - NavigateAlerts with queryType=group, SUP - suppressed window, or CLS - closed window
	     //then there is no need to refresh the alert list window.  Just close the detail window. The check for EntityDetail is because there
	     //are some times that the EntityDetail window has a group in it...
	     if ((location.indexOf('Group') > 0 || location.indexOf('group') > 0 || location.indexOf('SUP') > 0 ||
	          location.indexOf('CLS') > 0 || location.indexOf('314A') > 0 || location.indexOf('/User') > 0 ||
	          location.indexOf('/Search') > 0 || location.indexOf('CustomerTransactionList') > 0 ||
	          location.indexOf('NavigateTransactions') > 0 || location.indexOf('TransactionFilterDialog') > 0 ||
	          location.indexOf('SummaryTab') > 0 || location.indexOf('DrillDown') > 0)
	             && location.indexOf('EntityDetail') <= 0)
	     {
	         window.close();
	     }
	     else
	         //If we are strictly dealing with an entity detail window, than we need to reload the window to refresh the count.
	         if (location.indexOf('EntityDetail')> 0 || location.indexOf('EntityAlerts')> 0)
	         {
	             opener.location.reload();
	             window.close();
	         }
	         else
	         //If all of the above doesn't apply, then the window is alert list user and we need to refresh the icons without losing the position
		     {
	        	 window.opener.location='closeRefresh';
		         window.close();
		     }
    }
}

//Yet another way to reload() the parent when closing a window - for assessments
function reloadCloseAssessment()
{
    if(!window.opener || window.opener.closed)
    {
    	 window.close();
    }
    else
    {
		var location = opener.location.href;

	     //If the url has Group - AlertListGroup, group - NavigateAlerts with queryType=group, SUP - suppressed window, or CLS - closed window
	     //then there is no need to refresh the alert list window.  Just close the detail window. The check for EntityDetail is because there
	     //are some times that the EntityDetail window has a group in it...
	     if ((location.indexOf('Group') > 0 || location.indexOf('group') > 0 || location.indexOf('SUP') > 0 ||
	          location.indexOf('CLS') > 0 || location.indexOf('314A') > 0 || location.indexOf('/User') > 0 ||
	          location.indexOf('/Search') > 0 || location.indexOf('CustomerTransactionList') > 0 ||
	          location.indexOf('SummaryTab') > 0 || location.indexOf('DrillDown') > 0)
	             && location.indexOf('EntityDetail') <= 0)
	     {
	         window.close();
	     }
	     else
	         //If we are strictly dealing with an entity detail window, than we need to reload the window to refresh the count.
	         if (location.indexOf('EntityDetail')> 0)
	         {
	             opener.location.reload();
	             window.close();
	         }
	         else
	         //If all of the above doesn't apply, then the window is alert list user and we need to refresh the icons without losing the position
		     {
	        	 window.opener.location = 'closeRefreshAssessment';
		         window.close();
		     }
    }
}


//Clears the currently specified sort on the sortDialog.jsp
function amlClearSort()
{
    document.getElementById("aml_ap_sortByChoiceBox").value="None";
    document.getElementById("aml_ap_thenByChoiceBox").value="None";
    document.getElementsByName("aml_ap_thenByChoiceBox")[1].value = "None";
    document.getElementsByName("aml_ap_thenByChoiceBox")[2].value = "None";
    document.getElementsByName("aml_ap_sortByRadioBox")[0].checked = "checked";
    document.getElementsByName("aml_ap_thenByRadioBox1")[0].checked = "checked";
    document.getElementsByName("aml_ap_thenByRadioBox2")[0].checked = "checked";
    document.getElementsByName("aml_ap_thenByRadioBox3")[0].checked = "checked";
}

//Clears the fields of the filter dialog
function amlClearFilter()
{
	document.getElementById("alertId").value="";
	document.getElementById("subject").options[0].selected=true;
	document.getElementById("subjectNumber").value="";
	document.getElementById("name").value="";
	document.getElementById("startDate").value="";
	document.getElementById("endDate").value="";
	document.getElementById("mlRiskFrom").value="";
	document.getElementById("mlRiskTo").value="";
	var tfRiskFrom = document.getElementById("tfRiskFrom"); if (tfRiskFrom != null) tfRiskFrom.value="";
	var tfRiskTo = document.getElementById("tfRiskTo"); if (tfRiskTo != null ) tfRiskTo.value="";
	document.getElementById("scenario").options[0].selected=true;
	document.getElementById("description").value="";
	document.getElementById("trValues").value="";
	var avail = document.getElementById("availability");
	if (avail != null)
	{
		avail.options[0].selected=true;
		for(var ii=1; ii<avail.options.length;ii++) {
			avail.options[ii].selected=false;
	    }
	}
}

//Clears the fields of the assessment filter dialog
function assessmentClearFilter()
{
	document.getElementById("assessmentId").value="";
	document.getElementById("partyNumber").value="";
	document.getElementById("name").value="";
	document.getElementById("startDate").value="";
	document.getElementById("endDate").value="";
	document.getElementById("proposedRC").value="";
	document.getElementById("currentRC").value="";
	document.getElementById("triggeredRCs").value="";
	var avail = document.getElementById("availability");
	if (avail != null)
	{
		avail.options[0].selected=true;
		for(var ii=1; ii<avail.options.length;ii++) {
			avail.options[ii].selected=false;
	    }
	}
}

//Clears the fields of the transaction filter dialog
function amlClearTransactionFilter()
{
   document.getElementById("transactionNumber").value="";
   document.getElementById("accountNumber").value="";
	var role = document.getElementById("role");
	if (role != null)
	{
		role.options[0].selected=true;
		for(var ii=1; ii<role.options.length;ii++) {
			role.options[ii].selected=false;
	    }
	}
   document.getElementById("startDate").value="";
   document.getElementById("endDate").value="";
   document.getElementById("amountFrom").value="";
   document.getElementById("amountTo").value="";
   document.getElementById("currency").value="";
	var cdi = document.getElementById("cdi");
	if (cdi != null)
	{
		cdi.options[0].selected=true;
		for(var ii=1; ii<cdi.options.length;ii++) {
			cdi.options[ii].selected=false;
	    }
	}
   document.getElementById("primaryMedium").value="";
   document.getElementById("secondaryMedium").value="";
   document.getElementById("mechanism").value="";
   document.getElementById("country").value="";
   document.getElementById("secondaryAccountNumber").value="";
   document.getElementsByName("related")[2].checked = "checked";
   document.getElementsByName("thirdParty")[2].checked = "checked";
   document.getElementById("remitter").value="";
   document.getElementById("beneficiary").value="";
   document.getElementById("branch").value="";
   document.getElementById("associate").value="";
   document.getElementById("description").value="";
   document.getElementById("status").value="";
}

//Toggles the doValidate flag on the filter dialog
//When doValidate is false the field validations do not run and this
//allows the user to click on the Clear or Cancel buttons
function setValidateFilter(value)
{
	doValidate=value;
}

function ctviewReload(theForm, caseId, custNum, customerName) {
/* custNum & customerName already encoded.  No need to encode inside this js function */
     theForm.submit();
     opener.location.href="CustomerTransactionList?caseId="+caseId+"&custNum="+custNum+"&customerName="+customerName;
}

// maximize window for Customer Transaction View
function resizeCurrentWindow() {
	window.moveTo(0,0);
	window.resizeTo(screen.availWidth,screen.availHeight);
	window.name = "sasaml_ctview";
}

// resize customer_details.jsp after call to Customer Transaction View
function popupWindowResize() {

	var w = screen.availWidth;
	var h = screen.availHeight;

	// Make popup larger for larger screen sizes
	var popW = 650, popH = 575;
	if (w > 800 && h > 600) {
		popW = 860; popH = 600;
		//popH = 800;
	}
	var leftPos = (w-popW)/2, topPos = (h-popH)/2;
	window.moveTo(leftPos, topPos);
	window.resizeTo(popW, popH);
	window.name = "sasamlPopup";

}

// change visibility of a section and toggle the image for the section
function toggleState(section, img, hide, show) {

	var state = document.getElementById(section.id).style.visibility;
   if (state=='hidden') {
      document.getElementById(section.id).style.visibility='visible';
      document.getElementById(section.id).style.display='block';
      document.getElementById(img.id).src="../images/Minus.gif";
      document.getElementById(img.id).alt=hide;
   }
   else {
      document.getElementById(section.id).style.visibility='hidden';
      document.getElementById(section.id).style.display='none';
      document.getElementById(img.id).src="../images/Plus.gif";
      document.getElementById(img.id).alt=show;
   }
}

var response = null;

function rppPopup(event, title, label, ok, cancel) {

	x=event.clientX;
	y=event.clientY;

	promptbox = document.createElement('div');

	promptbox.setAttribute ('id' , 'prompt');
	document.getElementsByTagName('body')[0].appendChild(promptbox);
	promptbox = eval("document.getElementById('prompt').style");
	promptbox.position = 'absolute';
	promptbox.top = eval(y-60);
	promptbox.left = eval(x-90);
	promptbox.width = 200;
	document.getElementById('prompt').innerHTML = "<table cellspacing='0' cellpadding='0' border='0' width='100%'><tr valign='middle'><td class='titlebar'>" + title + "</td></tr></table>";
	document.getElementById('prompt').innerHTML = document.getElementById('prompt').innerHTML + "<table cellspacing='0' cellpadding='0' border='0' width='100%' class='promptbox'><tr><td align='center' class='exceptable'><br>" + label + "</td></tr><tr><td align='center'><input type='text' id='promptbox' onblur='this.focus()' class='textEntry' size='3' maxlength='3'></td></tr><tr><td align='center'><br><input type='button' class='button' value='" + ok + "' onClick='changeRowsPerPage(document.getElementById(\"promptbox\").value); document.getElementsByTagName(\"body\")[0].removeChild(document.getElementById(\"prompt\"))'>&nbsp;<input type='button' class='button' value='" + cancel + "' onClick='document.getElementsByTagName(\"body\")[0].removeChild(document.getElementById(\"prompt\"))'></td></tr></table>";
	document.getElementById("promptbox").focus();
}

function changeRowsPerPage(inputValue) {
	var rppval = document.getElementById("rpp").value;
	if (rppval > 0 && inputValue> 0 && rppval != inputValue) {
    	document.changeRowCountForm.rowsPerPage.value = inputValue;
    	document.changeRowCountForm.submit();
	}
}


function showCreateAlertWindow(link,width,height,cnt)
{
	var w = screen.availWidth;
	var h = screen.availHeight;

    var popW = width;
    var popH = height;
    var leftPos = (w-popW)/2, topPos = (h-popH)/2;
    theWindow = window.open(encodeURI(link),'sasamlPopup','resizable=1,width=' + popW + ',height=' + popH + ',top=' + topPos + ',left=' + leftPos);
    theWindow.focus();
}

function showNewActionsWindow(link,action,width,height)
{
    var noCheck=true;
    var ids="";
	count=0; /* for use with Email, SAR, where only ONE alert is allowed */
    for(var alertId in top.USER_SELECTED_ALERTS)
    {
        if(top.USER_SELECTED_ALERTS[alertId] == true)
        {
          ids += alertId + ",";
          noCheck=false;
        }
    }

    if(ids.length > 0) {
    	ids = ids.substring(0, ids.length - 1);
    }

    if(noCheck){
      alert(document.getElementById("noselected").value);
    }
    else {
      // We need to post in the data so it won't be truncated by URL length limitations
      var w = screen.availWidth;
      var h = screen.availHeight;

      var popW = width;
      var popH = height;
      var leftPos = (w-popW)/2, topPos = (h-popH)/2;

      postToSessionStore({"ids": ids}, function success() {
    	  theWindow = window.open(encodeURI(link + "?type=alert&action=" + action),'sasamlAlertActionPopup','resizable=1,width=' + popW + ',height=' + popH + ',top=' + topPos + ',left=' + leftPos);
          theWindow.focus();
      });
  	}
}

function showSingleAlertActionsWindow(link,action,alertId,width,height)
{
    var ids = ""+alertId;

 // We need to post in the data so it won't be truncated by URL length limitations
	var w = screen.availWidth;
	var h = screen.availHeight;

	var popW = width;
	var popH = height;
	var leftPos = (w-popW)/2, topPos = (h-popH)/2;

	postToSessionStore({"ids": ids}, function success() {
  	  theWindow = window.open(encodeURI(link + "?type=alert&action=" + action),'actionPopup','resizable=1,width=' + popW + ',height=' + popH + ',top=' + topPos + ',left=' + leftPos);
      theWindow.focus();
    });
}

function submitNewAction(f,maxlen,maxmsg,supmsg) {

    var submitForm=true;
    var msg=document.getElementById("selectAction");

    theAction = document.forms[0].action.value;

    /* if user chooses to suppress, ensure we have valid values */
    if(theAction=="suppress") {
    	if (f.text.value.length > maxlen) {
    		msg=maxmsg;
    		submitForm=false;
        }
        if (f.text.value.split(" ").length==f.text.value.length+1 || f.text.value==supmsg) {
          msg=document.getElementById("suppressComment").value;
          submitForm=false;
        }

        // if suppressing for a duration, assure that we got a positive integer
        if(document.forms[0].indefDuration && !document.forms[0].indefDuration.checked) {
        	if(!isPositiveInteger(document.forms[0].duration.value)){
        		msg=document.getElementById("numberOfDays").value;
        		submitForm=false;
        	}
            submitForm=false;
        }
        // if suppressing until a date, assure that we really did get a date
		else if(document.forms[0].suppressionRadio[0].checked==true) {
			if(document.forms[0].suppressUntilDate.value=="" || document.forms[0].suppressUntilDate.value=="Other") {
				msg=document.getElementById("selectDate").value;
				submitForm=false;
			}
		}
	}
	/* if user chooses to route ensure a user or group is selected */
	else if(theAction=="route") {
		if(!routeSelected()){
			msg=document.getElementById("selectUser").value;
			submitForm=false;
		}
	}
	else if(theAction=="email") {
		if(document.forms[0].emailReminderDate.value=="") {
			msg=document.getElementById("reminderDate").value;
			submitForm=false;
		}
	}

    if (!submitForm) {
        alert(msg);
    }
    return submitForm;
}

// change visibility of a section and toggle the image for the section
function toggleAll(sectionList, img, hide, show) {

	var state = document.getElementById("collapse_div").title;

	if (state==show) {
		document.getElementById(img.id).src="../images/Minus.gif";
		document.getElementById(img.id).alt=hide;
		document.getElementById("collapse_div").title=hide;
		//document.getElementById("collapse_all_id").innerText=hide;
	}
	else {
		document.getElementById(img.id).src="../images/Plus.gif";
		document.getElementById(img.id).alt=show;
		document.getElementById("collapse_div").title=show;
		//document.getElementById("collapse_all_id").innerText=show;
	}

	for(i=0; i<sectionList.length; i++) {
		if (state==show) {
			if(isdefined(sectionList[i])) {
				document.getElementById(eval(sectionList[i]).id).style.visibility='visible';
				document.getElementById(eval(sectionList[i]).id).style.display='block';
				document.getElementById(img.id).src="../images/Minus.gif";
				document.getElementById(img.id).alt=hide;
		    }
		}
		else {
			if(isdefined(sectionList[i])) {
				document.getElementById(eval(sectionList[i]).id).style.visibility='hidden';
				document.getElementById(eval(sectionList[i]).id).style.display='none';
				document.getElementById(img.id).src="../images/Plus.gif";
				document.getElementById(img.id).alt=show;
			}
		}
	}
}

function isdefined(variable)
{
    return (typeof(window[variable]) == "undefined")?  false: true;
}
