<%@ page contentType="text/html; charset=utf-8" %>
<%@ page language="java" session="true" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-tiles.tld" prefix="tiles" %>
<%@ page import="com.sas.servlet.tbeans.html.DatePicker"%>
<%@taglib uri="http://www.sas.com/taglib/sas" prefix="sas"%>
<%@ page import="java.util.Date"%>
<%@ page import="com.sas.aml.util.DatePickerUtil" %>


<c:set var="localeKey">
<%=org.apache.struts.Globals.LOCALE_KEY %>
</c:set>
<fmt:setLocale value="${sessionScope[localeKey]}"/>

<fmt:setBundle basename="ApplicationResources"/>

<tiles:insert page="tiles/header.jsp">
	<tiles:put name="subtitle"><bean:message key="tabmenu.query.txt"/></tiles:put>
</tiles:insert>

<SCRIPT language="JavaScript" src="../scripts/search.js"></script>
<SCRIPT language="JavaScript">
// disableReason toggles display of 'Close Reason' based on whether Alert Status is closed (CLS)
function disableReason() {
	// if alert status selection is closed (CLS)
    if (document.searchBuilderForm.alertStatusCode[document.searchBuilderForm.alertStatusCode.selectedIndex].value=='CLS')
    {
        document.getElementById('eventDescription').disabled=false;
    	document.searchBuilderForm.eventDescription.focus();
	}
	else
	{
        document.getElementById('eventDescription').disabled=true;
		// clear eventDescription selection when 'closed' status is not selected
		document.searchBuilderForm.eventDescription[0].selected=true;
    	document.searchBuilderForm.alertStatusCode.focus();
	}
}
</SCRIPT>

<!--
  -- search_alert.jsp
  --   Displays the tab for searching alerts
  -->

<!-- Insert standard banner and menus for Search tab in AML main window -->
<tiles:insert page="tiles/search_tab_banner.jsp">
	<tiles:put name="selected"><bean:message key="search.tabBanner.alert.txt"/></tiles:put>
	<tiles:put name="helppage" value="subjectquery.htm" />
</tiles:insert>

<DIV id="baseContentPosition">

<!-- Insert the forms used to carry search parms -->
<tiles:insert page="tiles/search_forms.jsp" />
<input type="hidden" name="specifyNumber" id="specifyNumber" value="<fmt:message key='search.specifyInteger.fmt.txt'><fmt:param>+N+</fmt:param></fmt:message>" />
<input type="hidden" name="MLLowerLimit" id="MLLowerLimit" value="<fmt:message key='search.MLLowerLimit.txt'/>" />
<input type="hidden" name="MLUpperLimit" id="MLUpperLimit" value="<fmt:message key='search.MLUpperLimit.txt'/>" />
<input type="hidden" name="TFLowerLimit" id="TFLowerLimit" value="<fmt:message key='search.TFLowerLimit.txt'/>" />
<input type="hidden" name="TFUpperLimit" id="TFUpperLimit" value="<fmt:message key='search.TFUpperLimit.txt'/>" />
<input type="hidden" name="alertIdText" id="alertIdText" value="<fmt:message key='search.alertId.txt'/>" />
<input type="hidden" name="reselect" id="reselect" value="<fmt:message key='search.reselect.txt'/>" />

<!-- Start the visuals on the screen -->
<TABLE align="center" class="DataTableBorder" cellspacing="0" cellpadding="0" border="0">
	<tr class="defaultBackgroundColor"><td>&nbsp;</td></tr>
	<TR>
		<TD>
			<TABLE cellspacing="1" cellpadding="4" border="0">
				<TR class="defaultBackgroundColor">
					<TD class="size75">
						<TABLE border="0" width="100%" cellspacing="0" cellpadding="0" style="margin-top:10px">
							<TR>
								<TD class="exceptable" nowrap><bean:message key="alertList.subjectType.txt"/>&nbsp;&nbsp;</TD>
								<TD width="90%"><HR width="97%" class="horizontalRuleColor" size="1"></TD>
							</TR>
						</TABLE>
						<TABLE border="0" style="margin-left:18px" cellspacing="0" cellpadding="2">
							<TR>
								<TD class="Text" style="width:140px"><bean:message key="search.type.txt"/></TD>
								<TD class="Text" style="width:240px">
									<SELECT name="primaryEntityLevelCode">
										<OPTION value=""><bean:message key="search.alert.subjectTypes.txt"/></OPTION>
										<c:forEach var="lov" items="${lovMap['ENTITY LEVEL']}">
											<OPTION value="<c:out value="${lov.key}" />"><c:out value="${lov.value}" /></OPTION>
										</c:forEach>
									</SELECT>
								</TD>
							</TR>
							<TR>
								<TD class="Text"><bean:message key="search.numberContains.txt"/></TD>
								<TD class="Text">
									<INPUT type="text" name="primaryEntityNumber" style="width:240px">
								</TD>
								<td class="Text">
		            				<input type="checkbox" id="alertNumBox"><bean:message key="search.contains.txt"/></input>
		            			</td>
							</TR>
							<TR>
								<TD class="Text"><bean:message key="search.nameContains.txt"/>
								</TD>
								<TD class="Text">
									<INPUT type="text" name="primaryEntityName" style="width:240px">
								</TD>
								<td class="Text">
		            				<input type="checkbox" id="alertNameBox"><bean:message key="search.contains.txt"/></input>
		            			</td>
							</TR>
						</TABLE>

						<TABLE border="0" width="100%" cellspacing="0" cellpadding="0" style="margin-top:10px">
							<TR>
								<TD class="exceptable"><bean:message key="search.alert.txt"/></TD>
								<TD width="90%"><HR width="97%" class="horizontalRuleColor" size="1"></TD>
							</TR>
						</TABLE>

						<TABLE border="0" cellspacing="0" cellpadding="2" style="margin-left:18px">
							<TR>
								<TD class="Text"><bean:message key="search.alert.alertId.txt"/></TD>
								<TD class="Text">
									<INPUT type="text" name="alertId" style="width:240px">
								</TD>
							</TR>
							<TR>
								<TD class="Text"><bean:message key="search.alert.category.txt"/></TD>
								<TD class="Text">
									<SELECT name="scenarioCategoryDesc" style="width:240px">
										<OPTION value=""> &nbsp;</OPTION>
										<c:forEach var="alertCats" items="${aCatList}">
											<OPTION value="<c:out value="${alertCats.sCatDesc}" />"><c:out value="${alertCats.sCatDesc}" /></OPTION>
										</c:forEach>
									</SELECT>
								</TD>
							</TR>
							<TR>
								<TD class="Text" style="width:140px"><bean:message key="search.alert.moneyLaunderingRiskRanking.txt"/></TD>
								<TD class="Text">
									<INPUT type="text" MAXLENGTH="3" name="moneyLaunderingRiskLow" style="width:50px" value="">
									&nbsp;&nbsp;<bean:message key="search.to.txt"/>&nbsp;&nbsp;
									<INPUT type="text" MAXLENGTH="3" name="moneyLaunderingRiskHigh" style="width:50px" value="">
								</TD>
							</TR>
					<c:if test='${tfdisplay}'>
							<TR>
							<TD class="Text" style="width:140px"><bean:message key="search.alert.terrorFinancingRiskRanking.txt"/></TD>
							<TD class="Text">
								<INPUT type="text" MAXLENGTH="3" name="terrorFinancingRiskLow" style="width:50px" value="">
								&nbsp;&nbsp;<bean:message key="search.to.txt"/>&nbsp;&nbsp;
								<INPUT type="text" MAXLENGTH="3" name="terrorFinancingRiskHigh" style="width:50px" value="">
							</TD>
							</TR>
					</c:if>
					<%-- if terror financing risk display is turned off, create hidden, empty fields to satisfy javascript form validation --%>
					<c:if test='${!tfdisplay}'>
							<INPUT type="hidden" name="terrorFinancingRiskLow" value="">
							<INPUT type="hidden" name="terrorFinancingRiskHigh" value="">
					</c:if>
							<TR>
								<TD class="Text"><bean:message key="search.alert.status.txt"/></TD>
								<TD class="Text">
									<!-- reset eventDescription selection when alertStatusCode is changed (disableReason()) -->
									<SELECT name="alertStatusCode" style="width:240px" onChange="javascript:disableReason()">
										<OPTION value="" selected> &nbsp;</OPTION>
										<c:forEach var="lov" items="${lovMap['ALERT STATUS']}">
											<OPTION value="<c:out value="${lov.key}" />"><c:out value="${lov.value}" /></OPTION>
										</c:forEach>
									</SELECT>
								</TD>
							</TR>
							<TR>
								<TD class="Text">
									<bean:message key="search.alert.closeReason.txt"/>
								</TD>
								<TD class="Text">
									<SELECT name="eventDescription" id="eventDescription" style="width:240px" >
										<OPTION value="" selected> &nbsp;</OPTION>
                        				<c:forEach var="theReason" items="${reasons}">
								            <OPTION value="<c:out value="${theReason.value}" />">
                              				<c:out value="${theReason.value}" />
                              				</OPTION>
                        				</c:forEach>
    								</SELECT>
								</TD>
							</TR>
							<TR>
								<TD class="Text"><bean:message key="search.alert.scenario.txt"/></TD>
								<TD class="Text">
									<select name="scenarioName" style="width:240px">
										<OPTION value="" selected> &nbsp;</OPTION>
										<c:forEach var="parm" items="${scenarioNames}">
											<option value="<c:out value="${parm.scName}"/>"><c:out value="${parm.scName}"/></option>
										</c:forEach>
									</select>
								</TD>
							</TR>
							<TR>
								<TD class="Text"><bean:message key="search.alert.user.txt"/></TD>
								<TD class="Text">
									<select name="userName" style="width:240px">
										<OPTION value="" selected> &nbsp;</OPTION>
										<c:forEach var="parm" items="${userList}">
											<option value="<c:out value="${parm.displayName}"/>"><c:out value="${parm.displayName}"/></option>
										</c:forEach>
									</select>
								</TD>
							</TR>
							<TR>
								<TD class="Text"><bean:message key="search.alert.group.txt"/></TD>
								<TD class="Text">
									<select name="groupName" style="width:240px">
										<OPTION value="" selected> &nbsp;</OPTION>
										<c:forEach var="parm" items="${groupList}">
											<option value="<c:out value="${parm.groupName}"/>"><c:out value="${not empty parm.displayName ? parm.displayName : parm.groupName}"/></option>
										</c:forEach>
									</select>
								</TD>
							</TR>

						</TABLE>
					</TD>
					<TD VALIGN="TOP">
						<TABLE border="0" width="100%" cellspacing="0" cellpadding="0" style="margin-top:10px">
							<TR>
								<TD class="exceptable" nowrap><bean:message key="search.alert.createDate.txt"/></TD>
								<TD width="90%"><HR width="97%" class="horizontalRuleColor" size="1"></TD>
							</TR>
						</TABLE>

						<SPAN id="dateLayer">
						<TABLE border="0" cellspacing="0" cellpadding="2" style="margin-left:18px">
							<TR>
								<TD class="Text" style="width:140px"><bean:message key="search.alert.start.txt"/></TD>
								<TD class="Text">
								<%
									Object datePickerValue = null;
        	                		DatePicker dsp = DatePickerUtil.createDatePicker("dateStart", datePickerValue, pageContext);
            	            		DatePickerUtil.writeDatePicker(dsp, out, request);
							    %>
							    </TD>
							</TR>
							<TR>
								<TD class="Text"><bean:message key="search.end.txt"/></TD>
								<TD class="Text">
								<%
   	                    			datePickerValue = null;;
       	                			DatePicker dspEnd = DatePickerUtil.createDatePicker("dateEnd", datePickerValue, pageContext);
           	            			DatePickerUtil.writeDatePicker(dspEnd, out, request);
								%>
								</TD>
							</TR>

						</TABLE>
						</SPAN>
						<TABLE border="0" width="100%" cellspacing="0" cellpadding="0" style="margin-top:10px">
							<tr>
								&nbsp;
					        </tr>
					        <tr>
								&nbsp;
					        </tr>
							<TR>
								<TD class="exceptable" nowrap><bean:message key="search.alert.runDate.txt"/></TD>
								<TD width="90%"><HR width="97%" class="horizontalRuleColor" size="1"></TD>
							</TR>
						</TABLE>

						<SPAN id="dateLayer">
						<TABLE border="0" cellspacing="0" cellpadding="2" style="margin-left:18px">
							<TR>
								<TD class="Text" style="width:140px"><bean:message key="search.alert.start.txt"/></TD>
								<TD class="Text">
								<%
                    				datePickerValue = null;;
	                				DatePicker dspr = DatePickerUtil.createDatePicker("rundateStart", datePickerValue, pageContext);
    	            				DatePickerUtil.writeDatePicker(dspr, out, request);
							    %>
								</TD>
							</TR>
							<TR>
								<TD class="Text"><bean:message key="search.end.txt"/></TD>
								<TD class="Text">
								<%
                    				datePickerValue = null;;
	                				DatePicker depr = DatePickerUtil.createDatePicker("rundateEnd", datePickerValue, pageContext);
   		            				DatePickerUtil.writeDatePicker(depr, out, request);
								%>
								</TD>
							</TR>
						</TABLE>
						</SPAN>
						<TABLE border="0" width="100%" cellspacing="0" cellpadding="0" style="margin-top:10px">
							<tr>
								&nbsp;
				            </tr>
				            <tr>
								&nbsp;
				            </tr>
							<TR>
								<TD class="exceptable" nowrap><bean:message key="search.alert.lastActivityDate.txt"/></TD>
								<TD width="90%"><HR width="97%" class="horizontalRuleColor" size="1"></TD>
							</TR>
						</TABLE>

						<SPAN id="dateLayer">
						<TABLE border="0" cellspacing="0" cellpadding="2" style="margin-left:18px">
							<TR>
								<TD class="Text" style="width:140px"><bean:message key="search.alert.start.txt"/></TD>
								<TD class="Text">
								<%
	                				datePickerValue = null;;
    	            				DatePicker dspl = DatePickerUtil.createDatePicker("updatedateStart", datePickerValue, pageContext);
	    	        				DatePickerUtil.writeDatePicker(dspl, out, request);
							    %>
								</TD>
							</TR>
							<TR>
								<TD class="Text"><bean:message key="search.end.txt"/></TD>
								<TD class="Text">
								<%
                					datePickerValue = null;;
   	            					DatePicker depl = DatePickerUtil.createDatePicker("updatedateEnd", datePickerValue, pageContext);
    	        					DatePickerUtil.writeDatePicker(depl, out, request);
								%>
								</TD>
							</TR>
						</TABLE>
						</SPAN>
					</TD>
				</TR>
			</TABLE>
		</TD>
	</TR>
<%-- include upcase message based on the value of setupcase system parm --%>
<jsp:include page="/tiles/query_info.jsp" />
</TABLE>
<P>

<!-- Build the URL that runs the query -->
<c:url value="SearchList" var="url">
	<c:param name="level" value="LIT"/>
	<c:param name="newQuery" value="Y"/>
	<c:param name="table" value="alert"/>
	<c:param name="connector" value="and"/>
</c:url>
<!-- The preferred way is to use struts-el support and the html:button tag (struts 1.1?) -->
<table align="center">
<tr><td>
<input type="button" name="search" class="button" alt="<bean:message key="showMatching.txt"/>" style="cursor:hand" onclick="doAlertQuery('<c:out value="${url}"/>');return false;" value="<bean:message key="showMatching.txt"/>"></input>
</td></tr></table>
</DIV>
</BODY>
</HTML>